(define (problem roverprob4213)
(:domain rover)
(:objects
objective0 objective1  - objective
general  - lander
rover0  - rover
camera0 camera1  - camera
rover0store  - store
waypoint0 waypoint1 waypoint2 waypoint3  - waypoint
colour high_res low_res  - mode
)
(:init (at_rock_sample waypoint0)
(calibration_target camera1 objective1)
(equipped_for_imaging rover0)
(supports camera0 colour)
(visible waypoint2 waypoint0)
(visible_from objective1 waypoint2)
(can_traverse rover0 waypoint0 waypoint2)
(at_soil_sample waypoint0)
(visible waypoint0 waypoint1)
(can_traverse rover0 waypoint3 waypoint0)
(visible waypoint2 waypoint3)
(visible waypoint3 waypoint0)
(equipped_for_soil_analysis rover0)
(supports camera1 high_res)
(visible waypoint3 waypoint2)
(can_traverse rover0 waypoint1 waypoint0)
(visible waypoint0 waypoint3)
(can_traverse rover0 waypoint0 waypoint1)
(on_board camera0 rover0)
(empty rover0store)
(at_lander general waypoint1)
(supports camera0 low_res)
(visible_from objective1 waypoint1)
(can_traverse rover0 waypoint2 waypoint0)
(calibration_target camera0 objective0)
(at rover0 waypoint0)
(can_traverse rover0 waypoint0 waypoint3)
(visible waypoint0 waypoint2)
(equipped_for_rock_analysis rover0)
(visible waypoint3 waypoint1)
(available rover0)
(channel_free general)
(supports camera0 high_res)
(on_board camera1 rover0)
(visible waypoint2 waypoint1)
(visible_from objective1 waypoint0)
(store_of rover0store rover0)
(visible waypoint1 waypoint0)
(visible waypoint1 waypoint2)
(visible_from objective0 waypoint0)
(visible waypoint1 waypoint3)
)
(:goal (and
	  (communicated_soil_data waypoint0)
	  (communicated_rock_data waypoint0)
	  (communicated_image_data objective1 low_res))
)
)
