(define (problem roverprob2435)
(:domain rover)
(:objects
rover0 rover1  - rover
colour high_res low_res  - mode
camera0 camera1 camera2  - camera
rover0store rover1store  - store
waypoint0 waypoint1 waypoint2 waypoint3  - waypoint
general  - lander
objective0 objective1 objective2  - objective
)
(:init (can_traverse rover1 waypoint1 waypoint0)
(at rover1 waypoint0)
(visible waypoint3 waypoint2)
(visible waypoint1 waypoint2)
(can_traverse rover1 waypoint1 waypoint2)
(can_traverse rover1 waypoint0 waypoint1)
(can_traverse rover1 waypoint2 waypoint1)
(visible waypoint3 waypoint1)
(visible_from objective0 waypoint0)
(visible_from objective0 waypoint1)
(visible waypoint0 waypoint3)
(at_rock_sample waypoint0)
(at_soil_sample waypoint1)
(visible_from objective0 waypoint2)
(supports camera2 colour)
(equipped_for_imaging rover0)
(visible_from objective0 waypoint3)
(supports camera1 colour)
(visible waypoint2 waypoint3)
(on_board camera2 rover0)
(visible waypoint2 waypoint1)
(at_soil_sample waypoint2)
(supports camera2 low_res)
(store_of rover1store rover1)
(visible waypoint1 waypoint0)
(on_board camera1 rover1)
(visible waypoint1 waypoint3)
(can_traverse rover1 waypoint3 waypoint1)
(visible_from objective1 waypoint1)
(equipped_for_rock_analysis rover0)
(visible waypoint3 waypoint0)
(empty rover1store)
(calibration_target camera2 objective1)
(calibration_target camera1 objective1)
(available rover1)
(can_traverse rover0 waypoint3 waypoint0)
(available rover0)
(supports camera2 high_res)
(visible waypoint0 waypoint2)
(visible_from objective2 waypoint2)
(visible waypoint2 waypoint0)
(can_traverse rover0 waypoint0 waypoint1)
(at_lander general waypoint3)
(supports camera0 low_res)
(at_rock_sample waypoint1)
(at_soil_sample waypoint3)
(can_traverse rover0 waypoint1 waypoint0)
(at rover0 waypoint0)
(supports camera0 high_res)
(equipped_for_imaging rover1)
(visible_from objective1 waypoint0)
(visible_from objective1 waypoint2)
(empty rover0store)
(visible_from objective2 waypoint0)
(equipped_for_soil_analysis rover1)
(on_board camera0 rover1)
(supports camera1 high_res)
(calibration_target camera0 objective1)
(can_traverse rover1 waypoint1 waypoint3)
(channel_free general)
(can_traverse rover0 waypoint0 waypoint3)
(visible waypoint0 waypoint1)
(visible_from objective2 waypoint1)
(store_of rover0store rover0)
)
(:goal (and
	  (communicated_soil_data waypoint1)
	  (communicated_soil_data waypoint2)
	  (communicated_rock_data waypoint0)
	  (communicated_rock_data waypoint1)
	  (communicated_image_data objective0 high_res)
	  (communicated_image_data objective2 high_res)
	  (communicated_image_data objective0 colour))
)
)
