(define (problem roverprob4123)
(:domain rover)
(:objects
camera0 camera1  - camera
rover0 rover1 rover2  - rover
rover0store rover1store rover2store  - store
general  - lander
objective0 objective1  - objective
colour high_res low_res  - mode
waypoint0 waypoint1 waypoint2 waypoint3 waypoint4 waypoint5  - waypoint
)
(:init (supports camera0 colour)
(visible waypoint0 waypoint2)
(visible waypoint0 waypoint5)
(can_traverse rover2 waypoint3 waypoint0)
(visible_from objective0 waypoint1)
(visible waypoint1 waypoint0)
(at_soil_sample waypoint4)
(visible waypoint2 waypoint0)
(supports camera0 high_res)
(at rover1 waypoint3)
(visible waypoint1 waypoint2)
(at_rock_sample waypoint3)
(visible_from objective1 waypoint2)
(at rover0 waypoint2)
(visible waypoint4 waypoint0)
(visible waypoint5 waypoint1)
(on_board camera0 rover0)
(visible waypoint4 waypoint3)
(at_rock_sample waypoint5)
(can_traverse rover0 waypoint1 waypoint2)
(at_rock_sample waypoint2)
(visible waypoint0 waypoint1)
(visible_from objective0 waypoint2)
(can_traverse rover2 waypoint4 waypoint0)
(empty rover1store)
(on_board camera1 rover2)
(at_rock_sample waypoint4)
(visible waypoint2 waypoint3)
(equipped_for_rock_analysis rover1)
(can_traverse rover2 waypoint5 waypoint4)
(can_traverse rover1 waypoint3 waypoint2)
(available rover2)
(visible_from objective0 waypoint0)
(visible_from objective0 waypoint4)
(store_of rover1store rover1)
(can_traverse rover1 waypoint0 waypoint1)
(visible waypoint3 waypoint0)
(equipped_for_soil_analysis rover2)
(visible waypoint2 waypoint5)
(visible_from objective1 waypoint1)
(can_traverse rover0 waypoint2 waypoint1)
(visible waypoint2 waypoint1)
(can_traverse rover1 waypoint0 waypoint5)
(available rover1)
(at_soil_sample waypoint1)
(can_traverse rover2 waypoint5 waypoint2)
(visible waypoint5 waypoint0)
(calibration_target camera1 objective1)
(store_of rover0store rover0)
(can_traverse rover0 waypoint2 waypoint0)
(can_traverse rover0 waypoint5 waypoint2)
(can_traverse rover0 waypoint4 waypoint0)
(can_traverse rover0 waypoint2 waypoint3)
(equipped_for_imaging rover0)
(visible waypoint4 waypoint5)
(can_traverse rover2 waypoint2 waypoint5)
(channel_free general)
(store_of rover2store rover2)
(can_traverse rover1 waypoint4 waypoint3)
(visible_from objective1 waypoint3)
(equipped_for_rock_analysis rover0)
(visible_from objective0 waypoint3)
(visible_from objective1 waypoint0)
(can_traverse rover2 waypoint1 waypoint0)
(can_traverse rover2 waypoint0 waypoint4)
(visible waypoint0 waypoint4)
(at rover2 waypoint4)
(at_lander general waypoint3)
(visible waypoint5 waypoint4)
(visible waypoint0 waypoint3)
(can_traverse rover1 waypoint3 waypoint0)
(can_traverse rover1 waypoint0 waypoint3)
(empty rover2store)
(visible waypoint3 waypoint4)
(can_traverse rover1 waypoint5 waypoint0)
(can_traverse rover1 waypoint1 waypoint0)
(can_traverse rover1 waypoint2 waypoint3)
(can_traverse rover2 waypoint0 waypoint1)
(available rover0)
(can_traverse rover0 waypoint2 waypoint5)
(can_traverse rover0 waypoint0 waypoint4)
(equipped_for_rock_analysis rover2)
(can_traverse rover2 waypoint4 waypoint5)
(can_traverse rover2 waypoint0 waypoint3)
(visible waypoint3 waypoint2)
(empty rover0store)
(can_traverse rover0 waypoint0 waypoint2)
(equipped_for_soil_analysis rover0)
(visible waypoint1 waypoint5)
(can_traverse rover0 waypoint3 waypoint2)
(equipped_for_imaging rover2)
(supports camera1 high_res)
(can_traverse rover1 waypoint3 waypoint4)
(visible waypoint5 waypoint2)
(calibration_target camera0 objective0)
)
(:goal (and
	  (communicated_soil_data waypoint4)
	  (communicated_soil_data waypoint1)
	  (communicated_rock_data waypoint3)
	  (communicated_rock_data waypoint2)
	  (communicated_rock_data waypoint4)
	  (communicated_image_data objective0 high_res))
)
)
