(define (problem schedule-20-0)
(:domain schedule)
(:objects
cylindrical circular oblong  - ashape
u0 s0 r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
polished rough smooth  - surface
two three one  - width
cold hot  - temperature-type
back front  - anorient
blue yellow red black  - colour
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
)
(:init (has-hole h0 three back)
(surface-condition n0 polished)
(temperature i0 cold)
(surface-condition p0 polished)
(surface-condition f0 polished)
(temperature e0 cold)
(painted d0 black)
(shape j0 cylindrical)
(painted u0 yellow)
(surface-condition c0 polished)
(painted r0 red)
(shape o0 oblong)
(temperature b0 cold)
(shape e0 cylindrical)
(painted q0 yellow)
(shape d0 cylindrical)
(surface-condition r0 rough)
(painted e0 yellow)
(surface-condition g0 polished)
(has-paint immersion-painter yellow)
(has-hole m0 one back)
(surface-condition q0 rough)
(has-hole c0 three front)
(surface-condition l0 smooth)
(has-paint immersion-painter red)
(surface-condition o0 polished)
(painted b0 red)
(has-hole d0 three front)
(temperature c0 cold)
(can-orient drill-press back)
(has-hole e0 three front)
(temperature u0 cold)
(temperature m0 cold)
(surface-condition j0 rough)
(painted l0 blue)
(has-hole g0 three back)
(shape g0 oblong)
(has-hole b0 three front)
(has-hole r0 two back)
(shape u0 cylindrical)
(temperature n0 cold)
(painted k0 black)
(shape h0 cylindrical)
(has-bit punch two)
(shape r0 cylindrical)
(painted m0 red)
(shape a0 oblong)
(painted a0 yellow)
(surface-condition m0 smooth)
(has-bit drill-press one)
(surface-condition d0 polished)
(has-paint immersion-painter blue)
(has-paint spray-painter black)
(has-hole o0 two back)
(temperature r0 cold)
(temperature h0 cold)
(has-hole l0 three front)
(painted o0 blue)
(shape f0 circular)
(temperature k0 cold)
(temperature p0 cold)
(shape s0 oblong)
(can-orient drill-press front)
(surface-condition h0 smooth)
(has-hole s0 two back)
(has-paint immersion-painter black)
(surface-condition k0 smooth)
(shape p0 cylindrical)
(surface-condition e0 rough)
(painted g0 black)
(has-hole n0 three front)
(painted h0 blue)
(temperature o0 cold)
(has-hole j0 two front)
(has-hole f0 three front)
(has-hole u0 three front)
(has-hole k0 two back)
(can-orient punch back)
(shape q0 circular)
(painted f0 yellow)
(temperature g0 cold)
(painted s0 red)
(has-bit drill-press three)
(painted c0 red)
(painted i0 black)
(has-bit punch one)
(has-hole a0 three back)
(surface-condition b0 polished)
(has-paint spray-painter red)
(temperature l0 cold)
(painted j0 red)
(shape b0 oblong)
(shape c0 oblong)
(shape m0 oblong)
(has-bit drill-press two)
(surface-condition a0 rough)
(has-hole i0 two front)
(temperature a0 cold)
(painted p0 red)
(has-bit punch three)
(surface-condition s0 rough)
(has-paint spray-painter blue)
(shape n0 circular)
(shape i0 cylindrical)
(painted n0 red)
(has-hole p0 three back)
(temperature s0 cold)
(surface-condition u0 polished)
(surface-condition i0 smooth)
(has-paint spray-painter yellow)
(temperature f0 cold)
(has-hole q0 three front)
(temperature q0 cold)
(temperature j0 cold)
(shape l0 circular)
(can-orient punch front)
(temperature d0 cold)
(shape k0 oblong)
)
(:goal (and
	  (shape m0 cylindrical)
	  (painted q0 black)
	  (surface-condition p0 rough)
	  (shape n0 cylindrical)
	  (surface-condition r0 smooth)
	  (shape l0 cylindrical)
	  (shape o0 cylindrical)
	  (painted e0 blue)
	  (painted d0 red)
	  (painted m0 blue)
	  (painted k0 red)
	  (surface-condition f0 smooth)
	  (painted j0 blue)
	  (surface-condition u0 rough)
	  (painted h0 yellow)
	  (shape q0 cylindrical)
	  (painted o0 red)
	  (surface-condition o0 smooth)
	  (painted n0 black)
	  (painted f0 red))
)
)
