(define (problem schedule-21-2)
(:domain schedule)
(:objects
blue yellow red black  - colour
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
back front  - anorient
two three one  - width
cold hot  - temperature-type
cylindrical circular oblong  - ashape
polished rough smooth  - surface
v0 u0 s0 r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
)
(:init (has-hole a0 one front)
(temperature l0 cold)
(has-hole c0 three front)
(temperature r0 cold)
(temperature s0 cold)
(has-bit punch three)
(shape l0 circular)
(shape a0 cylindrical)
(has-paint immersion-painter red)
(shape h0 cylindrical)
(surface-condition n0 polished)
(has-paint immersion-painter black)
(can-orient drill-press front)
(has-bit drill-press three)
(surface-condition i0 smooth)
(painted b0 yellow)
(temperature j0 cold)
(temperature e0 cold)
(has-bit punch two)
(painted c0 red)
(surface-condition d0 polished)
(temperature f0 cold)
(shape e0 oblong)
(painted g0 yellow)
(can-orient drill-press back)
(has-paint spray-painter yellow)
(has-hole n0 two front)
(painted k0 blue)
(has-hole d0 three front)
(painted e0 blue)
(has-hole v0 one back)
(painted v0 blue)
(painted f0 blue)
(painted m0 red)
(surface-condition o0 smooth)
(temperature u0 cold)
(has-hole b0 three front)
(temperature m0 cold)
(painted o0 blue)
(shape v0 cylindrical)
(shape q0 oblong)
(painted p0 yellow)
(surface-condition c0 polished)
(has-hole h0 two back)
(has-hole l0 three front)
(temperature q0 cold)
(surface-condition p0 polished)
(temperature c0 cold)
(painted s0 black)
(has-hole k0 one front)
(can-orient punch back)
(surface-condition b0 rough)
(painted l0 yellow)
(temperature g0 cold)
(has-hole m0 three back)
(has-hole o0 one front)
(has-hole u0 two back)
(shape o0 circular)
(has-hole i0 three front)
(surface-condition q0 polished)
(has-hole p0 one back)
(surface-condition k0 rough)
(painted q0 blue)
(has-paint immersion-painter blue)
(can-orient punch front)
(shape i0 oblong)
(temperature o0 cold)
(surface-condition g0 polished)
(surface-condition m0 rough)
(has-paint spray-painter blue)
(surface-condition j0 polished)
(surface-condition e0 smooth)
(shape f0 circular)
(has-hole f0 two back)
(surface-condition h0 smooth)
(painted i0 red)
(temperature i0 cold)
(has-bit drill-press two)
(shape k0 circular)
(painted j0 red)
(shape j0 circular)
(shape p0 circular)
(surface-condition a0 smooth)
(painted n0 yellow)
(surface-condition v0 rough)
(shape u0 circular)
(painted u0 red)
(has-paint spray-painter red)
(shape m0 oblong)
(shape r0 cylindrical)
(temperature b0 cold)
(shape g0 oblong)
(has-hole r0 two front)
(has-paint spray-painter black)
(shape d0 cylindrical)
(has-hole s0 one back)
(painted d0 yellow)
(painted r0 red)
(shape n0 circular)
(temperature d0 cold)
(has-hole g0 two back)
(has-bit punch one)
(surface-condition f0 rough)
(temperature p0 cold)
(temperature a0 cold)
(painted h0 red)
(shape b0 cylindrical)
(has-bit drill-press one)
(has-hole j0 three back)
(shape s0 oblong)
(surface-condition u0 rough)
(shape c0 cylindrical)
(temperature h0 cold)
(painted a0 blue)
(has-paint immersion-painter yellow)
(temperature k0 cold)
(surface-condition l0 rough)
(temperature n0 cold)
(has-hole e0 two back)
(has-hole q0 three back)
(surface-condition s0 rough)
(temperature v0 cold)
(surface-condition r0 smooth)
)
(:goal (and
	  (surface-condition l0 smooth)
	  (painted s0 blue)
	  (painted l0 red)
	  (surface-condition n0 smooth)
	  (painted g0 blue)
	  (shape q0 cylindrical)
	  (painted k0 black)
	  (shape u0 cylindrical)
	  (shape g0 cylindrical)
	  (surface-condition o0 rough)
	  (surface-condition v0 polished)
	  (painted b0 black)
	  (shape j0 cylindrical)
	  (surface-condition k0 smooth)
	  (surface-condition e0 rough)
	  (surface-condition g0 rough)
	  (surface-condition u0 polished)
	  (painted c0 yellow)
	  (shape i0 cylindrical)
	  (shape l0 cylindrical)
	  (painted j0 black))
)
)
