(define (problem schedule-22-1)
(:domain schedule)
(:objects
blue yellow red black  - colour
cold hot  - temperature-type
two three one  - width
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
back front  - anorient
cylindrical circular oblong  - ashape
w0 v0 u0 s0 r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
polished rough smooth  - surface
)
(:init (has-hole d0 one front)
(surface-condition c0 smooth)
(has-hole q0 one front)
(surface-condition i0 polished)
(painted v0 blue)
(temperature r0 cold)
(shape w0 cylindrical)
(temperature j0 cold)
(temperature o0 cold)
(surface-condition s0 polished)
(has-hole u0 two front)
(shape h0 oblong)
(has-hole c0 three back)
(shape q0 cylindrical)
(has-paint spray-painter red)
(temperature g0 cold)
(temperature b0 cold)
(shape e0 cylindrical)
(has-hole v0 three front)
(has-hole e0 two back)
(has-hole a0 one front)
(surface-condition g0 rough)
(has-paint immersion-painter red)
(temperature n0 cold)
(shape c0 cylindrical)
(shape l0 circular)
(surface-condition r0 polished)
(painted g0 blue)
(surface-condition b0 smooth)
(surface-condition w0 smooth)
(temperature q0 cold)
(painted h0 red)
(shape o0 oblong)
(has-hole h0 one front)
(painted q0 black)
(has-bit drill-press two)
(shape i0 cylindrical)
(has-bit punch three)
(painted b0 red)
(surface-condition m0 rough)
(surface-condition l0 rough)
(temperature p0 cold)
(temperature l0 cold)
(has-bit punch two)
(painted f0 red)
(surface-condition u0 rough)
(has-hole l0 three front)
(painted k0 yellow)
(temperature c0 cold)
(painted d0 yellow)
(temperature h0 cold)
(has-hole j0 three front)
(has-hole o0 three front)
(has-hole k0 one back)
(temperature v0 cold)
(shape d0 oblong)
(shape s0 circular)
(temperature i0 cold)
(surface-condition e0 polished)
(temperature u0 cold)
(temperature e0 cold)
(shape b0 circular)
(can-orient punch front)
(painted m0 black)
(surface-condition f0 smooth)
(temperature d0 cold)
(painted n0 red)
(surface-condition a0 rough)
(surface-condition k0 rough)
(has-paint immersion-painter blue)
(surface-condition p0 polished)
(can-orient drill-press back)
(painted w0 black)
(has-paint spray-painter black)
(can-orient punch back)
(painted e0 black)
(surface-condition n0 rough)
(has-bit punch one)
(has-bit drill-press one)
(painted o0 red)
(painted j0 yellow)
(shape f0 oblong)
(surface-condition o0 rough)
(has-paint immersion-painter black)
(surface-condition v0 smooth)
(has-paint spray-painter blue)
(has-hole f0 one back)
(surface-condition h0 rough)
(temperature s0 cold)
(has-hole i0 three front)
(shape j0 cylindrical)
(has-paint spray-painter yellow)
(temperature a0 cold)
(painted l0 red)
(painted a0 red)
(surface-condition j0 smooth)
(shape u0 cylindrical)
(has-hole b0 three back)
(temperature w0 cold)
(shape g0 oblong)
(has-paint immersion-painter yellow)
(painted u0 yellow)
(painted s0 blue)
(shape a0 cylindrical)
(has-hole g0 one back)
(can-orient drill-press front)
(temperature f0 cold)
(painted p0 yellow)
(painted c0 yellow)
(has-hole w0 three front)
(temperature k0 cold)
(shape r0 oblong)
(shape v0 cylindrical)
(shape n0 circular)
(has-hole s0 two back)
(surface-condition d0 polished)
(temperature m0 cold)
(has-hole r0 three back)
(has-hole n0 one back)
(has-bit drill-press three)
(has-hole p0 three front)
(shape m0 circular)
(painted r0 yellow)
(painted i0 blue)
(surface-condition q0 polished)
(shape p0 oblong)
(has-hole m0 three back)
(shape k0 circular)
)
(:goal (and
	  (shape m0 cylindrical)
	  (painted f0 black)
	  (surface-condition w0 polished)
	  (surface-condition h0 smooth)
	  (painted l0 black)
	  (painted e0 yellow)
	  (painted a0 black)
	  (shape b0 cylindrical)
	  (shape l0 cylindrical)
	  (painted n0 black)
	  (surface-condition g0 smooth)
	  (painted p0 blue)
	  (painted v0 yellow)
	  (painted r0 black)
	  (shape n0 cylindrical)
	  (shape h0 cylindrical)
	  (painted u0 black)
	  (surface-condition m0 polished)
	  (painted c0 red)
	  (surface-condition o0 smooth)
	  (shape d0 cylindrical)
	  (shape k0 cylindrical))
)
)
