(define (problem schedule-23-0)
(:domain schedule)
(:objects
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
back front  - anorient
polished rough smooth  - surface
two three one  - width
cylindrical circular oblong  - ashape
cold hot  - temperature-type
blue yellow red black  - colour
z0 w0 v0 u0 s0 r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
)
(:init (surface-condition u0 polished)
(has-hole a0 one back)
(temperature c0 cold)
(temperature s0 cold)
(painted b0 black)
(has-hole u0 two back)
(surface-condition n0 rough)
(can-orient drill-press back)
(shape j0 circular)
(has-hole e0 three back)
(shape z0 cylindrical)
(has-hole k0 one back)
(has-hole m0 one front)
(surface-condition j0 rough)
(painted i0 yellow)
(surface-condition h0 polished)
(shape h0 cylindrical)
(has-hole w0 three front)
(surface-condition b0 smooth)
(painted r0 yellow)
(painted p0 yellow)
(temperature a0 cold)
(has-bit drill-press three)
(surface-condition o0 polished)
(has-paint immersion-painter yellow)
(surface-condition r0 polished)
(has-hole b0 one front)
(shape i0 circular)
(painted e0 black)
(surface-condition g0 polished)
(shape a0 cylindrical)
(painted j0 black)
(shape b0 oblong)
(shape d0 cylindrical)
(painted f0 red)
(shape m0 oblong)
(painted s0 yellow)
(has-paint spray-painter red)
(painted d0 blue)
(has-hole p0 one back)
(temperature w0 cold)
(temperature r0 cold)
(surface-condition c0 rough)
(has-bit punch one)
(temperature h0 cold)
(has-hole d0 one back)
(surface-condition i0 rough)
(surface-condition s0 polished)
(temperature u0 cold)
(shape v0 cylindrical)
(painted c0 yellow)
(shape q0 cylindrical)
(painted u0 blue)
(temperature k0 cold)
(temperature n0 cold)
(has-hole j0 two back)
(has-paint immersion-painter red)
(has-hole f0 one front)
(can-orient drill-press front)
(painted w0 red)
(has-hole z0 one front)
(has-paint spray-painter yellow)
(painted q0 black)
(painted n0 black)
(shape u0 oblong)
(shape k0 oblong)
(painted z0 black)
(has-hole c0 one front)
(surface-condition p0 polished)
(has-hole q0 one front)
(temperature q0 cold)
(can-orient punch back)
(shape w0 oblong)
(has-hole o0 one front)
(surface-condition q0 rough)
(painted g0 red)
(has-hole s0 one back)
(temperature m0 cold)
(temperature d0 cold)
(shape c0 oblong)
(has-paint immersion-painter blue)
(surface-condition e0 polished)
(painted h0 black)
(temperature g0 cold)
(shape r0 cylindrical)
(has-bit punch two)
(surface-condition k0 rough)
(shape f0 oblong)
(surface-condition a0 rough)
(surface-condition z0 smooth)
(surface-condition v0 smooth)
(painted l0 red)
(painted o0 red)
(has-hole v0 three back)
(temperature j0 cold)
(has-hole h0 one back)
(surface-condition w0 smooth)
(temperature p0 cold)
(temperature i0 cold)
(has-hole n0 three back)
(surface-condition d0 rough)
(temperature f0 cold)
(has-paint immersion-painter black)
(temperature e0 cold)
(shape l0 oblong)
(shape o0 cylindrical)
(has-paint spray-painter blue)
(has-bit drill-press one)
(shape n0 oblong)
(has-paint spray-painter black)
(has-hole l0 three back)
(surface-condition f0 rough)
(temperature v0 cold)
(has-bit punch three)
(painted v0 yellow)
(shape s0 cylindrical)
(temperature b0 cold)
(temperature l0 cold)
(has-hole i0 two front)
(shape g0 cylindrical)
(temperature z0 cold)
(surface-condition m0 polished)
(shape e0 oblong)
(surface-condition l0 polished)
(has-bit drill-press two)
(has-hole g0 three front)
(can-orient punch front)
(painted m0 red)
(has-hole r0 two front)
(temperature o0 cold)
(painted k0 black)
(shape p0 circular)
(painted a0 blue)
)
(:goal (and
	  (surface-condition w0 polished)
	  (painted d0 red)
	  (painted c0 red)
	  (painted q0 red)
	  (painted o0 black)
	  (painted f0 yellow)
	  (shape k0 cylindrical)
	  (shape b0 cylindrical)
	  (surface-condition u0 smooth)
	  (surface-condition j0 smooth)
	  (painted s0 black)
	  (shape w0 cylindrical)
	  (surface-condition k0 smooth)
	  (shape n0 cylindrical)
	  (painted u0 yellow)
	  (surface-condition e0 rough)
	  (painted m0 yellow)
	  (painted v0 blue)
	  (painted r0 blue)
	  (painted i0 blue)
	  (surface-condition n0 smooth)
	  (shape m0 cylindrical)
	  (surface-condition g0 rough))
)
)
