(define (problem schedule-23-1)
(:domain schedule)
(:objects
polished rough smooth  - surface
cylindrical circular oblong  - ashape
blue yellow red black  - colour
cold hot  - temperature-type
back front  - anorient
two three one  - width
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
z0 w0 v0 u0 s0 r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
)
(:init (shape s0 oblong)
(temperature r0 cold)
(temperature h0 cold)
(surface-condition b0 polished)
(has-hole d0 one front)
(temperature j0 cold)
(shape u0 oblong)
(shape z0 oblong)
(shape g0 circular)
(painted z0 red)
(surface-condition s0 rough)
(has-hole i0 three front)
(has-hole l0 three front)
(painted s0 yellow)
(surface-condition e0 smooth)
(can-orient drill-press front)
(has-hole q0 two front)
(has-hole n0 three front)
(has-paint immersion-painter yellow)
(surface-condition n0 smooth)
(has-hole k0 one front)
(temperature v0 cold)
(has-paint spray-painter yellow)
(shape h0 cylindrical)
(shape b0 oblong)
(temperature u0 cold)
(temperature k0 cold)
(painted l0 blue)
(has-paint spray-painter blue)
(has-bit punch three)
(temperature s0 cold)
(temperature a0 cold)
(painted p0 yellow)
(shape e0 cylindrical)
(has-bit punch two)
(has-hole f0 one front)
(has-hole a0 two back)
(painted r0 red)
(temperature m0 cold)
(has-paint spray-painter red)
(temperature e0 cold)
(surface-condition a0 polished)
(surface-condition p0 rough)
(painted h0 blue)
(shape m0 oblong)
(surface-condition v0 rough)
(has-hole c0 one front)
(surface-condition z0 polished)
(has-hole j0 three back)
(surface-condition m0 rough)
(surface-condition c0 rough)
(temperature f0 cold)
(surface-condition l0 smooth)
(has-bit punch one)
(shape p0 circular)
(painted a0 black)
(surface-condition q0 polished)
(shape n0 circular)
(temperature o0 cold)
(can-orient drill-press back)
(surface-condition k0 polished)
(surface-condition j0 rough)
(has-hole z0 two back)
(has-hole r0 two front)
(has-hole h0 three back)
(surface-condition o0 polished)
(has-paint immersion-painter black)
(has-bit drill-press three)
(has-hole g0 one front)
(has-paint immersion-painter blue)
(temperature c0 cold)
(painted o0 black)
(has-hole v0 one front)
(shape d0 circular)
(painted f0 yellow)
(can-orient punch front)
(surface-condition d0 polished)
(shape k0 cylindrical)
(surface-condition h0 rough)
(painted j0 black)
(shape l0 circular)
(has-hole o0 one front)
(shape w0 cylindrical)
(has-hole e0 three back)
(can-orient punch back)
(temperature n0 cold)
(shape a0 circular)
(surface-condition i0 rough)
(painted c0 black)
(has-paint spray-painter black)
(shape r0 circular)
(painted d0 red)
(painted b0 red)
(has-hole m0 two front)
(surface-condition u0 smooth)
(temperature z0 cold)
(painted u0 black)
(has-hole p0 two front)
(shape v0 cylindrical)
(has-hole b0 three back)
(painted q0 red)
(has-hole u0 three back)
(shape f0 circular)
(painted g0 yellow)
(temperature p0 cold)
(shape i0 cylindrical)
(shape o0 cylindrical)
(painted m0 black)
(temperature d0 cold)
(has-bit drill-press two)
(temperature b0 cold)
(temperature i0 cold)
(temperature l0 cold)
(shape j0 cylindrical)
(temperature g0 cold)
(surface-condition w0 polished)
(has-paint immersion-painter red)
(has-hole s0 three front)
(painted i0 red)
(surface-condition r0 rough)
(temperature q0 cold)
(surface-condition g0 polished)
(has-hole w0 three front)
(painted k0 red)
(shape c0 circular)
(surface-condition f0 polished)
(painted v0 blue)
(painted n0 yellow)
(has-bit drill-press one)
(painted e0 black)
(painted w0 black)
(shape q0 oblong)
(temperature w0 cold)
)
(:goal (and
	  (painted b0 black)
	  (surface-condition m0 polished)
	  (shape u0 cylindrical)
	  (painted c0 yellow)
	  (shape f0 cylindrical)
	  (surface-condition e0 polished)
	  (shape s0 cylindrical)
	  (shape c0 cylindrical)
	  (surface-condition c0 smooth)
	  (surface-condition b0 smooth)
	  (painted v0 black)
	  (painted s0 red)
	  (surface-condition r0 smooth)
	  (painted n0 blue)
	  (surface-condition v0 smooth)
	  (painted l0 black)
	  (shape m0 cylindrical)
	  (painted e0 yellow)
	  (shape b0 cylindrical)
	  (surface-condition h0 smooth)
	  (shape l0 cylindrical)
	  (painted z0 blue)
	  (surface-condition k0 smooth))
)
)
