(define (problem schedule-23-2)
(:domain schedule)
(:objects
cylindrical circular oblong  - ashape
polished rough smooth  - surface
z0 w0 v0 u0 s0 r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
cold hot  - temperature-type
blue yellow red black  - colour
two three one  - width
back front  - anorient
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
)
(:init (has-hole n0 three front)
(has-bit drill-press three)
(can-orient drill-press back)
(temperature p0 cold)
(painted l0 yellow)
(shape z0 circular)
(surface-condition l0 polished)
(painted z0 red)
(painted j0 red)
(has-hole o0 two front)
(surface-condition n0 polished)
(has-paint spray-painter blue)
(shape f0 oblong)
(shape a0 cylindrical)
(painted g0 red)
(temperature e0 cold)
(has-paint spray-painter red)
(surface-condition u0 smooth)
(shape u0 cylindrical)
(surface-condition f0 rough)
(temperature f0 cold)
(shape w0 circular)
(has-paint immersion-painter black)
(has-bit punch one)
(temperature h0 cold)
(can-orient punch front)
(surface-condition m0 polished)
(temperature d0 cold)
(has-hole i0 two front)
(can-orient drill-press front)
(surface-condition w0 polished)
(shape s0 circular)
(surface-condition s0 polished)
(has-paint immersion-painter red)
(painted p0 blue)
(temperature g0 cold)
(temperature v0 cold)
(has-hole s0 three front)
(painted k0 red)
(temperature n0 cold)
(surface-condition h0 rough)
(has-paint spray-painter black)
(shape c0 oblong)
(shape e0 oblong)
(shape j0 circular)
(temperature a0 cold)
(shape b0 cylindrical)
(painted e0 black)
(has-hole v0 two front)
(temperature u0 cold)
(has-hole c0 two back)
(has-hole e0 one back)
(temperature m0 cold)
(shape n0 oblong)
(surface-condition a0 polished)
(painted o0 yellow)
(has-hole m0 three front)
(has-hole q0 two back)
(temperature s0 cold)
(surface-condition z0 rough)
(has-paint immersion-painter blue)
(painted q0 black)
(painted b0 black)
(can-orient punch back)
(surface-condition k0 smooth)
(surface-condition q0 smooth)
(surface-condition i0 polished)
(has-hole f0 two back)
(painted w0 blue)
(has-hole g0 three back)
(temperature r0 cold)
(shape m0 oblong)
(has-hole z0 one back)
(temperature l0 cold)
(shape d0 circular)
(temperature i0 cold)
(shape g0 cylindrical)
(shape i0 circular)
(painted u0 yellow)
(has-hole b0 two front)
(surface-condition b0 polished)
(temperature j0 cold)
(has-hole h0 three front)
(painted i0 yellow)
(surface-condition d0 rough)
(temperature b0 cold)
(has-hole p0 one back)
(has-paint immersion-painter yellow)
(shape o0 circular)
(surface-condition g0 rough)
(temperature z0 cold)
(has-hole d0 three back)
(surface-condition c0 rough)
(painted f0 red)
(has-hole u0 two front)
(has-hole w0 one front)
(has-hole k0 three back)
(painted h0 yellow)
(has-hole a0 three back)
(surface-condition p0 rough)
(surface-condition r0 smooth)
(has-paint spray-painter yellow)
(painted a0 red)
(shape r0 cylindrical)
(painted v0 blue)
(surface-condition e0 rough)
(surface-condition v0 smooth)
(surface-condition j0 rough)
(shape h0 circular)
(temperature w0 cold)
(has-bit punch three)
(painted r0 black)
(painted s0 yellow)
(shape v0 circular)
(surface-condition o0 smooth)
(painted d0 blue)
(shape l0 cylindrical)
(has-bit drill-press two)
(has-hole l0 three back)
(has-hole r0 one front)
(temperature q0 cold)
(temperature c0 cold)
(shape q0 cylindrical)
(painted c0 yellow)
(has-hole j0 three back)
(painted m0 blue)
(painted n0 red)
(shape p0 circular)
(temperature k0 cold)
(has-bit drill-press one)
(shape k0 cylindrical)
(temperature o0 cold)
(has-bit punch two)
)
(:goal (and
	  (surface-condition l0 rough)
	  (surface-condition v0 polished)
	  (surface-condition b0 smooth)
	  (painted v0 red)
	  (surface-condition z0 polished)
	  (painted d0 black)
	  (painted g0 blue)
	  (shape v0 cylindrical)
	  (shape w0 cylindrical)
	  (painted u0 blue)
	  (surface-condition w0 smooth)
	  (shape o0 cylindrical)
	  (painted s0 blue)
	  (shape s0 cylindrical)
	  (shape e0 cylindrical)
	  (surface-condition d0 smooth)
	  (surface-condition s0 smooth)
	  (surface-condition k0 rough)
	  (shape m0 cylindrical)
	  (shape n0 cylindrical)
	  (painted w0 black)
	  (shape h0 cylindrical)
	  (surface-condition p0 smooth))
)
)
