(define (problem schedule-24-0)
(:domain schedule)
(:objects
two three one  - width
blue yellow red black  - colour
polished rough smooth  - surface
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
cold hot  - temperature-type
a1 z0 w0 v0 u0 s0 r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
back front  - anorient
cylindrical circular oblong  - ashape
)
(:init (painted f0 black)
(surface-condition p0 smooth)
(surface-condition s0 polished)
(surface-condition b0 rough)
(painted l0 red)
(has-hole u0 one front)
(shape e0 circular)
(has-hole a1 two front)
(temperature o0 cold)
(has-hole d0 one front)
(painted a1 blue)
(painted r0 yellow)
(shape h0 cylindrical)
(has-paint immersion-painter black)
(has-hole b0 two front)
(has-paint immersion-painter blue)
(has-hole a0 one front)
(surface-condition e0 rough)
(surface-condition c0 smooth)
(has-paint immersion-painter red)
(has-hole i0 three front)
(has-hole o0 three back)
(temperature s0 cold)
(has-hole l0 three back)
(painted u0 blue)
(has-hole w0 two front)
(surface-condition a0 polished)
(has-hole g0 two front)
(shape i0 cylindrical)
(shape s0 oblong)
(surface-condition l0 smooth)
(painted h0 red)
(temperature j0 cold)
(has-hole p0 two front)
(shape z0 cylindrical)
(temperature k0 cold)
(painted s0 black)
(has-hole r0 one front)
(temperature i0 cold)
(can-orient punch front)
(temperature m0 cold)
(surface-condition q0 smooth)
(painted p0 yellow)
(surface-condition j0 polished)
(has-bit drill-press two)
(surface-condition v0 rough)
(has-hole e0 three back)
(has-hole n0 one back)
(surface-condition u0 polished)
(has-paint immersion-painter yellow)
(surface-condition z0 polished)
(has-bit drill-press three)
(temperature a0 cold)
(surface-condition n0 smooth)
(shape g0 cylindrical)
(painted m0 black)
(shape l0 circular)
(temperature u0 cold)
(painted d0 blue)
(surface-condition k0 smooth)
(surface-condition m0 rough)
(has-hole q0 three back)
(has-paint spray-painter yellow)
(temperature c0 cold)
(surface-condition f0 rough)
(shape u0 cylindrical)
(painted n0 red)
(painted k0 red)
(has-bit drill-press one)
(shape d0 circular)
(temperature g0 cold)
(temperature q0 cold)
(has-hole c0 three back)
(painted b0 red)
(has-paint spray-painter black)
(has-bit punch two)
(painted e0 black)
(shape m0 cylindrical)
(temperature r0 cold)
(shape n0 oblong)
(temperature v0 cold)
(has-hole v0 one front)
(shape b0 cylindrical)
(painted j0 blue)
(painted a0 yellow)
(has-hole j0 one back)
(has-hole f0 three front)
(shape p0 circular)
(painted w0 black)
(has-paint spray-painter red)
(shape w0 circular)
(temperature h0 cold)
(has-paint spray-painter blue)
(surface-condition g0 rough)
(shape c0 cylindrical)
(temperature d0 cold)
(temperature l0 cold)
(temperature n0 cold)
(surface-condition i0 rough)
(surface-condition d0 rough)
(temperature w0 cold)
(can-orient drill-press front)
(has-hole h0 one back)
(shape r0 cylindrical)
(temperature b0 cold)
(has-bit punch three)
(shape f0 circular)
(temperature p0 cold)
(temperature e0 cold)
(painted c0 black)
(painted g0 yellow)
(shape k0 circular)
(painted o0 black)
(surface-condition a1 rough)
(temperature f0 cold)
(surface-condition o0 smooth)
(temperature a1 cold)
(painted v0 red)
(has-hole s0 one front)
(shape j0 circular)
(temperature z0 cold)
(shape v0 circular)
(surface-condition w0 smooth)
(painted z0 yellow)
(surface-condition h0 polished)
(shape q0 cylindrical)
(painted i0 yellow)
(shape a0 circular)
(can-orient punch back)
(has-hole m0 one back)
(painted q0 yellow)
(surface-condition r0 polished)
(has-hole z0 one front)
(shape o0 circular)
(has-hole k0 three back)
(can-orient drill-press back)
(has-bit punch one)
(shape a1 circular)
)
(:goal (and
	  (shape a0 cylindrical)
	  (shape f0 cylindrical)
	  (shape j0 cylindrical)
	  (surface-condition z0 smooth)
	  (surface-condition r0 rough)
	  (painted o0 yellow)
	  (shape k0 cylindrical)
	  (surface-condition m0 smooth)
	  (shape w0 cylindrical)
	  (surface-condition v0 polished)
	  (shape d0 cylindrical)
	  (painted m0 red)
	  (painted p0 blue)
	  (painted r0 black)
	  (surface-condition o0 polished)
	  (painted j0 red)
	  (surface-condition a0 smooth)
	  (painted g0 black)
	  (surface-condition c0 rough)
	  (painted d0 yellow)
	  (shape v0 cylindrical)
	  (painted c0 blue)
	  (painted l0 black)
	  (shape a1 cylindrical))
)
)
