(define (problem schedule-24-2)
(:domain schedule)
(:objects
cold hot  - temperature-type
back front  - anorient
two three one  - width
blue yellow red black  - colour
cylindrical circular oblong  - ashape
polished rough smooth  - surface
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
a1 z0 w0 v0 u0 s0 r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
)
(:init (has-hole j0 two front)
(temperature h0 cold)
(surface-condition a1 polished)
(painted u0 black)
(painted v0 black)
(temperature g0 cold)
(has-hole k0 one back)
(temperature s0 cold)
(has-bit punch three)
(has-hole r0 three back)
(surface-condition z0 smooth)
(has-hole s0 two front)
(has-hole l0 two front)
(has-hole d0 two front)
(painted s0 yellow)
(shape n0 circular)
(shape o0 circular)
(painted j0 yellow)
(shape a1 circular)
(surface-condition e0 rough)
(temperature c0 cold)
(has-hole f0 one back)
(shape k0 cylindrical)
(surface-condition g0 rough)
(temperature m0 cold)
(painted q0 blue)
(surface-condition k0 rough)
(painted c0 blue)
(has-hole m0 three back)
(temperature j0 cold)
(has-bit drill-press three)
(surface-condition j0 rough)
(painted g0 red)
(temperature l0 cold)
(painted n0 yellow)
(surface-condition d0 rough)
(temperature r0 cold)
(shape p0 cylindrical)
(has-hole g0 one front)
(has-bit punch one)
(temperature u0 cold)
(painted e0 black)
(painted f0 yellow)
(surface-condition u0 rough)
(shape s0 circular)
(has-hole h0 two back)
(has-paint immersion-painter black)
(shape u0 cylindrical)
(shape e0 oblong)
(surface-condition m0 smooth)
(painted m0 yellow)
(temperature a1 cold)
(has-paint spray-painter black)
(can-orient punch front)
(has-paint spray-painter blue)
(surface-condition h0 smooth)
(shape c0 circular)
(temperature o0 cold)
(surface-condition r0 polished)
(has-bit punch two)
(has-hole a1 one front)
(has-paint spray-painter yellow)
(shape g0 cylindrical)
(surface-condition f0 polished)
(temperature q0 cold)
(has-hole o0 two front)
(has-hole b0 three back)
(shape z0 oblong)
(surface-condition q0 smooth)
(has-paint immersion-painter yellow)
(surface-condition s0 smooth)
(temperature w0 cold)
(painted l0 yellow)
(shape r0 circular)
(surface-condition b0 rough)
(has-bit drill-press one)
(painted a1 red)
(painted a0 blue)
(has-hole e0 two back)
(has-hole v0 one front)
(temperature e0 cold)
(has-hole a0 two back)
(temperature z0 cold)
(surface-condition a0 rough)
(surface-condition c0 polished)
(has-hole i0 three back)
(surface-condition i0 smooth)
(painted o0 blue)
(has-hole w0 one back)
(has-hole c0 two front)
(temperature v0 cold)
(temperature b0 cold)
(painted w0 red)
(temperature f0 cold)
(shape h0 oblong)
(has-hole u0 two front)
(painted b0 yellow)
(shape j0 circular)
(painted k0 black)
(has-paint immersion-painter blue)
(has-paint spray-painter red)
(surface-condition v0 smooth)
(temperature d0 cold)
(can-orient punch back)
(shape v0 oblong)
(shape w0 circular)
(surface-condition w0 rough)
(has-hole z0 two back)
(temperature k0 cold)
(shape m0 cylindrical)
(temperature n0 cold)
(temperature p0 cold)
(can-orient drill-press front)
(has-paint immersion-painter red)
(painted d0 yellow)
(painted i0 blue)
(surface-condition o0 smooth)
(temperature a0 cold)
(surface-condition p0 rough)
(shape l0 circular)
(surface-condition l0 rough)
(shape d0 oblong)
(shape f0 oblong)
(shape i0 cylindrical)
(shape a0 oblong)
(temperature i0 cold)
(painted z0 red)
(shape q0 oblong)
(painted r0 black)
(has-hole n0 two front)
(has-hole p0 two front)
(surface-condition n0 polished)
(can-orient drill-press back)
(has-bit drill-press two)
(painted h0 blue)
(has-hole q0 two front)
(painted p0 black)
(shape b0 oblong)
)
(:goal (and
	  (painted m0 red)
	  (painted o0 black)
	  (shape w0 cylindrical)
	  (shape d0 cylindrical)
	  (surface-condition p0 polished)
	  (surface-condition j0 smooth)
	  (painted i0 black)
	  (surface-condition e0 smooth)
	  (surface-condition z0 polished)
	  (shape s0 cylindrical)
	  (painted s0 red)
	  (surface-condition u0 smooth)
	  (surface-condition a1 rough)
	  (painted z0 black)
	  (surface-condition m0 rough)
	  (surface-condition k0 smooth)
	  (painted n0 blue)
	  (painted f0 black)
	  (painted p0 blue)
	  (shape f0 cylindrical)
	  (shape j0 cylindrical)
	  (surface-condition g0 smooth)
	  (surface-condition d0 smooth)
	  (surface-condition s0 rough))
)
)
