(define (problem schedule-25-0)
(:domain schedule)
(:objects
polished rough smooth  - surface
cylindrical circular oblong  - ashape
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
blue yellow red black  - colour
b1 a1 z0 w0 v0 u0 s0 r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
back front  - anorient
cold hot  - temperature-type
two three one  - width
)
(:init (shape a1 cylindrical)
(has-hole c0 three front)
(surface-condition o0 smooth)
(has-bit drill-press three)
(temperature u0 cold)
(has-paint spray-painter yellow)
(has-hole j0 three back)
(temperature z0 cold)
(surface-condition h0 polished)
(painted p0 yellow)
(surface-condition v0 polished)
(painted h0 yellow)
(shape n0 circular)
(surface-condition e0 smooth)
(has-hole p0 one front)
(has-hole g0 one back)
(surface-condition j0 polished)
(has-hole h0 three front)
(painted b1 red)
(surface-condition a0 polished)
(has-hole k0 one front)
(temperature a1 cold)
(temperature g0 cold)
(temperature r0 cold)
(painted c0 yellow)
(has-bit punch three)
(surface-condition q0 rough)
(has-bit drill-press one)
(temperature a0 cold)
(has-hole e0 three front)
(can-orient drill-press front)
(has-hole z0 one back)
(can-orient drill-press back)
(shape v0 cylindrical)
(surface-condition c0 smooth)
(shape j0 oblong)
(has-hole f0 one back)
(painted s0 yellow)
(has-bit drill-press two)
(has-hole d0 one back)
(surface-condition u0 smooth)
(shape p0 cylindrical)
(painted j0 red)
(temperature d0 cold)
(surface-condition w0 polished)
(surface-condition f0 smooth)
(has-bit punch one)
(shape e0 oblong)
(has-hole i0 three front)
(painted k0 black)
(surface-condition l0 rough)
(shape b0 oblong)
(surface-condition s0 rough)
(temperature b1 cold)
(surface-condition r0 polished)
(has-hole s0 one front)
(temperature c0 cold)
(temperature f0 cold)
(shape k0 circular)
(has-bit punch two)
(shape i0 circular)
(painted q0 red)
(has-paint spray-painter red)
(painted v0 black)
(temperature q0 cold)
(shape g0 cylindrical)
(surface-condition b1 rough)
(surface-condition n0 rough)
(can-orient punch back)
(surface-condition k0 rough)
(painted a1 black)
(surface-condition i0 polished)
(shape c0 circular)
(temperature n0 cold)
(temperature v0 cold)
(surface-condition a1 smooth)
(surface-condition g0 polished)
(painted g0 blue)
(shape q0 circular)
(painted r0 blue)
(has-paint immersion-painter blue)
(shape s0 oblong)
(painted n0 red)
(painted u0 red)
(has-hole q0 three front)
(surface-condition z0 rough)
(has-hole n0 one back)
(has-hole a1 two front)
(painted i0 blue)
(has-hole w0 two front)
(shape h0 oblong)
(shape m0 cylindrical)
(temperature e0 cold)
(has-hole b1 two front)
(temperature i0 cold)
(shape w0 cylindrical)
(temperature s0 cold)
(surface-condition p0 rough)
(painted o0 red)
(has-paint spray-painter blue)
(shape u0 oblong)
(has-paint spray-painter black)
(painted d0 red)
(has-paint immersion-painter yellow)
(painted l0 red)
(shape z0 cylindrical)
(has-hole v0 three back)
(shape b1 oblong)
(painted a0 black)
(temperature h0 cold)
(has-paint immersion-painter red)
(temperature j0 cold)
(shape a0 cylindrical)
(shape d0 oblong)
(shape f0 cylindrical)
(temperature o0 cold)
(painted f0 blue)
(painted m0 blue)
(temperature l0 cold)
(painted e0 yellow)
(temperature m0 cold)
(shape o0 oblong)
(has-hole o0 three back)
(shape r0 cylindrical)
(surface-condition b0 polished)
(temperature b0 cold)
(has-paint immersion-painter black)
(has-hole b0 one front)
(surface-condition d0 rough)
(has-hole l0 one front)
(can-orient punch front)
(surface-condition m0 rough)
(painted w0 red)
(temperature k0 cold)
(painted b0 black)
(has-hole u0 three front)
(temperature w0 cold)
(has-hole r0 one back)
(painted z0 black)
(has-hole a0 one front)
(shape l0 cylindrical)
(temperature p0 cold)
(has-hole m0 two front)
)
(:goal (and
	  (shape d0 cylindrical)
	  (surface-condition a0 smooth)
	  (surface-condition w0 rough)
	  (surface-condition g0 rough)
	  (surface-condition b0 rough)
	  (surface-condition m0 polished)
	  (painted a1 blue)
	  (surface-condition o0 rough)
	  (surface-condition v0 rough)
	  (painted a0 blue)
	  (painted r0 black)
	  (shape b1 cylindrical)
	  (painted h0 black)
	  (painted q0 yellow)
	  (shape c0 cylindrical)
	  (painted e0 red)
	  (surface-condition s0 smooth)
	  (painted v0 yellow)
	  (surface-condition z0 smooth)
	  (shape o0 cylindrical)
	  (surface-condition e0 polished)
	  (surface-condition n0 smooth)
	  (painted i0 red)
	  (painted f0 red)
	  (shape i0 cylindrical))
)
)
