(define (problem schedule-25-1)
(:domain schedule)
(:objects
two three one  - width
cylindrical circular oblong  - ashape
back front  - anorient
blue yellow red black  - colour
cold hot  - temperature-type
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
b1 a1 z0 w0 v0 u0 s0 r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
polished rough smooth  - surface
)
(:init (temperature j0 cold)
(painted e0 yellow)
(painted s0 black)
(has-hole e0 three back)
(surface-condition c0 smooth)
(can-orient punch back)
(temperature l0 cold)
(painted h0 black)
(surface-condition a1 smooth)
(painted m0 red)
(surface-condition w0 rough)
(shape i0 cylindrical)
(has-hole p0 three front)
(has-hole b1 three back)
(temperature o0 cold)
(surface-condition k0 polished)
(painted w0 yellow)
(painted b0 red)
(temperature w0 cold)
(has-bit drill-press two)
(surface-condition b1 polished)
(has-paint spray-painter red)
(shape m0 cylindrical)
(shape n0 circular)
(surface-condition r0 polished)
(painted k0 black)
(painted z0 blue)
(has-hole j0 three front)
(has-hole b0 three front)
(has-bit punch one)
(surface-condition f0 smooth)
(can-orient punch front)
(painted l0 blue)
(has-bit drill-press three)
(shape o0 oblong)
(surface-condition s0 rough)
(painted f0 blue)
(shape f0 circular)
(has-hole d0 three back)
(has-hole g0 one back)
(shape c0 circular)
(shape j0 oblong)
(has-hole s0 two back)
(temperature h0 cold)
(has-hole h0 one back)
(shape q0 circular)
(painted p0 blue)
(temperature e0 cold)
(painted o0 red)
(painted v0 blue)
(has-hole k0 one back)
(painted d0 blue)
(surface-condition j0 rough)
(has-hole r0 two back)
(temperature k0 cold)
(has-bit punch two)
(temperature r0 cold)
(has-hole l0 one front)
(surface-condition d0 polished)
(temperature i0 cold)
(shape z0 oblong)
(surface-condition g0 rough)
(surface-condition a0 rough)
(shape r0 oblong)
(shape h0 oblong)
(has-hole u0 two back)
(painted j0 blue)
(has-hole w0 three back)
(temperature s0 cold)
(shape g0 oblong)
(shape b1 cylindrical)
(surface-condition q0 smooth)
(painted a0 blue)
(surface-condition u0 rough)
(surface-condition n0 smooth)
(temperature q0 cold)
(shape a0 oblong)
(temperature a0 cold)
(shape u0 oblong)
(temperature b0 cold)
(has-paint spray-painter blue)
(shape b0 circular)
(shape k0 cylindrical)
(surface-condition v0 polished)
(temperature m0 cold)
(has-hole v0 three front)
(shape s0 cylindrical)
(painted a1 red)
(has-hole a1 three back)
(has-paint immersion-painter yellow)
(has-hole f0 two back)
(surface-condition h0 polished)
(has-hole q0 one back)
(has-paint spray-painter yellow)
(has-paint immersion-painter red)
(has-hole c0 three back)
(painted q0 blue)
(shape e0 cylindrical)
(shape l0 oblong)
(temperature u0 cold)
(painted i0 yellow)
(temperature z0 cold)
(painted b1 yellow)
(shape w0 circular)
(temperature b1 cold)
(painted r0 red)
(painted u0 black)
(surface-condition z0 polished)
(has-hole z0 three front)
(temperature a1 cold)
(can-orient drill-press front)
(temperature g0 cold)
(surface-condition l0 smooth)
(has-hole o0 one front)
(temperature v0 cold)
(shape v0 circular)
(painted c0 blue)
(temperature p0 cold)
(temperature f0 cold)
(surface-condition m0 smooth)
(has-paint spray-painter black)
(temperature c0 cold)
(surface-condition e0 polished)
(painted g0 black)
(temperature n0 cold)
(surface-condition b0 polished)
(shape a1 oblong)
(surface-condition o0 polished)
(has-hole i0 one back)
(has-bit punch three)
(temperature d0 cold)
(surface-condition p0 smooth)
(shape d0 circular)
(has-hole n0 three front)
(shape p0 cylindrical)
(has-paint immersion-painter black)
(has-hole a0 two front)
(has-paint immersion-painter blue)
(can-orient drill-press back)
(has-bit drill-press one)
(surface-condition i0 smooth)
(has-hole m0 two back)
(painted n0 red)
)
(:goal (and
	  (painted e0 red)
	  (painted a1 black)
	  (shape c0 cylindrical)
	  (painted d0 yellow)
	  (painted g0 blue)
	  (painted m0 yellow)
	  (shape j0 cylindrical)
	  (shape g0 cylindrical)
	  (shape z0 cylindrical)
	  (painted h0 yellow)
	  (shape f0 cylindrical)
	  (painted v0 red)
	  (surface-condition s0 polished)
	  (painted q0 red)
	  (surface-condition e0 smooth)
	  (surface-condition w0 polished)
	  (surface-condition f0 polished)
	  (shape w0 cylindrical)
	  (surface-condition i0 rough)
	  (surface-condition n0 rough)
	  (surface-condition r0 smooth)
	  (painted c0 black)
	  (shape o0 cylindrical)
	  (shape d0 cylindrical)
	  (painted n0 yellow))
)
)
