(define (problem schedule-27-1)
(:domain schedule)
(:objects
cylindrical circular oblong  - ashape
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
d1 c1 b1 a1 z0 w0 v0 u0 s0 r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
back front  - anorient
two three one  - width
polished rough smooth  - surface
blue yellow red black  - colour
cold hot  - temperature-type
)
(:init (has-hole m0 two front)
(has-hole g0 two back)
(temperature e0 cold)
(surface-condition a0 polished)
(has-hole b1 one back)
(temperature g0 cold)
(shape l0 cylindrical)
(temperature q0 cold)
(temperature r0 cold)
(painted d1 yellow)
(temperature f0 cold)
(surface-condition p0 polished)
(painted q0 red)
(surface-condition m0 rough)
(surface-condition d1 rough)
(painted d0 yellow)
(surface-condition j0 rough)
(shape w0 cylindrical)
(painted g0 blue)
(has-paint immersion-painter red)
(shape a0 oblong)
(shape d0 oblong)
(surface-condition l0 rough)
(shape c1 cylindrical)
(shape q0 circular)
(surface-condition s0 polished)
(has-hole z0 two front)
(temperature m0 cold)
(has-hole i0 two back)
(surface-condition u0 polished)
(shape a1 cylindrical)
(has-hole d1 one front)
(shape p0 oblong)
(has-paint spray-painter yellow)
(has-hole e0 two back)
(shape f0 cylindrical)
(has-paint immersion-painter yellow)
(has-paint spray-painter blue)
(temperature v0 cold)
(can-orient drill-press front)
(surface-condition c0 polished)
(temperature l0 cold)
(painted w0 black)
(can-orient punch back)
(has-hole l0 three front)
(temperature c1 cold)
(temperature h0 cold)
(surface-condition q0 smooth)
(surface-condition f0 rough)
(shape v0 oblong)
(temperature k0 cold)
(shape h0 circular)
(shape g0 cylindrical)
(has-bit drill-press one)
(has-hole o0 one back)
(has-hole n0 two back)
(has-hole h0 three back)
(has-paint immersion-painter blue)
(surface-condition z0 polished)
(has-hole a0 two back)
(temperature j0 cold)
(surface-condition w0 smooth)
(painted v0 yellow)
(painted j0 red)
(painted l0 black)
(shape b0 oblong)
(temperature w0 cold)
(has-paint spray-painter red)
(shape o0 circular)
(painted s0 red)
(has-hole a1 one back)
(has-hole d0 two back)
(painted k0 black)
(painted r0 yellow)
(surface-condition b0 polished)
(shape n0 oblong)
(shape r0 oblong)
(surface-condition a1 polished)
(shape b1 circular)
(surface-condition n0 rough)
(shape z0 cylindrical)
(surface-condition v0 polished)
(painted m0 red)
(surface-condition e0 rough)
(has-paint spray-painter black)
(temperature p0 cold)
(surface-condition c1 smooth)
(has-hole c0 two front)
(has-hole u0 two back)
(surface-condition d0 polished)
(temperature b0 cold)
(has-bit drill-press three)
(shape d1 oblong)
(painted b0 yellow)
(surface-condition o0 smooth)
(can-orient punch front)
(has-hole q0 three back)
(has-bit punch three)
(shape u0 cylindrical)
(painted c1 black)
(shape i0 oblong)
(painted o0 red)
(painted h0 yellow)
(painted e0 red)
(surface-condition b1 smooth)
(has-bit drill-press two)
(has-hole j0 two back)
(temperature d0 cold)
(shape s0 cylindrical)
(painted u0 yellow)
(can-orient drill-press back)
(temperature c0 cold)
(shape k0 oblong)
(temperature a1 cold)
(painted n0 blue)
(temperature s0 cold)
(temperature d1 cold)
(painted i0 red)
(surface-condition k0 rough)
(has-hole s0 three back)
(surface-condition i0 rough)
(painted c0 blue)
(surface-condition h0 rough)
(shape j0 circular)
(has-hole k0 two front)
(shape e0 oblong)
(painted p0 blue)
(has-hole p0 two back)
(has-hole f0 three front)
(painted b1 yellow)
(temperature n0 cold)
(has-hole c1 one front)
(painted f0 black)
(has-paint immersion-painter black)
(painted a1 red)
(has-hole b0 one front)
(shape c0 cylindrical)
(temperature u0 cold)
(surface-condition g0 polished)
(temperature a0 cold)
(temperature i0 cold)
(temperature b1 cold)
(shape m0 circular)
(has-hole r0 three front)
(temperature z0 cold)
(surface-condition r0 rough)
(has-hole w0 three front)
(painted a0 yellow)
(has-bit punch two)
(painted z0 yellow)
(has-bit punch one)
(has-hole v0 two back)
(temperature o0 cold)
)
(:goal (and
	  (surface-condition c0 rough)
	  (shape i0 cylindrical)
	  (painted b0 black)
	  (surface-condition u0 smooth)
	  (surface-condition j0 polished)
	  (surface-condition d1 smooth)
	  (painted i0 blue)
	  (shape a0 cylindrical)
	  (surface-condition o0 polished)
	  (shape o0 cylindrical)
	  (painted a0 black)
	  (surface-condition f0 smooth)
	  (painted o0 blue)
	  (surface-condition n0 polished)
	  (painted l0 blue)
	  (painted a1 yellow)
	  (painted n0 black)
	  (painted d0 red)
	  (shape d1 cylindrical)
	  (surface-condition c1 rough)
	  (painted d1 black)
	  (shape n0 cylindrical)
	  (shape p0 cylindrical)
	  (painted s0 yellow)
	  (surface-condition g0 smooth)
	  (shape r0 cylindrical)
	  (surface-condition q0 polished))
)
)
