(define (problem schedule-28-0)
(:domain schedule)
(:objects
cold hot  - temperature-type
polished rough smooth  - surface
e1 d1 c1 b1 a1 z0 w0 v0 u0 s0 r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
blue yellow red black  - colour
two three one  - width
cylindrical circular oblong  - ashape
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
back front  - anorient
)
(:init (has-hole n0 three back)
(has-hole o0 one front)
(painted e1 red)
(temperature f0 cold)
(temperature b0 cold)
(has-hole q0 three back)
(painted f0 red)
(temperature g0 cold)
(shape j0 cylindrical)
(has-hole k0 two front)
(shape n0 cylindrical)
(temperature p0 cold)
(painted z0 red)
(surface-condition c0 smooth)
(has-hole v0 three front)
(surface-condition j0 rough)
(painted u0 black)
(has-hole c1 two back)
(temperature z0 cold)
(has-hole i0 one front)
(shape c1 cylindrical)
(shape z0 cylindrical)
(has-paint spray-painter black)
(shape p0 cylindrical)
(surface-condition a1 smooth)
(temperature a0 cold)
(shape m0 oblong)
(surface-condition b1 polished)
(surface-condition i0 rough)
(has-paint spray-painter blue)
(has-hole s0 three front)
(has-bit punch two)
(has-hole b0 one front)
(painted o0 yellow)
(temperature i0 cold)
(can-orient punch front)
(surface-condition e0 polished)
(has-paint spray-painter red)
(painted j0 black)
(painted c0 black)
(painted e0 blue)
(temperature l0 cold)
(has-hole e1 two back)
(has-hole a0 three back)
(surface-condition l0 polished)
(painted h0 blue)
(has-hole p0 one back)
(has-hole u0 one front)
(temperature m0 cold)
(shape w0 circular)
(temperature h0 cold)
(temperature d0 cold)
(has-paint immersion-painter red)
(surface-condition z0 rough)
(shape e1 oblong)
(surface-condition b0 polished)
(surface-condition s0 rough)
(has-hole l0 two back)
(temperature s0 cold)
(surface-condition m0 polished)
(shape c0 circular)
(temperature c1 cold)
(shape d0 oblong)
(has-hole a1 one back)
(painted s0 black)
(painted a1 yellow)
(surface-condition d0 rough)
(has-paint immersion-painter black)
(painted c1 red)
(has-hole f0 two back)
(surface-condition p0 rough)
(surface-condition v0 smooth)
(painted i0 red)
(has-bit punch one)
(painted d0 blue)
(shape f0 cylindrical)
(temperature q0 cold)
(temperature r0 cold)
(shape a1 oblong)
(painted a0 red)
(surface-condition g0 rough)
(temperature c0 cold)
(shape e0 oblong)
(surface-condition h0 smooth)
(has-hole g0 three back)
(painted k0 red)
(surface-condition a0 polished)
(surface-condition c1 rough)
(surface-condition q0 rough)
(shape h0 cylindrical)
(has-hole e0 two front)
(temperature v0 cold)
(temperature k0 cold)
(can-orient punch back)
(surface-condition o0 polished)
(surface-condition u0 rough)
(painted d1 red)
(shape k0 circular)
(temperature w0 cold)
(surface-condition f0 polished)
(surface-condition w0 rough)
(has-hole w0 one back)
(temperature j0 cold)
(painted w0 blue)
(shape l0 cylindrical)
(temperature b1 cold)
(has-bit drill-press three)
(painted q0 black)
(has-hole h0 two back)
(has-hole m0 one back)
(surface-condition e1 polished)
(temperature a1 cold)
(surface-condition n0 polished)
(painted b0 blue)
(temperature n0 cold)
(temperature e0 cold)
(has-hole z0 two front)
(can-orient drill-press front)
(painted m0 yellow)
(shape g0 cylindrical)
(shape v0 cylindrical)
(painted l0 blue)
(shape d1 cylindrical)
(shape q0 oblong)
(temperature u0 cold)
(shape a0 oblong)
(temperature e1 cold)
(has-hole d0 two front)
(shape u0 circular)
(surface-condition d1 rough)
(shape r0 circular)
(painted g0 yellow)
(shape s0 oblong)
(has-paint immersion-painter yellow)
(has-bit punch three)
(shape o0 circular)
(painted p0 black)
(painted v0 yellow)
(has-hole j0 three back)
(shape i0 circular)
(surface-condition k0 rough)
(has-paint immersion-painter blue)
(has-hole c0 two back)
(has-hole d1 three front)
(temperature d1 cold)
(has-bit drill-press one)
(has-paint spray-painter yellow)
(painted r0 red)
(can-orient drill-press back)
(surface-condition r0 smooth)
(temperature o0 cold)
(painted b1 blue)
(has-bit drill-press two)
(shape b1 circular)
(has-hole r0 two back)
(shape b0 circular)
(painted n0 red)
(has-hole b1 one front)
)
(:goal (and
	  (shape b1 cylindrical)
	  (surface-condition z0 smooth)
	  (shape d0 cylindrical)
	  (surface-condition m0 rough)
	  (painted e0 black)
	  (surface-condition k0 smooth)
	  (surface-condition q0 polished)
	  (shape b0 cylindrical)
	  (painted e1 yellow)
	  (shape a0 cylindrical)
	  (surface-condition l0 smooth)
	  (painted n0 black)
	  (painted s0 yellow)
	  (painted g0 red)
	  (painted d0 red)
	  (surface-condition d1 polished)
	  (painted i0 black)
	  (painted c1 yellow)
	  (painted b0 yellow)
	  (surface-condition b0 smooth)
	  (painted r0 blue)
	  (shape m0 cylindrical)
	  (surface-condition p0 smooth)
	  (surface-condition a0 rough)
	  (shape r0 cylindrical)
	  (painted d1 blue)
	  (surface-condition a1 rough)
	  (surface-condition w0 polished))
)
)
