(define (problem schedule-28-1)
(:domain schedule)
(:objects
cold hot  - temperature-type
cylindrical circular oblong  - ashape
back front  - anorient
polished rough smooth  - surface
blue yellow red black  - colour
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
e1 d1 c1 b1 a1 z0 w0 v0 u0 s0 r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
two three one  - width
)
(:init (has-paint spray-painter yellow)
(painted d0 blue)
(surface-condition b1 rough)
(shape b0 oblong)
(temperature h0 cold)
(shape v0 cylindrical)
(surface-condition g0 rough)
(surface-condition o0 polished)
(has-hole a0 two front)
(has-hole d0 two back)
(shape w0 oblong)
(has-bit drill-press two)
(has-paint immersion-painter red)
(temperature p0 cold)
(painted k0 black)
(has-hole c1 one front)
(has-hole s0 two front)
(shape n0 cylindrical)
(painted l0 black)
(has-hole p0 two back)
(temperature s0 cold)
(temperature c1 cold)
(painted d1 red)
(surface-condition v0 rough)
(shape j0 circular)
(temperature q0 cold)
(has-paint spray-painter blue)
(has-bit punch three)
(temperature j0 cold)
(has-hole b1 three back)
(surface-condition p0 polished)
(surface-condition m0 rough)
(painted w0 red)
(has-hole e0 two front)
(shape k0 oblong)
(surface-condition z0 smooth)
(can-orient punch back)
(temperature w0 cold)
(surface-condition d1 polished)
(surface-condition e1 smooth)
(painted b1 black)
(has-hole i0 one front)
(temperature d0 cold)
(shape i0 cylindrical)
(surface-condition l0 smooth)
(shape z0 cylindrical)
(surface-condition a1 polished)
(can-orient drill-press back)
(temperature a1 cold)
(painted f0 yellow)
(temperature u0 cold)
(has-hole u0 one front)
(temperature e1 cold)
(can-orient drill-press front)
(temperature k0 cold)
(has-paint immersion-painter blue)
(temperature b0 cold)
(has-hole c0 three front)
(shape h0 circular)
(has-bit drill-press three)
(temperature a0 cold)
(shape s0 circular)
(shape c1 circular)
(shape o0 cylindrical)
(shape f0 circular)
(has-paint immersion-painter yellow)
(has-hole r0 one back)
(painted a1 red)
(surface-condition s0 smooth)
(has-paint immersion-painter black)
(painted m0 yellow)
(painted e0 red)
(has-hole d1 one front)
(shape u0 cylindrical)
(shape a0 cylindrical)
(has-hole k0 three front)
(has-paint spray-painter black)
(has-hole m0 one back)
(shape m0 oblong)
(has-hole o0 one front)
(temperature n0 cold)
(temperature z0 cold)
(shape c0 circular)
(has-hole l0 one back)
(painted r0 red)
(painted s0 blue)
(painted b0 black)
(temperature v0 cold)
(temperature r0 cold)
(surface-condition c1 polished)
(painted j0 yellow)
(painted h0 black)
(temperature i0 cold)
(has-hole q0 three back)
(shape r0 oblong)
(has-hole z0 one back)
(shape p0 cylindrical)
(shape g0 cylindrical)
(painted u0 blue)
(surface-condition w0 smooth)
(has-hole a1 one back)
(painted q0 red)
(painted g0 yellow)
(painted c0 red)
(has-hole h0 three back)
(surface-condition n0 polished)
(surface-condition k0 rough)
(surface-condition i0 smooth)
(has-hole g0 three front)
(temperature e0 cold)
(shape a1 cylindrical)
(surface-condition c0 smooth)
(surface-condition b0 rough)
(temperature l0 cold)
(has-hole n0 three back)
(surface-condition q0 polished)
(has-hole w0 three front)
(can-orient punch front)
(has-hole j0 three back)
(painted v0 black)
(shape d1 circular)
(has-bit punch one)
(painted c1 red)
(shape d0 cylindrical)
(temperature c0 cold)
(surface-condition d0 polished)
(painted a0 red)
(surface-condition a0 polished)
(temperature o0 cold)
(painted o0 blue)
(surface-condition e0 smooth)
(has-paint spray-painter red)
(surface-condition j0 rough)
(surface-condition r0 polished)
(has-bit drill-press one)
(temperature m0 cold)
(surface-condition u0 polished)
(shape b1 cylindrical)
(temperature f0 cold)
(painted z0 yellow)
(painted i0 yellow)
(has-bit punch two)
(temperature d1 cold)
(has-hole f0 one front)
(painted e1 yellow)
(temperature g0 cold)
(painted n0 red)
(surface-condition f0 polished)
(surface-condition h0 polished)
(shape l0 circular)
(temperature b1 cold)
(has-hole v0 two back)
(shape e1 oblong)
(shape q0 cylindrical)
(has-hole e1 one back)
(has-hole b0 one front)
(painted p0 blue)
(shape e0 cylindrical)
)
(:goal (and
	  (painted f0 red)
	  (surface-condition u0 rough)
	  (shape b0 cylindrical)
	  (painted a0 blue)
	  (surface-condition e0 polished)
	  (shape k0 cylindrical)
	  (painted z0 blue)
	  (painted a1 blue)
	  (painted i0 black)
	  (painted v0 red)
	  (surface-condition d1 rough)
	  (surface-condition c1 smooth)
	  (painted c1 black)
	  (surface-condition d0 smooth)
	  (shape h0 cylindrical)
	  (surface-condition q0 smooth)
	  (surface-condition r0 rough)
	  (surface-condition i0 polished)
	  (surface-condition f0 rough)
	  (surface-condition s0 polished)
	  (painted n0 yellow)
	  (painted u0 yellow)
	  (surface-condition a1 rough)
	  (surface-condition m0 smooth)
	  (surface-condition h0 rough)
	  (surface-condition a0 smooth)
	  (painted j0 red)
	  (surface-condition j0 polished))
)
)
