(define (problem schedule-31-1)
(:domain schedule)
(:objects
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
polished rough smooth  - surface
cold hot  - temperature-type
back front  - anorient
h1 g1 f1 e1 d1 c1 b1 a1 z0 w0 v0 u0 s0 r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
two three one  - width
blue yellow red black  - colour
cylindrical circular oblong  - ashape
)
(:init (has-hole l0 two front)
(painted g0 black)
(shape a1 circular)
(has-hole b0 three front)
(has-hole h1 two back)
(surface-condition n0 rough)
(has-hole e0 two back)
(painted c0 red)
(surface-condition p0 smooth)
(painted n0 red)
(temperature r0 cold)
(has-hole s0 one front)
(temperature c1 cold)
(can-orient drill-press back)
(can-orient punch back)
(has-paint spray-painter red)
(shape m0 oblong)
(temperature h0 cold)
(painted e1 red)
(has-bit punch three)
(surface-condition c1 rough)
(has-bit drill-press one)
(has-hole o0 one front)
(shape a0 oblong)
(has-paint spray-painter black)
(has-bit punch two)
(has-hole f0 two front)
(painted k0 red)
(surface-condition e1 rough)
(temperature e0 cold)
(has-hole u0 two back)
(has-hole d1 one back)
(temperature q0 cold)
(painted a0 black)
(shape c1 oblong)
(temperature g0 cold)
(surface-condition d1 rough)
(temperature u0 cold)
(surface-condition c0 polished)
(has-paint immersion-painter yellow)
(shape z0 oblong)
(temperature d0 cold)
(temperature l0 cold)
(has-hole k0 one back)
(shape n0 cylindrical)
(surface-condition g1 polished)
(painted z0 yellow)
(temperature a1 cold)
(shape k0 circular)
(shape v0 circular)
(temperature a0 cold)
(has-bit drill-press three)
(surface-condition b0 polished)
(shape d0 oblong)
(shape c0 cylindrical)
(has-hole d0 two front)
(surface-condition a1 smooth)
(surface-condition k0 rough)
(shape u0 cylindrical)
(surface-condition v0 rough)
(temperature z0 cold)
(surface-condition s0 rough)
(painted r0 blue)
(painted f0 blue)
(painted q0 red)
(painted e0 red)
(surface-condition j0 smooth)
(has-paint spray-painter yellow)
(has-bit punch one)
(temperature b1 cold)
(shape l0 circular)
(painted a1 blue)
(surface-condition b1 polished)
(temperature f1 cold)
(shape s0 oblong)
(painted l0 black)
(temperature m0 cold)
(painted h1 blue)
(painted p0 yellow)
(temperature j0 cold)
(surface-condition d0 rough)
(temperature w0 cold)
(surface-condition h0 smooth)
(has-hole r0 three front)
(shape b0 cylindrical)
(shape e0 oblong)
(surface-condition l0 polished)
(surface-condition u0 rough)
(painted c1 blue)
(shape d1 circular)
(temperature i0 cold)
(surface-condition z0 rough)
(has-hole z0 three back)
(shape p0 cylindrical)
(can-orient drill-press front)
(has-hole i0 one back)
(shape f0 cylindrical)
(can-orient punch front)
(has-hole h0 three back)
(has-bit drill-press two)
(has-hole f1 two back)
(has-hole a1 three back)
(has-hole c0 three back)
(painted b1 blue)
(temperature g1 cold)
(surface-condition g0 polished)
(shape w0 oblong)
(has-hole g1 two front)
(surface-condition f0 polished)
(temperature b0 cold)
(temperature f0 cold)
(painted o0 red)
(surface-condition w0 rough)
(painted d0 red)
(temperature n0 cold)
(shape r0 circular)
(painted f1 blue)
(has-hole g0 three back)
(surface-condition f1 rough)
(has-hole n0 three front)
(shape i0 cylindrical)
(surface-condition r0 smooth)
(surface-condition q0 smooth)
(painted d1 yellow)
(has-hole w0 one back)
(has-hole q0 two front)
(painted w0 red)
(has-paint immersion-painter blue)
(surface-condition e0 polished)
(shape o0 oblong)
(painted i0 blue)
(painted h0 black)
(painted b0 red)
(has-paint spray-painter blue)
(temperature k0 cold)
(temperature v0 cold)
(painted j0 black)
(shape b1 oblong)
(has-paint immersion-painter black)
(has-hole e1 two front)
(painted u0 black)
(painted s0 blue)
(has-hole b1 two front)
(shape q0 cylindrical)
(temperature c0 cold)
(has-hole a0 two front)
(shape h0 cylindrical)
(shape f1 oblong)
(has-hole m0 one back)
(temperature o0 cold)
(temperature e1 cold)
(shape j0 oblong)
(surface-condition i0 rough)
(has-hole p0 three front)
(has-hole j0 three front)
(surface-condition h1 rough)
(temperature s0 cold)
(painted g1 black)
(shape g1 circular)
(surface-condition m0 rough)
(temperature p0 cold)
(has-hole c1 three back)
(surface-condition a0 polished)
(has-hole v0 three front)
(painted v0 black)
(temperature h1 cold)
(shape e1 cylindrical)
(has-paint immersion-painter red)
(shape g0 circular)
(painted m0 yellow)
(temperature d1 cold)
(shape h1 oblong)
(surface-condition o0 rough)
)
(:goal (and
	  (painted b0 blue)
	  (painted a0 yellow)
	  (painted k0 yellow)
	  (surface-condition v0 smooth)
	  (shape s0 cylindrical)
	  (painted l0 blue)
	  (surface-condition a0 smooth)
	  (painted c0 black)
	  (shape e0 cylindrical)
	  (painted h1 black)
	  (painted q0 black)
	  (shape h1 cylindrical)
	  (surface-condition d1 polished)
	  (painted a1 yellow)
	  (surface-condition s0 polished)
	  (painted f1 yellow)
	  (surface-condition p0 polished)
	  (surface-condition d0 polished)
	  (painted o0 yellow)
	  (shape a1 cylindrical)
	  (surface-condition r0 rough)
	  (surface-condition n0 polished)
	  (painted e0 black)
	  (surface-condition z0 polished)
	  (shape j0 cylindrical)
	  (surface-condition g0 rough)
	  (painted z0 black)
	  (shape f1 cylindrical)
	  (surface-condition q0 rough)
	  (surface-condition o0 smooth)
	  (surface-condition c0 smooth))
)
)
