(define (problem schedule-31-2)
(:domain schedule)
(:objects
blue yellow red black  - colour
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
h1 g1 f1 e1 d1 c1 b1 a1 z0 w0 v0 u0 s0 r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
cold hot  - temperature-type
back front  - anorient
two three one  - width
polished rough smooth  - surface
cylindrical circular oblong  - ashape
)
(:init (has-bit drill-press two)
(shape a0 oblong)
(temperature d0 cold)
(surface-condition a1 polished)
(has-hole h1 one front)
(temperature v0 cold)
(shape p0 circular)
(temperature u0 cold)
(surface-condition b0 smooth)
(surface-condition p0 polished)
(shape d1 cylindrical)
(has-hole p0 three front)
(has-hole z0 three back)
(has-hole i0 two back)
(surface-condition m0 smooth)
(shape i0 cylindrical)
(temperature m0 cold)
(shape z0 oblong)
(temperature l0 cold)
(painted o0 black)
(has-hole o0 one front)
(has-hole c1 one front)
(shape l0 cylindrical)
(shape s0 cylindrical)
(shape k0 oblong)
(temperature p0 cold)
(surface-condition w0 polished)
(surface-condition e0 rough)
(shape r0 cylindrical)
(painted m0 yellow)
(surface-condition h0 rough)
(has-paint immersion-painter red)
(painted j0 yellow)
(surface-condition d1 rough)
(has-hole s0 three back)
(painted e1 red)
(shape h1 oblong)
(shape h0 cylindrical)
(temperature g1 cold)
(painted b1 red)
(surface-condition o0 smooth)
(temperature a0 cold)
(painted l0 red)
(has-paint spray-painter blue)
(temperature h0 cold)
(painted u0 blue)
(surface-condition a0 smooth)
(painted z0 black)
(surface-condition c1 polished)
(painted h1 yellow)
(has-bit punch three)
(temperature w0 cold)
(surface-condition g1 smooth)
(can-orient drill-press back)
(has-hole j0 two front)
(has-hole b1 three back)
(has-hole h0 two front)
(painted i0 blue)
(has-paint immersion-painter yellow)
(shape a1 cylindrical)
(shape e1 oblong)
(temperature a1 cold)
(painted v0 red)
(temperature s0 cold)
(painted b0 red)
(has-hole w0 three back)
(temperature j0 cold)
(can-orient punch back)
(painted c0 red)
(surface-condition s0 smooth)
(surface-condition n0 rough)
(surface-condition v0 rough)
(surface-condition z0 rough)
(has-hole d1 two back)
(painted h0 black)
(has-hole f1 one back)
(has-hole u0 two front)
(temperature b1 cold)
(has-hole e0 one front)
(painted c1 black)
(shape f1 oblong)
(has-hole e1 two back)
(painted q0 blue)
(surface-condition h1 smooth)
(painted r0 black)
(has-hole r0 three front)
(shape g1 cylindrical)
(has-hole n0 three back)
(painted p0 yellow)
(shape m0 circular)
(surface-condition u0 polished)
(painted a0 blue)
(shape w0 oblong)
(painted e0 yellow)
(painted w0 yellow)
(surface-condition q0 smooth)
(painted f0 black)
(shape j0 circular)
(shape q0 circular)
(has-bit drill-press three)
(shape d0 oblong)
(temperature z0 cold)
(surface-condition k0 rough)
(shape c0 cylindrical)
(has-hole m0 one back)
(temperature c0 cold)
(shape c1 cylindrical)
(shape n0 cylindrical)
(temperature i0 cold)
(surface-condition g0 smooth)
(has-hole g1 three front)
(has-bit punch two)
(temperature f0 cold)
(temperature g0 cold)
(surface-condition d0 rough)
(shape u0 circular)
(surface-condition r0 smooth)
(painted g0 red)
(temperature o0 cold)
(painted g1 black)
(has-paint spray-painter yellow)
(has-bit drill-press one)
(temperature b0 cold)
(can-orient drill-press front)
(shape b1 oblong)
(painted d0 blue)
(has-hole a0 two back)
(has-paint spray-painter red)
(painted n0 yellow)
(painted d1 blue)
(has-hole q0 three back)
(shape b0 oblong)
(surface-condition c0 rough)
(temperature c1 cold)
(surface-condition f1 rough)
(has-paint immersion-painter black)
(has-hole v0 two back)
(temperature f1 cold)
(temperature h1 cold)
(temperature q0 cold)
(has-hole f0 two back)
(temperature k0 cold)
(painted a1 yellow)
(shape v0 circular)
(has-hole g0 three front)
(surface-condition j0 polished)
(surface-condition l0 smooth)
(has-bit punch one)
(has-hole k0 one back)
(has-hole a1 two front)
(surface-condition b1 smooth)
(surface-condition f0 rough)
(temperature e0 cold)
(shape o0 circular)
(temperature n0 cold)
(painted f1 black)
(has-hole d0 two front)
(has-paint spray-painter black)
(can-orient punch front)
(painted k0 yellow)
(shape e0 cylindrical)
(shape f0 oblong)
(temperature d1 cold)
(shape g0 cylindrical)
(has-hole b0 three back)
(temperature r0 cold)
(surface-condition i0 polished)
(temperature e1 cold)
(painted s0 blue)
(has-hole l0 three front)
(has-paint immersion-painter blue)
(has-hole c0 three front)
(surface-condition e1 polished)
)
(:goal (and
	  (surface-condition e0 polished)
	  (shape p0 cylindrical)
	  (surface-condition a0 polished)
	  (shape u0 cylindrical)
	  (surface-condition e1 smooth)
	  (painted d1 red)
	  (painted n0 black)
	  (painted a1 blue)
	  (shape k0 cylindrical)
	  (shape w0 cylindrical)
	  (shape q0 cylindrical)
	  (shape v0 cylindrical)
	  (painted k0 red)
	  (painted h0 red)
	  (surface-condition f1 smooth)
	  (painted q0 red)
	  (surface-condition i0 rough)
	  (painted v0 black)
	  (shape b0 cylindrical)
	  (painted g1 blue)
	  (painted s0 red)
	  (surface-condition b0 polished)
	  (surface-condition n0 smooth)
	  (surface-condition m0 polished)
	  (surface-condition c1 smooth)
	  (surface-condition u0 smooth)
	  (surface-condition d1 smooth)
	  (surface-condition g0 polished)
	  (shape a0 cylindrical)
	  (surface-condition k0 polished)
	  (painted l0 yellow))
)
)
