(define (problem schedule-32-2)
(:domain schedule)
(:objects
cold hot  - temperature-type
back front  - anorient
cylindrical circular oblong  - ashape
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
two three one  - width
polished rough smooth  - surface
blue yellow red black  - colour
i1 h1 g1 f1 e1 d1 c1 b1 a1 z0 w0 v0 u0 s0 r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
)
(:init (painted c0 red)
(temperature f0 cold)
(temperature i1 cold)
(shape p0 cylindrical)
(shape c0 circular)
(has-hole g0 two front)
(has-paint spray-painter yellow)
(shape o0 oblong)
(painted a1 black)
(has-bit punch one)
(shape c1 oblong)
(surface-condition s0 rough)
(temperature b1 cold)
(temperature h1 cold)
(shape j0 cylindrical)
(has-hole w0 three back)
(painted s0 blue)
(temperature e1 cold)
(surface-condition o0 rough)
(has-hole q0 one front)
(shape m0 cylindrical)
(shape e0 circular)
(surface-condition g0 smooth)
(painted f1 black)
(painted e0 black)
(has-hole d0 one back)
(shape n0 cylindrical)
(surface-condition z0 polished)
(has-bit drill-press one)
(can-orient punch back)
(temperature b0 cold)
(shape a0 circular)
(has-paint immersion-painter blue)
(shape d0 cylindrical)
(painted g1 black)
(painted c1 yellow)
(shape r0 oblong)
(has-paint immersion-painter black)
(has-hole p0 three back)
(painted o0 red)
(can-orient drill-press back)
(temperature w0 cold)
(shape z0 cylindrical)
(has-hole v0 three front)
(temperature g1 cold)
(shape b0 cylindrical)
(painted j0 blue)
(shape d1 circular)
(shape h0 circular)
(temperature j0 cold)
(painted f0 black)
(temperature g0 cold)
(painted i1 black)
(painted h1 yellow)
(surface-condition r0 smooth)
(surface-condition n0 smooth)
(has-hole d1 two back)
(painted p0 black)
(surface-condition h0 rough)
(has-hole h0 two back)
(surface-condition l0 smooth)
(painted m0 red)
(can-orient drill-press front)
(painted e1 yellow)
(surface-condition a1 polished)
(has-hole f0 one back)
(has-bit drill-press three)
(temperature d0 cold)
(painted z0 black)
(temperature l0 cold)
(painted g0 blue)
(has-hole u0 two front)
(surface-condition u0 smooth)
(painted b0 yellow)
(has-hole b0 two back)
(has-hole e1 two back)
(surface-condition e1 smooth)
(temperature z0 cold)
(surface-condition d1 smooth)
(surface-condition a0 smooth)
(temperature s0 cold)
(has-bit drill-press two)
(temperature o0 cold)
(surface-condition b0 rough)
(shape b1 circular)
(painted k0 red)
(has-hole m0 one back)
(has-hole c1 one back)
(painted l0 yellow)
(shape f1 circular)
(has-paint immersion-painter yellow)
(has-hole a0 three back)
(shape l0 cylindrical)
(temperature d1 cold)
(has-hole k0 three back)
(shape v0 oblong)
(has-hole e0 two front)
(temperature e0 cold)
(temperature i0 cold)
(shape g1 cylindrical)
(has-paint spray-painter red)
(has-hole i0 two front)
(shape i1 circular)
(has-hole o0 three front)
(surface-condition h1 polished)
(temperature f1 cold)
(shape f0 cylindrical)
(temperature m0 cold)
(surface-condition g1 rough)
(shape s0 oblong)
(surface-condition w0 polished)
(has-hole f1 three front)
(has-hole h1 two back)
(temperature u0 cold)
(has-paint spray-painter black)
(painted r0 black)
(temperature c0 cold)
(shape a1 oblong)
(has-hole l0 two front)
(surface-condition c1 smooth)
(has-bit punch three)
(has-hole n0 two front)
(temperature r0 cold)
(has-hole j0 one front)
(shape k0 cylindrical)
(painted n0 blue)
(surface-condition f1 smooth)
(painted d1 yellow)
(shape q0 cylindrical)
(has-hole g1 two front)
(painted w0 red)
(painted i0 black)
(has-hole c0 two front)
(has-hole z0 one back)
(can-orient punch front)
(temperature c1 cold)
(shape h1 circular)
(painted q0 blue)
(has-hole r0 two back)
(has-hole a1 one front)
(surface-condition v0 smooth)
(temperature a1 cold)
(painted h0 red)
(shape u0 cylindrical)
(temperature a0 cold)
(shape i0 cylindrical)
(temperature h0 cold)
(has-hole b1 three front)
(painted d0 black)
(surface-condition q0 polished)
(surface-condition d0 rough)
(has-hole s0 three back)
(has-paint immersion-painter red)
(painted u0 yellow)
(shape e1 cylindrical)
(has-hole i1 three back)
(shape w0 cylindrical)
(surface-condition i1 rough)
(surface-condition m0 rough)
(temperature v0 cold)
(has-bit punch two)
(temperature q0 cold)
(surface-condition c0 rough)
(shape g0 oblong)
(surface-condition b1 smooth)
(surface-condition f0 smooth)
(surface-condition k0 polished)
(surface-condition e0 smooth)
(temperature k0 cold)
(surface-condition j0 smooth)
(has-paint spray-painter blue)
(temperature p0 cold)
(painted a0 yellow)
(temperature n0 cold)
(painted b1 yellow)
(surface-condition i0 rough)
(painted v0 black)
(surface-condition p0 smooth)
)
(:goal (and
	  (painted a0 black)
	  (surface-condition i0 polished)
	  (painted p0 yellow)
	  (surface-condition r0 polished)
	  (painted g1 yellow)
	  (painted c1 black)
	  (shape i1 cylindrical)
	  (surface-condition e0 rough)
	  (surface-condition h1 rough)
	  (painted i1 red)
	  (surface-condition o0 polished)
	  (painted h0 yellow)
	  (surface-condition b1 rough)
	  (painted u0 black)
	  (shape c0 cylindrical)
	  (surface-condition u0 polished)
	  (shape a0 cylindrical)
	  (painted l0 red)
	  (surface-condition h0 smooth)
	  (surface-condition c0 polished)
	  (painted q0 red)
	  (surface-condition b0 polished)
	  (surface-condition c1 rough)
	  (surface-condition d1 rough)
	  (surface-condition g0 polished)
	  (shape g0 cylindrical)
	  (painted k0 yellow)
	  (painted j0 black)
	  (shape v0 cylindrical)
	  (shape a1 cylindrical)
	  (shape h1 cylindrical)
	  (shape s0 cylindrical))
)
)
