(define (problem schedule-33-0)
(:domain schedule)
(:objects
cold hot  - temperature-type
polished rough smooth  - surface
j1 i1 h1 g1 f1 e1 d1 c1 b1 a1 z0 w0 v0 u0 s0 r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
cylindrical circular oblong  - ashape
blue yellow red black  - colour
two three one  - width
back front  - anorient
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
)
(:init (temperature n0 cold)
(has-paint spray-painter yellow)
(shape h1 cylindrical)
(temperature i0 cold)
(painted p0 red)
(has-hole v0 two front)
(temperature f1 cold)
(shape e0 cylindrical)
(painted f0 yellow)
(has-hole a0 two back)
(has-hole b0 two back)
(shape g0 circular)
(shape k0 oblong)
(painted r0 yellow)
(shape s0 cylindrical)
(surface-condition u0 rough)
(shape a1 oblong)
(has-hole h0 one back)
(shape d1 cylindrical)
(temperature v0 cold)
(has-paint immersion-painter blue)
(has-hole f1 three front)
(surface-condition h1 polished)
(painted d0 red)
(temperature u0 cold)
(painted g0 blue)
(shape j0 cylindrical)
(painted g1 red)
(surface-condition b0 polished)
(temperature b1 cold)
(painted f1 blue)
(shape b1 circular)
(painted l0 red)
(temperature w0 cold)
(painted e1 yellow)
(shape a0 cylindrical)
(can-orient drill-press back)
(temperature c0 cold)
(surface-condition m0 rough)
(temperature c1 cold)
(has-hole w0 two back)
(has-bit drill-press one)
(shape c0 oblong)
(temperature m0 cold)
(has-bit punch two)
(shape f1 circular)
(surface-condition o0 rough)
(painted c0 black)
(has-hole g1 one back)
(has-hole p0 one front)
(has-bit drill-press two)
(painted h0 black)
(surface-condition z0 polished)
(painted b1 yellow)
(has-hole s0 one front)
(shape m0 circular)
(temperature d0 cold)
(shape f0 oblong)
(temperature p0 cold)
(can-orient punch front)
(temperature b0 cold)
(has-bit drill-press three)
(has-hole k0 two back)
(shape l0 oblong)
(painted z0 red)
(has-hole z0 two front)
(temperature g0 cold)
(has-hole q0 two back)
(has-hole n0 three back)
(surface-condition i1 rough)
(painted d1 yellow)
(shape p0 cylindrical)
(has-hole h1 two front)
(surface-condition j1 polished)
(painted i0 red)
(shape z0 circular)
(temperature i1 cold)
(temperature d1 cold)
(surface-condition a0 polished)
(surface-condition l0 polished)
(painted v0 yellow)
(surface-condition n0 polished)
(shape i0 oblong)
(has-paint immersion-painter black)
(shape h0 circular)
(painted n0 blue)
(temperature j1 cold)
(surface-condition k0 smooth)
(temperature z0 cold)
(has-hole f0 three front)
(temperature o0 cold)
(surface-condition i0 rough)
(surface-condition p0 polished)
(surface-condition v0 smooth)
(painted j0 yellow)
(painted s0 black)
(painted a0 black)
(has-paint immersion-painter yellow)
(painted o0 black)
(temperature k0 cold)
(surface-condition r0 polished)
(has-paint spray-painter blue)
(has-hole c0 one front)
(painted q0 red)
(painted e0 blue)
(surface-condition c1 polished)
(shape o0 oblong)
(surface-condition j0 smooth)
(shape w0 circular)
(shape v0 oblong)
(has-hole a1 two front)
(painted c1 yellow)
(surface-condition w0 polished)
(has-hole g0 two front)
(painted k0 red)
(has-hole c1 one front)
(painted b0 yellow)
(shape u0 circular)
(surface-condition b1 rough)
(has-hole j1 one front)
(surface-condition d0 smooth)
(shape n0 cylindrical)
(has-hole m0 three back)
(has-hole i0 one back)
(shape r0 oblong)
(surface-condition d1 smooth)
(has-hole e0 three front)
(has-hole r0 one front)
(surface-condition c0 rough)
(temperature h0 cold)
(shape b0 circular)
(has-hole d1 one front)
(has-paint immersion-painter red)
(has-bit punch three)
(temperature h1 cold)
(painted m0 black)
(has-hole i1 one back)
(has-hole l0 two front)
(painted u0 black)
(has-hole b1 one front)
(surface-condition h0 rough)
(shape j1 circular)
(has-hole o0 two back)
(painted j1 blue)
(painted w0 yellow)
(surface-condition a1 rough)
(surface-condition f1 rough)
(temperature f0 cold)
(has-bit punch one)
(temperature q0 cold)
(shape e1 circular)
(has-hole j0 one back)
(temperature a0 cold)
(temperature l0 cold)
(surface-condition g1 smooth)
(shape g1 oblong)
(surface-condition s0 polished)
(has-paint spray-painter red)
(painted a1 black)
(shape c1 oblong)
(temperature r0 cold)
(has-hole u0 three back)
(shape d0 circular)
(shape q0 cylindrical)
(surface-condition e1 rough)
(painted h1 blue)
(temperature j0 cold)
(shape i1 oblong)
(temperature e1 cold)
(can-orient punch back)
(surface-condition g0 polished)
(painted i1 black)
(temperature e0 cold)
(temperature s0 cold)
(surface-condition f0 rough)
(temperature a1 cold)
(has-hole d0 three back)
(surface-condition e0 smooth)
(surface-condition q0 polished)
(has-hole e1 two back)
(has-paint spray-painter black)
(temperature g1 cold)
(can-orient drill-press front)
)
(:goal (and
	  (surface-condition r0 rough)
	  (surface-condition h0 polished)
	  (painted e1 red)
	  (shape r0 cylindrical)
	  (painted j1 black)
	  (surface-condition h1 smooth)
	  (painted f0 black)
	  (shape i0 cylindrical)
	  (surface-condition f1 polished)
	  (surface-condition s0 smooth)
	  (surface-condition q0 smooth)
	  (surface-condition d0 rough)
	  (painted g0 black)
	  (shape u0 cylindrical)
	  (surface-condition j0 polished)
	  (shape f1 cylindrical)
	  (shape v0 cylindrical)
	  (shape g1 cylindrical)
	  (surface-condition o0 polished)
	  (painted p0 yellow)
	  (painted q0 blue)
	  (painted d1 black)
	  (shape d0 cylindrical)
	  (shape f0 cylindrical)
	  (painted v0 red)
	  (surface-condition g1 polished)
	  (surface-condition l0 rough)
	  (shape j1 cylindrical)
	  (shape m0 cylindrical)
	  (painted z0 blue)
	  (shape b0 cylindrical)
	  (surface-condition w0 smooth)
	  (painted i0 yellow))
)
)
