(define (problem schedule-33-1)
(:domain schedule)
(:objects
cold hot  - temperature-type
blue yellow red black  - colour
polished rough smooth  - surface
j1 i1 h1 g1 f1 e1 d1 c1 b1 a1 z0 w0 v0 u0 s0 r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
back front  - anorient
two three one  - width
cylindrical circular oblong  - ashape
)
(:init (surface-condition b0 polished)
(shape b0 circular)
(temperature g1 cold)
(shape q0 cylindrical)
(shape s0 cylindrical)
(surface-condition q0 polished)
(surface-condition j1 smooth)
(has-paint immersion-painter blue)
(surface-condition h0 smooth)
(has-hole z0 three back)
(shape j0 circular)
(has-hole q0 two back)
(surface-condition k0 rough)
(surface-condition e0 rough)
(painted e1 red)
(surface-condition g1 polished)
(temperature n0 cold)
(painted b1 blue)
(surface-condition j0 rough)
(has-paint spray-painter black)
(has-hole g0 three front)
(surface-condition d0 polished)
(temperature p0 cold)
(surface-condition b1 rough)
(surface-condition d1 polished)
(surface-condition i1 rough)
(surface-condition z0 smooth)
(shape c1 circular)
(shape v0 oblong)
(temperature i0 cold)
(painted n0 yellow)
(temperature k0 cold)
(shape z0 cylindrical)
(has-hole c0 three front)
(has-hole c1 three front)
(has-bit drill-press three)
(painted m0 yellow)
(temperature a0 cold)
(painted f1 yellow)
(shape i0 circular)
(painted i0 black)
(painted k0 red)
(shape o0 circular)
(painted p0 red)
(shape u0 circular)
(temperature b1 cold)
(has-bit punch three)
(temperature j0 cold)
(painted h0 blue)
(shape f1 oblong)
(temperature f1 cold)
(painted h1 black)
(temperature u0 cold)
(temperature m0 cold)
(has-hole d1 three front)
(temperature e0 cold)
(has-hole g1 three back)
(has-hole h1 three front)
(surface-condition s0 rough)
(temperature z0 cold)
(has-paint spray-painter red)
(surface-condition i0 smooth)
(surface-condition p0 smooth)
(has-hole n0 two front)
(has-hole f0 one front)
(painted l0 blue)
(has-hole b1 two front)
(has-bit drill-press one)
(has-hole h0 two front)
(painted a1 red)
(temperature i1 cold)
(temperature h0 cold)
(surface-condition h1 polished)
(shape d1 cylindrical)
(has-paint immersion-painter red)
(has-hole d0 two front)
(has-hole a0 two back)
(has-hole f1 three back)
(has-hole e1 three back)
(painted c0 black)
(painted g0 black)
(painted v0 yellow)
(painted j1 black)
(shape j1 cylindrical)
(surface-condition f1 polished)
(shape k0 circular)
(has-hole w0 one front)
(temperature o0 cold)
(has-hole u0 three front)
(painted r0 red)
(temperature c0 cold)
(painted i1 blue)
(surface-condition a0 rough)
(shape f0 circular)
(shape b1 circular)
(shape h0 oblong)
(shape e0 circular)
(has-bit punch two)
(surface-condition n0 polished)
(can-orient drill-press front)
(surface-condition u0 smooth)
(has-paint spray-painter yellow)
(shape n0 oblong)
(temperature b0 cold)
(temperature l0 cold)
(shape p0 circular)
(has-bit drill-press two)
(painted b0 yellow)
(painted d0 black)
(has-hole j0 one front)
(temperature f0 cold)
(painted o0 blue)
(painted d1 black)
(can-orient drill-press back)
(temperature j1 cold)
(temperature a1 cold)
(has-paint immersion-painter yellow)
(temperature c1 cold)
(has-hole a1 one front)
(has-hole v0 one front)
(painted a0 blue)
(has-hole s0 one back)
(has-hole j1 one back)
(temperature s0 cold)
(shape g0 cylindrical)
(surface-condition l0 polished)
(surface-condition w0 rough)
(can-orient punch front)
(has-hole e0 two front)
(surface-condition m0 rough)
(shape d0 cylindrical)
(temperature q0 cold)
(has-hole i0 three back)
(painted c1 black)
(shape c0 oblong)
(surface-condition v0 polished)
(painted g1 red)
(painted e0 yellow)
(has-bit punch one)
(temperature d1 cold)
(has-paint spray-painter blue)
(painted q0 red)
(temperature g0 cold)
(shape r0 oblong)
(temperature d0 cold)
(painted w0 black)
(has-hole b0 three back)
(temperature v0 cold)
(can-orient punch back)
(has-hole o0 three back)
(painted z0 yellow)
(surface-condition r0 polished)
(shape m0 circular)
(surface-condition c1 smooth)
(temperature e1 cold)
(shape a1 oblong)
(surface-condition c0 polished)
(shape a0 cylindrical)
(painted s0 red)
(has-hole i1 two back)
(painted j0 black)
(has-hole l0 one back)
(surface-condition f0 polished)
(shape l0 circular)
(shape w0 circular)
(shape e1 circular)
(has-hole m0 one front)
(shape i1 circular)
(shape g1 oblong)
(painted u0 yellow)
(has-hole k0 two front)
(has-hole p0 one front)
(temperature r0 cold)
(has-paint immersion-painter black)
(temperature h1 cold)
(surface-condition g0 rough)
(has-hole r0 two front)
(surface-condition a1 polished)
(shape h1 circular)
(surface-condition o0 rough)
(surface-condition e1 polished)
(painted f0 red)
(temperature w0 cold)
)
(:goal (and
	  (surface-condition g0 smooth)
	  (painted q0 blue)
	  (shape e1 cylindrical)
	  (shape u0 cylindrical)
	  (painted z0 black)
	  (painted s0 yellow)
	  (surface-condition k0 polished)
	  (painted d1 yellow)
	  (surface-condition u0 polished)
	  (painted f0 blue)
	  (painted i1 black)
	  (painted j1 yellow)
	  (shape b1 cylindrical)
	  (surface-condition f1 rough)
	  (surface-condition z0 rough)
	  (painted n0 red)
	  (surface-condition i1 polished)
	  (painted m0 red)
	  (surface-condition f0 rough)
	  (painted e0 red)
	  (shape f0 cylindrical)
	  (shape k0 cylindrical)
	  (shape i0 cylindrical)
	  (surface-condition g1 rough)
	  (shape m0 cylindrical)
	  (shape b0 cylindrical)
	  (shape j0 cylindrical)
	  (painted k0 yellow)
	  (painted c0 yellow)
	  (painted c1 blue)
	  (surface-condition a0 polished)
	  (surface-condition v0 smooth)
	  (surface-condition w0 smooth))
)
)
