(define (problem schedule-33-2)
(:domain schedule)
(:objects
cylindrical circular oblong  - ashape
two three one  - width
polished rough smooth  - surface
j1 i1 h1 g1 f1 e1 d1 c1 b1 a1 z0 w0 v0 u0 s0 r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
back front  - anorient
blue yellow red black  - colour
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
cold hot  - temperature-type
)
(:init (surface-condition u0 rough)
(shape b0 cylindrical)
(painted i1 yellow)
(has-paint immersion-painter black)
(has-paint spray-painter black)
(has-paint immersion-painter yellow)
(painted j1 blue)
(shape j1 cylindrical)
(painted i0 black)
(temperature f1 cold)
(surface-condition n0 polished)
(has-hole c1 one front)
(has-bit drill-press two)
(painted o0 blue)
(surface-condition c0 smooth)
(surface-condition r0 polished)
(has-hole k0 three back)
(painted f0 yellow)
(can-orient drill-press front)
(temperature b0 cold)
(has-hole c0 three front)
(temperature f0 cold)
(has-bit drill-press one)
(temperature e1 cold)
(has-hole a1 three front)
(temperature q0 cold)
(has-paint spray-painter yellow)
(has-bit drill-press three)
(temperature e0 cold)
(temperature m0 cold)
(has-hole q0 three front)
(shape a0 circular)
(painted m0 yellow)
(shape z0 oblong)
(painted b0 red)
(painted d0 blue)
(temperature g1 cold)
(shape b1 cylindrical)
(painted z0 black)
(shape c0 circular)
(temperature j0 cold)
(painted w0 yellow)
(temperature v0 cold)
(has-hole f0 one back)
(has-hole b0 one back)
(can-orient punch front)
(has-bit punch three)
(has-hole j1 two back)
(surface-condition g0 polished)
(temperature i0 cold)
(surface-condition b0 polished)
(has-hole l0 two back)
(surface-condition v0 polished)
(painted a0 red)
(has-hole v0 one front)
(has-hole m0 three back)
(shape l0 oblong)
(temperature a1 cold)
(has-hole b1 two back)
(temperature h1 cold)
(shape g1 circular)
(has-hole s0 three back)
(surface-condition i1 smooth)
(shape j0 cylindrical)
(has-hole d1 two front)
(surface-condition z0 polished)
(surface-condition d0 rough)
(has-hole u0 one back)
(temperature r0 cold)
(has-bit punch one)
(temperature a0 cold)
(surface-condition h1 rough)
(painted b1 blue)
(shape f1 circular)
(surface-condition q0 polished)
(has-hole i1 two back)
(shape r0 circular)
(painted j0 blue)
(temperature u0 cold)
(can-orient drill-press back)
(surface-condition l0 polished)
(surface-condition p0 rough)
(surface-condition j0 polished)
(painted p0 black)
(surface-condition c1 polished)
(painted c0 red)
(painted h1 black)
(painted n0 red)
(surface-condition g1 polished)
(surface-condition b1 rough)
(painted g0 red)
(shape s0 circular)
(shape h0 cylindrical)
(surface-condition a1 rough)
(has-hole g0 one back)
(has-hole h0 one front)
(painted e1 red)
(temperature j1 cold)
(shape g0 oblong)
(painted l0 red)
(surface-condition d1 polished)
(has-paint spray-painter red)
(has-hole f1 three front)
(shape d0 circular)
(has-hole i0 one back)
(temperature c1 cold)
(shape i1 circular)
(temperature z0 cold)
(surface-condition m0 polished)
(temperature d1 cold)
(shape w0 oblong)
(painted h0 red)
(shape f0 oblong)
(painted g1 yellow)
(has-paint spray-painter blue)
(shape q0 oblong)
(temperature n0 cold)
(painted r0 yellow)
(shape d1 oblong)
(painted d1 yellow)
(temperature i1 cold)
(painted e0 yellow)
(surface-condition i0 rough)
(shape p0 oblong)
(painted s0 black)
(temperature o0 cold)
(has-hole e1 two back)
(temperature l0 cold)
(shape n0 oblong)
(shape o0 oblong)
(has-hole a0 one front)
(surface-condition o0 rough)
(has-hole w0 one front)
(painted k0 black)
(surface-condition f0 rough)
(temperature g0 cold)
(shape i0 oblong)
(shape h1 circular)
(has-hole p0 three front)
(has-hole r0 one back)
(has-hole h1 three back)
(painted a1 blue)
(painted f1 red)
(surface-condition j1 rough)
(shape e1 cylindrical)
(shape a1 cylindrical)
(surface-condition h0 smooth)
(has-hole n0 three front)
(surface-condition w0 rough)
(surface-condition f1 smooth)
(temperature d0 cold)
(has-bit punch two)
(shape e0 circular)
(shape v0 oblong)
(has-hole d0 three front)
(temperature b1 cold)
(surface-condition s0 polished)
(temperature h0 cold)
(has-hole o0 three back)
(has-paint immersion-painter blue)
(temperature c0 cold)
(can-orient punch back)
(shape c1 oblong)
(shape u0 oblong)
(painted u0 yellow)
(surface-condition e0 polished)
(temperature p0 cold)
(temperature w0 cold)
(temperature s0 cold)
(has-hole j0 three front)
(painted v0 blue)
(has-hole z0 one front)
(painted c1 yellow)
(has-hole e0 two front)
(has-hole g1 one back)
(has-paint immersion-painter red)
(shape k0 oblong)
(painted q0 black)
(surface-condition a0 polished)
(temperature k0 cold)
(shape m0 circular)
(surface-condition e1 polished)
(surface-condition k0 smooth)
)
(:goal (and
	  (painted q0 red)
	  (painted i0 red)
	  (painted w0 blue)
	  (surface-condition f0 polished)
	  (surface-condition l0 rough)
	  (surface-condition p0 smooth)
	  (painted s0 red)
	  (surface-condition k0 polished)
	  (painted j0 yellow)
	  (painted a0 yellow)
	  (surface-condition q0 smooth)
	  (painted o0 yellow)
	  (shape u0 cylindrical)
	  (shape d1 cylindrical)
	  (shape s0 cylindrical)
	  (surface-condition b1 smooth)
	  (painted d1 red)
	  (painted j1 yellow)
	  (painted f0 black)
	  (shape q0 cylindrical)
	  (shape c0 cylindrical)
	  (painted v0 yellow)
	  (painted g0 black)
	  (painted h0 yellow)
	  (shape o0 cylindrical)
	  (shape m0 cylindrical)
	  (surface-condition e1 rough)
	  (shape l0 cylindrical)
	  (surface-condition c1 smooth)
	  (painted n0 black)
	  (surface-condition s0 smooth)
	  (surface-condition e0 rough)
	  (shape w0 cylindrical))
)
)
