(define (problem schedule-42-0)
(:domain schedule)
(:objects
cold hot  - temperature-type
polished rough smooth  - surface
two three one  - width
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
blue yellow red black  - colour
cylindrical circular oblong  - ashape
back front  - anorient
s1 r1 p1 q1 o1 n1 m1 l1 k1 j1 i1 h1 g1 f1 e1 d1 c1 b1 a1 z0 w0 v0 u0 s0 r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
)
(:init (has-hole a1 one front)
(shape e1 oblong)
(surface-condition i1 polished)
(surface-condition d0 rough)
(painted s0 yellow)
(surface-condition s1 polished)
(has-paint immersion-painter red)
(painted h0 blue)
(temperature c0 cold)
(temperature m0 cold)
(shape k0 cylindrical)
(shape m1 oblong)
(temperature n0 cold)
(painted d1 black)
(surface-condition g0 polished)
(has-hole m0 two front)
(shape f1 oblong)
(has-hole f1 three back)
(surface-condition a0 polished)
(shape q0 cylindrical)
(temperature j1 cold)
(has-paint spray-painter yellow)
(painted f1 black)
(surface-condition h0 rough)
(has-hole i0 three back)
(shape b1 oblong)
(shape d0 oblong)
(temperature c1 cold)
(has-hole e1 two back)
(surface-condition p1 smooth)
(surface-condition m0 polished)
(surface-condition h1 rough)
(has-paint spray-painter blue)
(shape z0 circular)
(shape n1 cylindrical)
(painted p0 red)
(painted a1 black)
(shape c0 circular)
(shape g1 cylindrical)
(surface-condition e0 polished)
(shape q1 oblong)
(shape s0 cylindrical)
(has-hole c1 two back)
(surface-condition d1 rough)
(shape p1 circular)
(painted n0 red)
(temperature f1 cold)
(has-bit drill-press two)
(surface-condition r1 polished)
(painted u0 blue)
(has-hole u0 one back)
(painted b0 yellow)
(has-hole w0 two back)
(surface-condition g1 polished)
(surface-condition n1 rough)
(shape o1 oblong)
(surface-condition q0 smooth)
(has-hole s1 one front)
(has-hole z0 one back)
(surface-condition c1 polished)
(temperature d1 cold)
(painted j1 yellow)
(temperature q0 cold)
(painted c0 blue)
(surface-condition u0 rough)
(painted e1 yellow)
(has-hole q0 three front)
(has-paint spray-painter black)
(has-hole p1 three back)
(shape j0 oblong)
(surface-condition j0 rough)
(shape w0 circular)
(has-paint immersion-painter blue)
(temperature q1 cold)
(temperature h1 cold)
(surface-condition f0 polished)
(surface-condition l1 polished)
(can-orient drill-press front)
(shape g0 cylindrical)
(has-paint spray-painter red)
(temperature a0 cold)
(shape m0 cylindrical)
(temperature e1 cold)
(surface-condition c0 smooth)
(painted g1 red)
(temperature i1 cold)
(has-hole c0 two front)
(temperature j0 cold)
(temperature k1 cold)
(surface-condition j1 rough)
(temperature u0 cold)
(painted w0 red)
(has-hole l1 two back)
(surface-condition r0 smooth)
(has-hole g0 one back)
(temperature b1 cold)
(temperature o0 cold)
(surface-condition f1 rough)
(temperature g1 cold)
(shape i0 oblong)
(temperature s1 cold)
(temperature a1 cold)
(painted f0 red)
(has-hole a0 three back)
(has-hole n1 one front)
(has-hole o1 three front)
(shape h1 cylindrical)
(shape a1 circular)
(has-bit punch one)
(shape l0 oblong)
(temperature p0 cold)
(shape d1 cylindrical)
(painted n1 black)
(shape h0 circular)
(has-hole s0 one back)
(has-bit drill-press three)
(has-hole o0 two back)
(has-hole v0 three front)
(has-hole d0 three front)
(surface-condition w0 rough)
(painted r1 black)
(has-hole h0 one back)
(has-bit punch two)
(shape r0 circular)
(shape k1 cylindrical)
(temperature s0 cold)
(painted r0 blue)
(surface-condition k1 rough)
(temperature p1 cold)
(shape j1 oblong)
(surface-condition v0 smooth)
(surface-condition i0 smooth)
(shape u0 cylindrical)
(has-hole j0 two front)
(has-hole n0 three front)
(temperature m1 cold)
(shape i1 circular)
(has-hole j1 three front)
(painted z0 blue)
(temperature g0 cold)
(has-hole d1 three back)
(has-hole b0 three back)
(temperature o1 cold)
(shape b0 cylindrical)
(surface-condition a1 rough)
(painted i0 yellow)
(has-hole f0 three front)
(surface-condition b1 rough)
(surface-condition o1 smooth)
(has-bit drill-press one)
(surface-condition s0 rough)
(painted m1 blue)
(temperature i0 cold)
(surface-condition e1 smooth)
(painted h1 yellow)
(surface-condition p0 polished)
(temperature n1 cold)
(shape a0 cylindrical)
(shape n0 oblong)
(has-hole b1 three back)
(painted l1 yellow)
(has-hole m1 three back)
(painted o1 yellow)
(temperature w0 cold)
(has-bit punch three)
(has-paint immersion-painter yellow)
(shape f0 circular)
(temperature r0 cold)
(has-hole q1 one front)
(temperature r1 cold)
(has-hole i1 one front)
(painted s1 yellow)
(surface-condition o0 polished)
(has-hole r1 one back)
(temperature e0 cold)
(surface-condition n0 rough)
(painted k0 black)
(surface-condition l0 rough)
(painted q0 black)
(has-hole g1 three front)
(painted q1 yellow)
(can-orient punch back)
(shape e0 cylindrical)
(painted e0 red)
(shape v0 circular)
(has-hole p0 two back)
(has-hole r0 one back)
(temperature d0 cold)
(surface-condition k0 rough)
(has-hole l0 three back)
(painted k1 blue)
(painted g0 yellow)
(painted l0 red)
(painted o0 blue)
(temperature b0 cold)
(surface-condition z0 rough)
(has-hole k0 one front)
(temperature k0 cold)
(has-hole h1 two front)
(has-hole e0 two back)
(can-orient punch front)
(temperature v0 cold)
(shape c1 cylindrical)
(painted p1 black)
(temperature l0 cold)
(shape p0 oblong)
(temperature f0 cold)
(shape s1 circular)
(surface-condition m1 smooth)
(can-orient drill-press back)
(painted c1 red)
(painted v0 yellow)
(painted i1 black)
(painted j0 yellow)
(shape r1 cylindrical)
(shape o0 cylindrical)
(surface-condition q1 smooth)
(painted b1 yellow)
(surface-condition b0 smooth)
(temperature l1 cold)
(painted d0 blue)
(has-paint immersion-painter black)
(temperature z0 cold)
(painted m0 blue)
(temperature h0 cold)
(shape l1 cylindrical)
(painted a0 red)
(has-hole k1 one front)
)
(:goal (and
	  (surface-condition v0 polished)
	  (surface-condition k1 smooth)
	  (surface-condition r1 rough)
	  (surface-condition g0 rough)
	  (shape i0 cylindrical)
	  (surface-condition p1 polished)
	  (surface-condition b1 polished)
	  (surface-condition f0 rough)
	  (shape z0 cylindrical)
	  (surface-condition m1 rough)
	  (surface-condition o0 smooth)
	  (painted q1 red)
	  (surface-condition f1 smooth)
	  (surface-condition j0 polished)
	  (painted q0 yellow)
	  (shape m1 cylindrical)
	  (painted l0 black)
	  (surface-condition a1 smooth)
	  (painted e1 red)
	  (shape l0 cylindrical)
	  (surface-condition e0 smooth)
	  (surface-condition i0 polished)
	  (surface-condition l0 polished)
	  (surface-condition b0 rough)
	  (painted r0 yellow)
	  (surface-condition z0 smooth)
	  (surface-condition h1 polished)
	  (painted m0 red)
	  (painted b1 red)
	  (painted k0 yellow)
	  (painted n1 blue)
	  (painted v0 black)
	  (surface-condition s1 smooth)
	  (surface-condition d1 smooth)
	  (shape p1 cylindrical)
	  (shape e1 cylindrical)
	  (painted c1 blue)
	  (surface-condition u0 polished)
	  (shape d0 cylindrical)
	  (painted l1 blue)
	  (shape f0 cylindrical)
	  (painted n0 blue))
)
)
