(define (problem schedule-51-0)
(:domain schedule)
(:objects
polished rough smooth  - surface
back front  - anorient
blue yellow red black  - colour
two three one  - width
cold hot  - temperature-type
e2 d2 c2 b2 a2 z1 w1 v1 u1 s1 r1 p1 q1 o1 n1 m1 l1 k1 j1 i1 h1 g1 f1 e1 d1 c1 b1 a1 z0 w0 v0 u0 s0 r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
cylindrical circular oblong  - ashape
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
)
(:init (surface-condition b0 polished)
(temperature k1 cold)
(surface-condition p0 smooth)
(painted e2 blue)
(shape g1 cylindrical)
(temperature n0 cold)
(has-paint immersion-painter yellow)
(temperature e1 cold)
(painted z1 blue)
(temperature z0 cold)
(has-hole o1 one front)
(can-orient drill-press front)
(can-orient drill-press back)
(painted v0 yellow)
(surface-condition n0 smooth)
(surface-condition w0 rough)
(surface-condition e1 polished)
(has-hole f0 one back)
(surface-condition b1 polished)
(painted j1 yellow)
(shape l1 oblong)
(painted d2 yellow)
(has-hole j1 three back)
(has-hole r0 three front)
(painted u1 yellow)
(surface-condition e2 rough)
(has-paint spray-painter blue)
(shape d2 oblong)
(painted b1 black)
(painted e0 black)
(shape p0 oblong)
(temperature w0 cold)
(temperature v1 cold)
(painted k0 red)
(painted i1 black)
(surface-condition n1 rough)
(temperature d2 cold)
(surface-condition l1 rough)
(shape z0 oblong)
(temperature z1 cold)
(painted b2 black)
(surface-condition o1 smooth)
(shape u0 oblong)
(temperature a1 cold)
(has-hole p1 three front)
(shape j0 circular)
(painted r1 red)
(temperature u1 cold)
(has-paint spray-painter yellow)
(shape s1 cylindrical)
(surface-condition s0 smooth)
(painted s1 yellow)
(surface-condition a0 smooth)
(has-hole g1 two front)
(has-hole n1 three back)
(has-paint spray-painter black)
(painted k1 red)
(shape m0 cylindrical)
(temperature e0 cold)
(temperature c0 cold)
(temperature r1 cold)
(has-paint immersion-painter black)
(surface-condition u1 smooth)
(temperature c2 cold)
(painted n1 red)
(painted m1 red)
(has-bit drill-press two)
(shape o0 oblong)
(painted a1 blue)
(shape s0 circular)
(temperature h0 cold)
(shape e0 circular)
(has-hole k0 three back)
(shape h1 cylindrical)
(painted s0 blue)
(surface-condition u0 rough)
(has-hole i1 three front)
(surface-condition q1 smooth)
(surface-condition f0 smooth)
(has-hole v0 three back)
(has-hole f1 one front)
(has-hole q1 one front)
(surface-condition g1 polished)
(has-hole m1 two back)
(surface-condition r1 polished)
(surface-condition i1 smooth)
(can-orient punch front)
(painted c0 yellow)
(temperature g1 cold)
(temperature d1 cold)
(surface-condition k0 smooth)
(has-hole a2 three back)
(shape q0 circular)
(has-hole h0 two back)
(surface-condition l0 rough)
(shape e1 oblong)
(has-bit punch three)
(surface-condition h0 smooth)
(painted m0 yellow)
(has-hole c1 two back)
(shape o1 oblong)
(has-hole u1 one front)
(surface-condition b2 smooth)
(has-hole h1 two front)
(painted w1 blue)
(has-hole l0 one back)
(has-hole b2 three front)
(has-hole v1 one front)
(has-paint immersion-painter red)
(shape k1 circular)
(temperature m0 cold)
(shape i1 cylindrical)
(surface-condition s1 rough)
(shape h0 cylindrical)
(has-hole o0 three back)
(painted z0 red)
(surface-condition d0 polished)
(shape u1 circular)
(shape c0 cylindrical)
(surface-condition o0 smooth)
(painted i0 yellow)
(temperature b0 cold)
(shape r0 oblong)
(surface-condition z0 rough)
(painted c1 black)
(has-hole a1 two front)
(painted l1 blue)
(temperature n1 cold)
(temperature a2 cold)
(painted r0 red)
(has-hole c2 one back)
(has-paint spray-painter red)
(surface-condition h1 smooth)
(painted p0 blue)
(shape v0 circular)
(temperature s1 cold)
(surface-condition a2 polished)
(shape p1 circular)
(temperature r0 cold)
(painted f0 yellow)
(has-hole d0 one front)
(temperature b2 cold)
(temperature e2 cold)
(temperature p0 cold)
(temperature v0 cold)
(shape n1 oblong)
(painted g1 black)
(surface-condition a1 smooth)
(shape d1 cylindrical)
(has-hole w1 two front)
(temperature w1 cold)
(can-orient punch back)
(surface-condition j1 rough)
(has-hole r1 one front)
(has-bit drill-press three)
(surface-condition f1 rough)
(painted v1 blue)
(temperature f1 cold)
(temperature l0 cold)
(painted w0 red)
(surface-condition m0 polished)
(temperature q1 cold)
(temperature u0 cold)
(has-hole a0 three front)
(painted q0 red)
(shape b2 cylindrical)
(temperature g0 cold)
(has-hole w0 three back)
(temperature b1 cold)
(surface-condition e0 smooth)
(has-hole k1 three front)
(shape a1 cylindrical)
(shape c2 circular)
(has-hole d2 two front)
(painted f1 black)
(temperature l1 cold)
(surface-condition z1 polished)
(has-hole e2 two front)
(has-hole n0 one front)
(has-hole z1 three back)
(temperature j1 cold)
(temperature a0 cold)
(surface-condition c0 rough)
(shape c1 circular)
(painted c2 yellow)
(has-hole l1 three back)
(surface-condition w1 polished)
(shape l0 oblong)
(shape j1 oblong)
(temperature o1 cold)
(painted q1 blue)
(temperature k0 cold)
(has-bit drill-press one)
(temperature o0 cold)
(painted j0 red)
(surface-condition i0 smooth)
(surface-condition c2 polished)
(shape w1 circular)
(painted a0 black)
(painted o1 yellow)
(shape n0 circular)
(has-hole z0 three back)
(shape k0 cylindrical)
(has-hole u0 two back)
(shape b0 cylindrical)
(shape r1 oblong)
(surface-condition g0 smooth)
(has-hole e1 two back)
(painted u0 red)
(has-hole c0 two back)
(surface-condition k1 polished)
(shape d0 cylindrical)
(has-hole s1 three front)
(painted o0 blue)
(painted p1 blue)
(has-hole e0 three front)
(temperature s0 cold)
(shape b1 circular)
(painted h1 red)
(temperature i0 cold)
(painted e1 black)
(shape z1 cylindrical)
(temperature h1 cold)
(shape a2 cylindrical)
(has-hole d1 two back)
(temperature p1 cold)
(shape a0 cylindrical)
(has-hole q0 one front)
(has-hole g0 two back)
(shape i0 circular)
(has-hole i0 one front)
(temperature f0 cold)
(shape w0 cylindrical)
(has-hole p0 one back)
(surface-condition d1 smooth)
(painted d0 blue)
(has-hole s0 two front)
(painted g0 black)
(surface-condition v1 polished)
(painted a2 red)
(shape m1 circular)
(temperature c1 cold)
(surface-condition q0 polished)
(painted b0 yellow)
(surface-condition d2 polished)
(shape f0 oblong)
(has-hole j0 one back)
(has-bit punch two)
(has-hole b1 two front)
(has-hole m0 one front)
(surface-condition v0 polished)
(surface-condition j0 rough)
(surface-condition c1 rough)
(temperature m1 cold)
(shape e2 oblong)
(has-hole b0 one back)
(painted h0 yellow)
(surface-condition m1 rough)
(has-bit punch one)
(painted l0 black)
(painted d1 blue)
(shape v1 circular)
(shape f1 oblong)
(painted n0 yellow)
(shape q1 oblong)
(surface-condition r0 rough)
(surface-condition p1 smooth)
(has-paint immersion-painter blue)
(temperature j0 cold)
(temperature d0 cold)
(temperature i1 cold)
(shape g0 oblong)
(temperature q0 cold)
)
(:goal (and
	  (shape f1 cylindrical)
	  (painted a0 red)
	  (surface-condition d2 rough)
	  (shape o0 cylindrical)
	  (painted l0 yellow)
	  (painted o0 red)
	  (surface-condition s1 polished)
	  (painted m1 blue)
	  (surface-condition q1 polished)
	  (surface-condition w1 rough)
	  (shape o1 cylindrical)
	  (painted m0 red)
	  (painted n1 blue)
	  (surface-condition n0 rough)
	  (painted h1 blue)
	  (painted f0 black)
	  (surface-condition e0 polished)
	  (painted v0 red)
	  (surface-condition d1 polished)
	  (surface-condition r0 smooth)
	  (surface-condition k0 polished)
	  (painted p1 yellow)
	  (shape v0 cylindrical)
	  (painted q0 yellow)
	  (surface-condition i1 polished)
	  (surface-condition h1 rough)
	  (surface-condition g0 polished)
	  (shape z0 cylindrical)
	  (shape l0 cylindrical)
	  (surface-condition f1 smooth)
	  (painted o1 red)
	  (painted z0 blue)
	  (surface-condition j1 polished)
	  (surface-condition c0 smooth)
	  (painted e0 yellow)
	  (painted a1 black)
	  (shape n0 cylindrical)
	  (painted g0 blue)
	  (shape i0 cylindrical)
	  (surface-condition k1 rough)
	  (painted v1 yellow)
	  (surface-condition o1 rough)
	  (surface-condition h0 polished)
	  (surface-condition b2 rough)
	  (painted k0 black)
	  (surface-condition b1 smooth)
	  (painted e2 black)
	  (shape m1 cylindrical)
	  (painted n0 red)
	  (painted u1 black)
	  (shape u0 cylindrical))
)
)
