(define (problem wood-prob)
(:domain woodworking)
(:objects
b0 b1  - board
varnished glazed untreated colourfragments  - treatmentstatus
p0 p1 p2 p3 p4 p5  - part
glazer0  - glazer
natural mauve red white black  - acolour
s0 s1 s2 s3 s4 s5 s6 s7 s8  - aboardsize
highspeed-saw0  - highspeed-saw
small medium large  - apartsize
grinder0  - grinder
planer0  - planer
saw0  - saw
verysmooth smooth rough  - surface
spray-varnisher0  - spray-varnisher
immersion-varnisher0  - immersion-varnisher
oak teak  - awood
)
(:init (= (total-cost ) 0)
(= (spray-varnish-cost p0) 15)
(= (glaze-cost p0) 20)
(= (grind-cost p0) 45)
(= (plane-cost p0) 30)
(= (spray-varnish-cost p1) 5)
(= (glaze-cost p1) 10)
(= (grind-cost p1) 15)
(= (plane-cost p1) 10)
(= (spray-varnish-cost p2) 5)
(= (glaze-cost p2) 10)
(= (grind-cost p2) 15)
(= (plane-cost p2) 10)
(= (spray-varnish-cost p3) 5)
(= (glaze-cost p3) 10)
(= (grind-cost p3) 15)
(= (plane-cost p3) 10)
(= (spray-varnish-cost p4) 10)
(= (glaze-cost p4) 15)
(= (grind-cost p4) 30)
(= (plane-cost p4) 20)
(= (spray-varnish-cost p5) 5)
(= (glaze-cost p5) 10)
(= (grind-cost p5) 15)
(= (plane-cost p5) 10)
(grind-treatment-change glazed untreated)
(boardsize-successor s7 s8)
(is-smooth smooth)
(boardsize-successor s6 s7)
(boardsize-successor s4 s5)
(goalsize p0 large)
(unused p1)
(goalsize p3 small)
(goalsize p5 small)
(has-colour immersion-varnisher0 mauve)
(has-colour glazer0 natural)
(boardsize-successor s0 s1)
(boardsize b1 s4)
(boardsize-successor s2 s3)
(empty highspeed-saw0)
(grind-treatment-change varnished colourfragments)
(grind-treatment-change colourfragments untreated)
(boardsize-successor s3 s4)
(unused p0)
(grind-treatment-change untreated untreated)
(has-colour immersion-varnisher0 natural)
(unused p4)
(boardsize-successor s1 s2)
(goalsize p1 small)
(wood b1 oak)
(unused p2)
(unused p5)
(available b1)
(available b0)
(wood b0 teak)
(surface-condition b1 smooth)
(goalsize p4 medium)
(unused p3)
(boardsize-successor s5 s6)
(is-smooth verysmooth)
(has-colour glazer0 mauve)
(goalsize p2 small)
(surface-condition b0 rough)
(has-colour spray-varnisher0 natural)
(boardsize b0 s8)
(has-colour spray-varnisher0 mauve)
)
(:goal (and
	  (available p0)
	  (wood p0 teak)
	  (surface-condition p0 smooth)
	  (available p1)
	  (colour p1 natural)
	  (wood p1 teak)
	  (surface-condition p1 verysmooth)
	  (available p2)
	  (wood p2 oak)
	  (surface-condition p2 verysmooth)
	  (treatment p2 varnished)
	  (available p3)
	  (wood p3 oak)
	  (surface-condition p3 smooth)
	  (available p4)
	  (colour p4 mauve)
	  (wood p4 teak)
	  (available p5)
	  (colour p5 natural)
	  (wood p5 oak)
	  (surface-condition p5 smooth)
	  (treatment p5 varnished))
)
(:metric minimize (total-cost))
)
