(define (problem wood-prob)
(:domain woodworking)
(:objects
glazer0  - glazer
mahogany teak  - awood
verysmooth smooth rough  - surface
spray-varnisher0  - spray-varnisher
saw0  - saw
varnished glazed untreated colourfragments  - treatmentstatus
immersion-varnisher0  - immersion-varnisher
grinder0  - grinder
p0 p1 p2 p3 p4 p5 p6  - part
small medium large  - apartsize
natural blue red white green black  - acolour
highspeed-saw0  - highspeed-saw
s0 s1 s2 s3 s4 s5 s6 s7 s8  - aboardsize
planer0  - planer
b0 b1 b2  - board
)
(:init (= (total-cost ) 0)
(= (spray-varnish-cost p0) 15)
(= (glaze-cost p0) 20)
(= (grind-cost p0) 45)
(= (plane-cost p0) 30)
(= (spray-varnish-cost p1) 15)
(= (glaze-cost p1) 20)
(= (grind-cost p1) 45)
(= (plane-cost p1) 30)
(= (spray-varnish-cost p2) 5)
(= (glaze-cost p2) 10)
(= (grind-cost p2) 15)
(= (plane-cost p2) 10)
(= (spray-varnish-cost p3) 5)
(= (glaze-cost p3) 10)
(= (grind-cost p3) 15)
(= (plane-cost p3) 10)
(= (spray-varnish-cost p4) 5)
(= (glaze-cost p4) 10)
(= (grind-cost p4) 15)
(= (plane-cost p4) 10)
(= (spray-varnish-cost p5) 15)
(= (glaze-cost p5) 20)
(= (grind-cost p5) 45)
(= (plane-cost p5) 30)
(= (spray-varnish-cost p6) 10)
(= (glaze-cost p6) 15)
(= (grind-cost p6) 30)
(= (plane-cost p6) 20)
(has-colour glazer0 blue)
(unused p6)
(goalsize p3 small)
(surface-condition p5 rough)
(goalsize p6 medium)
(has-colour glazer0 green)
(boardsize b2 s5)
(grind-treatment-change varnished colourfragments)
(empty highspeed-saw0)
(unused p0)
(treatment p5 varnished)
(surface-condition b2 smooth)
(grind-treatment-change untreated untreated)
(has-colour glazer0 natural)
(goalsize p1 large)
(has-colour glazer0 black)
(boardsize-successor s1 s2)
(boardsize-successor s2 s3)
(colour p5 white)
(wood p5 teak)
(is-smooth smooth)
(unused p4)
(wood b2 mahogany)
(goalsize p0 large)
(grind-treatment-change glazed untreated)
(goalsize p5 large)
(unused p1)
(surface-condition b1 rough)
(available b2)
(grind-treatment-change colourfragments untreated)
(boardsize b1 s8)
(boardsize-successor s7 s8)
(available p5)
(wood b0 teak)
(unused p3)
(boardsize b0 s3)
(surface-condition b0 rough)
(unused p2)
(is-smooth verysmooth)
(boardsize-successor s4 s5)
(boardsize-successor s5 s6)
(goalsize p2 small)
(boardsize-successor s3 s4)
(available b0)
(boardsize-successor s0 s1)
(goalsize p4 small)
(available b1)
(has-colour spray-varnisher0 red)
(has-colour spray-varnisher0 black)
(boardsize-successor s6 s7)
(has-colour immersion-varnisher0 black)
(wood b1 mahogany)
(has-colour immersion-varnisher0 red)
)
(:goal (and
	  (available p0)
	  (wood p0 mahogany)
	  (treatment p0 glazed)
	  (available p1)
	  (surface-condition p1 smooth)
	  (treatment p1 varnished)
	  (available p2)
	  (colour p2 green)
	  (wood p2 teak)
	  (treatment p2 glazed)
	  (available p3)
	  (colour p3 blue)
	  (wood p3 mahogany)
	  (surface-condition p3 verysmooth)
	  (treatment p3 glazed)
	  (available p4)
	  (colour p4 red)
	  (wood p4 teak)
	  (surface-condition p4 smooth)
	  (treatment p4 varnished)
	  (available p5)
	  (colour p5 natural)
	  (treatment p5 glazed)
	  (available p6)
	  (colour p6 black)
	  (wood p6 mahogany))
)
(:metric minimize (total-cost))
)
