(define (problem wood-prob)
(:domain woodworking)
(:objects
verysmooth smooth rough  - surface
immersion-varnisher0  - immersion-varnisher
p0 p1 p2 p3 p4 p5 p6 p7  - part
s0 s1 s2 s3 s4 s5 s6 s7  - aboardsize
natural black white blue red green mauve  - acolour
teak pine  - awood
varnished glazed untreated colourfragments  - treatmentstatus
saw0  - saw
planer0  - planer
spray-varnisher0  - spray-varnisher
small medium large  - apartsize
b0 b1 b2  - board
glazer0  - glazer
highspeed-saw0  - highspeed-saw
grinder0  - grinder
)
(:init (= (total-cost ) 0)
(= (spray-varnish-cost p0) 15)
(= (glaze-cost p0) 20)
(= (grind-cost p0) 45)
(= (plane-cost p0) 30)
(= (spray-varnish-cost p1) 5)
(= (glaze-cost p1) 10)
(= (grind-cost p1) 15)
(= (plane-cost p1) 10)
(= (spray-varnish-cost p2) 5)
(= (glaze-cost p2) 10)
(= (grind-cost p2) 15)
(= (plane-cost p2) 10)
(= (spray-varnish-cost p3) 10)
(= (glaze-cost p3) 15)
(= (grind-cost p3) 30)
(= (plane-cost p3) 20)
(= (spray-varnish-cost p4) 5)
(= (glaze-cost p4) 10)
(= (grind-cost p4) 15)
(= (plane-cost p4) 10)
(= (spray-varnish-cost p5) 15)
(= (glaze-cost p5) 20)
(= (grind-cost p5) 45)
(= (plane-cost p5) 30)
(= (spray-varnish-cost p6) 10)
(= (glaze-cost p6) 15)
(= (grind-cost p6) 30)
(= (plane-cost p6) 20)
(= (spray-varnish-cost p7) 10)
(= (glaze-cost p7) 15)
(= (grind-cost p7) 30)
(= (plane-cost p7) 20)
(boardsize b1 s4)
(available b1)
(available p4)
(unused p7)
(wood b2 pine)
(boardsize-successor s6 s7)
(unused p2)
(unused p3)
(is-smooth smooth)
(goalsize p4 small)
(available b2)
(grind-treatment-change colourfragments untreated)
(is-smooth verysmooth)
(goalsize p1 small)
(wood p4 teak)
(has-colour immersion-varnisher0 white)
(has-colour immersion-varnisher0 red)
(unused p0)
(wood b0 teak)
(boardsize-successor s3 s4)
(grind-treatment-change varnished colourfragments)
(unused p1)
(boardsize-successor s0 s1)
(goalsize p3 medium)
(has-colour spray-varnisher0 blue)
(surface-condition b1 rough)
(goalsize p0 large)
(colour p4 green)
(has-colour spray-varnisher0 white)
(goalsize p2 small)
(unused p6)
(has-colour spray-varnisher0 red)
(goalsize p7 medium)
(grind-treatment-change untreated untreated)
(wood b1 teak)
(treatment p4 colourfragments)
(available b0)
(surface-condition b2 rough)
(boardsize b2 s3)
(has-colour glazer0 white)
(has-colour immersion-varnisher0 blue)
(boardsize-successor s4 s5)
(boardsize-successor s1 s2)
(boardsize b0 s7)
(surface-condition b0 smooth)
(has-colour glazer0 blue)
(goalsize p5 large)
(boardsize-successor s2 s3)
(goalsize p6 medium)
(empty highspeed-saw0)
(boardsize-successor s5 s6)
(unused p5)
(grind-treatment-change glazed untreated)
(surface-condition p4 rough)
)
(:goal (and
	  (available p0)
	  (wood p0 teak)
	  (surface-condition p0 smooth)
	  (available p1)
	  (wood p1 teak)
	  (surface-condition p1 smooth)
	  (treatment p1 varnished)
	  (available p2)
	  (colour p2 red)
	  (wood p2 teak)
	  (treatment p2 varnished)
	  (available p3)
	  (colour p3 blue)
	  (wood p3 teak)
	  (surface-condition p3 smooth)
	  (treatment p3 glazed)
	  (available p4)
	  (colour p4 white)
	  (wood p4 teak)
	  (surface-condition p4 smooth)
	  (available p5)
	  (wood p5 pine)
	  (treatment p5 varnished)
	  (available p6)
	  (wood p6 teak)
	  (surface-condition p6 verysmooth)
	  (available p7)
	  (colour p7 blue)
	  (treatment p7 varnished))
)
(:metric minimize (total-cost))
)
