(define (problem wood-prob)
(:domain woodworking)
(:objects
small medium large  - apartsize
saw0  - saw
verysmooth smooth rough  - surface
varnished glazed untreated colourfragments  - treatmentstatus
p0 p1 p2 p3 p4 p5 p6 p7 p8  - part
grinder0  - grinder
immersion-varnisher0  - immersion-varnisher
spray-varnisher0  - spray-varnisher
planer0  - planer
natural black mauve green red blue white  - acolour
b0 b1 b2  - board
highspeed-saw0  - highspeed-saw
s0 s1 s2 s3 s4 s5 s6 s7  - aboardsize
pine cherry  - awood
glazer0  - glazer
)
(:init (= (total-cost ) 0)
(= (spray-varnish-cost p0) 15)
(= (glaze-cost p0) 20)
(= (grind-cost p0) 45)
(= (plane-cost p0) 30)
(= (spray-varnish-cost p1) 10)
(= (glaze-cost p1) 15)
(= (grind-cost p1) 30)
(= (plane-cost p1) 20)
(= (spray-varnish-cost p2) 5)
(= (glaze-cost p2) 10)
(= (grind-cost p2) 15)
(= (plane-cost p2) 10)
(= (spray-varnish-cost p3) 5)
(= (glaze-cost p3) 10)
(= (grind-cost p3) 15)
(= (plane-cost p3) 10)
(= (spray-varnish-cost p4) 15)
(= (glaze-cost p4) 20)
(= (grind-cost p4) 45)
(= (plane-cost p4) 30)
(= (spray-varnish-cost p5) 5)
(= (glaze-cost p5) 10)
(= (grind-cost p5) 15)
(= (plane-cost p5) 10)
(= (spray-varnish-cost p6) 15)
(= (glaze-cost p6) 20)
(= (grind-cost p6) 45)
(= (plane-cost p6) 30)
(= (spray-varnish-cost p7) 5)
(= (glaze-cost p7) 10)
(= (grind-cost p7) 15)
(= (plane-cost p7) 10)
(= (spray-varnish-cost p8) 15)
(= (glaze-cost p8) 20)
(= (grind-cost p8) 45)
(= (plane-cost p8) 30)
(surface-condition p3 rough)
(unused p5)
(goalsize p5 small)
(empty highspeed-saw0)
(unused p6)
(unused p2)
(surface-condition b1 rough)
(wood b1 pine)
(goalsize p3 small)
(colour p3 mauve)
(has-colour immersion-varnisher0 black)
(treatment p3 glazed)
(treatment p4 varnished)
(wood p7 pine)
(unused p8)
(available b2)
(has-colour spray-varnisher0 blue)
(grind-treatment-change glazed untreated)
(has-colour immersion-varnisher0 green)
(has-colour spray-varnisher0 white)
(is-smooth verysmooth)
(boardsize-successor s5 s6)
(surface-condition p4 verysmooth)
(boardsize-successor s4 s5)
(wood b2 pine)
(goalsize p2 small)
(unused p1)
(goalsize p4 large)
(boardsize-successor s3 s4)
(boardsize-successor s0 s1)
(boardsize-successor s6 s7)
(available p7)
(available p3)
(boardsize-successor s1 s2)
(has-colour spray-varnisher0 green)
(boardsize b0 s6)
(wood b0 cherry)
(wood p4 cherry)
(goalsize p7 small)
(has-colour immersion-varnisher0 blue)
(boardsize-successor s2 s3)
(wood p3 cherry)
(available b0)
(has-colour spray-varnisher0 black)
(boardsize b2 s6)
(has-colour glazer0 green)
(has-colour glazer0 white)
(grind-treatment-change varnished colourfragments)
(grind-treatment-change colourfragments untreated)
(available p4)
(surface-condition p7 smooth)
(goalsize p8 large)
(boardsize b1 s7)
(available b1)
(has-colour glazer0 black)
(goalsize p1 medium)
(has-colour immersion-varnisher0 white)
(surface-condition b2 rough)
(treatment p7 colourfragments)
(goalsize p0 large)
(colour p4 natural)
(goalsize p6 large)
(grind-treatment-change untreated untreated)
(surface-condition b0 rough)
(is-smooth smooth)
(colour p7 natural)
(unused p0)
)
(:goal (and
	  (available p0)
	  (colour p0 green)
	  (surface-condition p0 smooth)
	  (available p1)
	  (colour p1 black)
	  (wood p1 pine)
	  (treatment p1 glazed)
	  (available p2)
	  (wood p2 cherry)
	  (surface-condition p2 verysmooth)
	  (treatment p2 varnished)
	  (available p3)
	  (colour p3 black)
	  (surface-condition p3 verysmooth)
	  (available p4)
	  (colour p4 white)
	  (wood p4 cherry)
	  (surface-condition p4 smooth)
	  (available p5)
	  (colour p5 green)
	  (wood p5 pine)
	  (available p6)
	  (colour p6 white)
	  (wood p6 cherry)
	  (surface-condition p6 smooth)
	  (treatment p6 glazed)
	  (available p7)
	  (colour p7 blue)
	  (wood p7 pine)
	  (surface-condition p7 smooth)
	  (treatment p7 varnished)
	  (available p8)
	  (colour p8 white)
	  (surface-condition p8 smooth))
)
(:metric minimize (total-cost))
)
