(define (problem wood-prob)
(:domain woodworking)
(:objects
highspeed-saw0  - highspeed-saw
spray-varnisher0  - spray-varnisher
b0 b1 b2 b3  - board
natural red green black mauve white blue  - acolour
immersion-varnisher0  - immersion-varnisher
small medium large  - apartsize
verysmooth smooth rough  - surface
saw0  - saw
teak pine walnut  - awood
p0 p1 p2 p3 p4 p5 p6 p7 p8 p9 p10  - part
grinder0  - grinder
s0 s1 s2 s3 s4 s5 s6 s7 s8 s9  - aboardsize
varnished glazed untreated colourfragments  - treatmentstatus
glazer0  - glazer
planer0  - planer
)
(:init (= (total-cost ) 0)
(= (spray-varnish-cost p0) 10)
(= (glaze-cost p0) 15)
(= (grind-cost p0) 30)
(= (plane-cost p0) 20)
(= (spray-varnish-cost p1) 10)
(= (glaze-cost p1) 15)
(= (grind-cost p1) 30)
(= (plane-cost p1) 20)
(= (spray-varnish-cost p2) 5)
(= (glaze-cost p2) 10)
(= (grind-cost p2) 15)
(= (plane-cost p2) 10)
(= (spray-varnish-cost p3) 15)
(= (glaze-cost p3) 20)
(= (grind-cost p3) 45)
(= (plane-cost p3) 30)
(= (spray-varnish-cost p4) 15)
(= (glaze-cost p4) 20)
(= (grind-cost p4) 45)
(= (plane-cost p4) 30)
(= (spray-varnish-cost p5) 15)
(= (glaze-cost p5) 20)
(= (grind-cost p5) 45)
(= (plane-cost p5) 30)
(= (spray-varnish-cost p6) 15)
(= (glaze-cost p6) 20)
(= (grind-cost p6) 45)
(= (plane-cost p6) 30)
(= (spray-varnish-cost p7) 10)
(= (glaze-cost p7) 15)
(= (grind-cost p7) 30)
(= (plane-cost p7) 20)
(= (spray-varnish-cost p8) 10)
(= (glaze-cost p8) 15)
(= (grind-cost p8) 30)
(= (plane-cost p8) 20)
(= (spray-varnish-cost p9) 10)
(= (glaze-cost p9) 15)
(= (grind-cost p9) 30)
(= (plane-cost p9) 20)
(= (spray-varnish-cost p10) 5)
(= (glaze-cost p10) 10)
(= (grind-cost p10) 15)
(= (plane-cost p10) 10)
(unused p8)
(has-colour spray-varnisher0 natural)
(has-colour immersion-varnisher0 natural)
(surface-condition b2 rough)
(unused p3)
(boardsize-successor s4 s5)
(unused p10)
(is-smooth verysmooth)
(available b0)
(goalsize p10 small)
(available b3)
(wood b2 pine)
(boardsize-successor s1 s2)
(available b2)
(boardsize b3 s4)
(wood b1 teak)
(surface-condition b3 rough)
(boardsize-successor s7 s8)
(empty highspeed-saw0)
(goalsize p6 large)
(has-colour spray-varnisher0 mauve)
(has-colour immersion-varnisher0 mauve)
(has-colour immersion-varnisher0 white)
(surface-condition b1 rough)
(goalsize p5 large)
(boardsize-successor s2 s3)
(goalsize p1 medium)
(unused p0)
(unused p2)
(grind-treatment-change varnished colourfragments)
(goalsize p4 large)
(has-colour glazer0 mauve)
(grind-treatment-change untreated untreated)
(boardsize-successor s0 s1)
(colour p6 natural)
(wood b0 teak)
(has-colour glazer0 red)
(has-colour glazer0 black)
(is-smooth smooth)
(goalsize p2 small)
(treatment p6 varnished)
(wood b3 walnut)
(grind-treatment-change glazed untreated)
(boardsize-successor s5 s6)
(boardsize-successor s6 s7)
(wood p6 walnut)
(grind-treatment-change colourfragments untreated)
(goalsize p7 medium)
(boardsize b2 s8)
(unused p1)
(boardsize b0 s9)
(unused p7)
(boardsize-successor s3 s4)
(has-colour spray-varnisher0 white)
(goalsize p3 large)
(unused p5)
(goalsize p9 medium)
(has-colour glazer0 natural)
(boardsize b1 s0)
(goalsize p8 medium)
(surface-condition b0 rough)
(has-colour glazer0 green)
(available b1)
(goalsize p0 medium)
(available p6)
(boardsize-successor s8 s9)
(surface-condition p6 verysmooth)
(unused p4)
(unused p9)
)
(:goal (and
	  (available p0)
	  (colour p0 red)
	  (wood p0 walnut)
	  (treatment p0 glazed)
	  (available p1)
	  (colour p1 green)
	  (treatment p1 glazed)
	  (available p2)
	  (colour p2 natural)
	  (surface-condition p2 verysmooth)
	  (available p3)
	  (surface-condition p3 verysmooth)
	  (treatment p3 varnished)
	  (available p4)
	  (colour p4 black)
	  (treatment p4 glazed)
	  (available p5)
	  (colour p5 white)
	  (wood p5 pine)
	  (surface-condition p5 smooth)
	  (treatment p5 varnished)
	  (available p6)
	  (colour p6 mauve)
	  (wood p6 walnut)
	  (available p7)
	  (surface-condition p7 smooth)
	  (treatment p7 glazed)
	  (available p8)
	  (wood p8 pine)
	  (surface-condition p8 verysmooth)
	  (treatment p8 varnished)
	  (available p9)
	  (surface-condition p9 smooth)
	  (treatment p9 varnished)
	  (available p10)
	  (wood p10 walnut)
	  (surface-condition p10 smooth))
)
(:metric minimize (total-cost))
)
