(define (problem roverprob1423)
(:domain rover)
(:objects
rover0 rover1 rover2 rover3  - rover
rover0store rover1store rover2store rover3store  - store
waypoint0 waypoint1 waypoint2 waypoint3 waypoint4 waypoint5  - waypoint
general  - lander
camera0 camera1 camera2 camera3  - camera
objective0 objective1 objective2  - objective
colour high_res low_res  - mode
)
(:init (can_traverse rover0 waypoint2 waypoint3)
(at_rock_sample waypoint5)
(visible_from objective1 waypoint0)
(can_traverse rover2 waypoint5 waypoint2)
(can_traverse rover0 waypoint0 waypoint1)
(can_traverse rover1 waypoint4 waypoint3)
(visible waypoint0 waypoint2)
(supports camera0 low_res)
(calibration_target camera3 objective1)
(supports camera3 low_res)
(at_soil_sample waypoint1)
(visible waypoint0 waypoint3)
(can_traverse rover3 waypoint4 waypoint3)
(can_traverse rover2 waypoint2 waypoint0)
(on_board camera1 rover3)
(can_traverse rover1 waypoint1 waypoint0)
(on_board camera3 rover2)
(can_traverse rover2 waypoint2 waypoint1)
(can_traverse rover1 waypoint3 waypoint4)
(can_traverse rover0 waypoint0 waypoint2)
(equipped_for_rock_analysis rover2)
(empty rover2store)
(visible waypoint4 waypoint5)
(at rover0 waypoint2)
(can_traverse rover3 waypoint2 waypoint3)
(visible waypoint4 waypoint0)
(visible_from objective0 waypoint1)
(at_rock_sample waypoint3)
(visible_from objective0 waypoint2)
(can_traverse rover3 waypoint3 waypoint2)
(visible waypoint3 waypoint4)
(can_traverse rover1 waypoint2 waypoint3)
(visible waypoint5 waypoint1)
(can_traverse rover0 waypoint5 waypoint3)
(equipped_for_imaging rover3)
(visible waypoint4 waypoint1)
(supports camera2 colour)
(visible waypoint1 waypoint0)
(empty rover3store)
(can_traverse rover3 waypoint5 waypoint2)
(equipped_for_imaging rover1)
(visible waypoint3 waypoint5)
(store_of rover3store rover3)
(can_traverse rover1 waypoint0 waypoint1)
(can_traverse rover2 waypoint0 waypoint3)
(can_traverse rover2 waypoint4 waypoint2)
(can_traverse rover1 waypoint2 waypoint5)
(visible waypoint4 waypoint2)
(supports camera1 colour)
(can_traverse rover2 waypoint2 waypoint5)
(supports camera2 low_res)
(visible waypoint3 waypoint0)
(at_rock_sample waypoint4)
(empty rover0store)
(can_traverse rover3 waypoint3 waypoint0)
(can_traverse rover2 waypoint1 waypoint2)
(can_traverse rover3 waypoint2 waypoint5)
(visible_from objective0 waypoint0)
(visible waypoint2 waypoint3)
(visible waypoint5 waypoint2)
(visible_from objective2 waypoint2)
(can_traverse rover0 waypoint2 waypoint0)
(equipped_for_rock_analysis rover3)
(at rover1 waypoint2)
(visible waypoint2 waypoint0)
(can_traverse rover1 waypoint5 waypoint2)
(store_of rover1store rover1)
(visible_from objective2 waypoint1)
(equipped_for_rock_analysis rover1)
(supports camera3 colour)
(equipped_for_soil_analysis rover3)
(can_traverse rover3 waypoint1 waypoint0)
(supports camera0 high_res)
(calibration_target camera2 objective0)
(can_traverse rover0 waypoint2 waypoint4)
(can_traverse rover3 waypoint0 waypoint1)
(can_traverse rover3 waypoint3 waypoint4)
(available rover0)
(visible waypoint3 waypoint2)
(calibration_target camera0 objective1)
(available rover2)
(calibration_target camera1 objective0)
(can_traverse rover0 waypoint1 waypoint0)
(visible_from objective2 waypoint0)
(visible waypoint5 waypoint3)
(at_lander general waypoint0)
(visible waypoint5 waypoint4)
(can_traverse rover2 waypoint2 waypoint4)
(visible waypoint0 waypoint4)
(supports camera0 colour)
(visible waypoint2 waypoint4)
(can_traverse rover3 waypoint0 waypoint3)
(can_traverse rover1 waypoint0 waypoint2)
(at_soil_sample waypoint3)
(can_traverse rover2 waypoint3 waypoint0)
(can_traverse rover0 waypoint4 waypoint2)
(can_traverse rover1 waypoint2 waypoint0)
(supports camera1 high_res)
(visible waypoint2 waypoint5)
(visible waypoint2 waypoint1)
(store_of rover2store rover2)
(available rover3)
(can_traverse rover1 waypoint3 waypoint2)
(empty rover1store)
(at_rock_sample waypoint2)
(equipped_for_soil_analysis rover0)
(store_of rover0store rover0)
(visible waypoint4 waypoint3)
(can_traverse rover2 waypoint0 waypoint2)
(supports camera2 high_res)
(visible waypoint0 waypoint1)
(channel_free general)
(visible waypoint1 waypoint4)
(at_soil_sample waypoint4)
(visible waypoint1 waypoint5)
(equipped_for_rock_analysis rover0)
(visible waypoint1 waypoint2)
(can_traverse rover0 waypoint3 waypoint2)
(on_board camera0 rover3)
(at rover2 waypoint2)
(on_board camera2 rover1)
(can_traverse rover0 waypoint3 waypoint5)
(equipped_for_imaging rover2)
(at rover3 waypoint3)
(available rover1)
)
(:goal (and
	  (communicated_soil_data waypoint1)
	  (communicated_soil_data waypoint3)
	  (communicated_soil_data waypoint4)
	  (communicated_rock_data waypoint5)
	  (communicated_rock_data waypoint4)
	  (communicated_image_data objective0 low_res)
	  (communicated_image_data objective0 high_res)
	  (communicated_image_data objective2 low_res))
)
)
