(define (problem roverprob4132)
(:domain rover)
(:objects
camera0 camera1 camera2 camera3 camera4  - camera
rover0store rover1store rover2store rover3store  - store
rover0 rover1 rover2 rover3  - rover
general  - lander
colour high_res low_res  - mode
waypoint0 waypoint1 waypoint2 waypoint3 waypoint4 waypoint5 waypoint6  - waypoint
objective0 objective1 objective2  - objective
)
(:init (supports camera4 colour)
(can_traverse rover1 waypoint6 waypoint2)
(visible waypoint5 waypoint1)
(visible waypoint5 waypoint6)
(visible waypoint0 waypoint2)
(visible waypoint6 waypoint4)
(supports camera3 low_res)
(visible waypoint1 waypoint3)
(can_traverse rover3 waypoint1 waypoint4)
(can_traverse rover3 waypoint5 waypoint0)
(visible waypoint0 waypoint6)
(visible waypoint5 waypoint2)
(can_traverse rover3 waypoint6 waypoint2)
(can_traverse rover2 waypoint3 waypoint0)
(can_traverse rover3 waypoint2 waypoint6)
(visible waypoint6 waypoint0)
(can_traverse rover0 waypoint3 waypoint1)
(visible waypoint1 waypoint0)
(visible_from objective1 waypoint1)
(can_traverse rover0 waypoint5 waypoint0)
(can_traverse rover0 waypoint0 waypoint5)
(can_traverse rover3 waypoint3 waypoint0)
(can_traverse rover3 waypoint0 waypoint3)
(equipped_for_imaging rover2)
(can_traverse rover2 waypoint4 waypoint3)
(visible_from objective1 waypoint2)
(visible_from objective2 waypoint3)
(can_traverse rover0 waypoint2 waypoint5)
(can_traverse rover1 waypoint2 waypoint5)
(can_traverse rover1 waypoint3 waypoint1)
(visible waypoint1 waypoint5)
(at_rock_sample waypoint1)
(visible waypoint2 waypoint0)
(can_traverse rover2 waypoint6 waypoint0)
(visible_from objective2 waypoint2)
(equipped_for_imaging rover0)
(at rover2 waypoint0)
(at rover1 waypoint2)
(available rover1)
(calibration_target camera1 objective2)
(can_traverse rover2 waypoint3 waypoint4)
(visible_from objective0 waypoint1)
(empty rover0store)
(can_traverse rover0 waypoint4 waypoint1)
(visible waypoint6 waypoint5)
(can_traverse rover0 waypoint1 waypoint4)
(visible waypoint5 waypoint0)
(visible waypoint4 waypoint1)
(at_soil_sample waypoint6)
(store_of rover0store rover0)
(supports camera0 low_res)
(visible waypoint1 waypoint2)
(on_board camera1 rover0)
(on_board camera3 rover2)
(can_traverse rover2 waypoint0 waypoint3)
(store_of rover1store rover1)
(calibration_target camera4 objective1)
(visible waypoint1 waypoint6)
(at_rock_sample waypoint5)
(can_traverse rover1 waypoint1 waypoint2)
(store_of rover3store rover3)
(can_traverse rover1 waypoint4 waypoint1)
(empty rover3store)
(can_traverse rover3 waypoint0 waypoint2)
(visible_from objective2 waypoint1)
(visible waypoint3 waypoint6)
(visible_from objective1 waypoint3)
(available rover0)
(calibration_target camera2 objective0)
(visible_from objective1 waypoint4)
(at_rock_sample waypoint3)
(at rover0 waypoint5)
(can_traverse rover3 waypoint1 waypoint2)
(visible_from objective2 waypoint0)
(available rover3)
(at_soil_sample waypoint5)
(visible waypoint1 waypoint4)
(visible_from objective2 waypoint5)
(can_traverse rover2 waypoint5 waypoint1)
(can_traverse rover1 waypoint1 waypoint3)
(can_traverse rover0 waypoint5 waypoint2)
(supports camera1 colour)
(can_traverse rover0 waypoint1 waypoint5)
(empty rover2store)
(can_traverse rover3 waypoint2 waypoint0)
(visible waypoint4 waypoint3)
(can_traverse rover1 waypoint0 waypoint2)
(supports camera2 low_res)
(equipped_for_soil_analysis rover3)
(can_traverse rover3 waypoint0 waypoint5)
(equipped_for_imaging rover1)
(can_traverse rover3 waypoint4 waypoint1)
(at_lander general waypoint4)
(can_traverse rover2 waypoint1 waypoint0)
(can_traverse rover2 waypoint1 waypoint2)
(calibration_target camera0 objective2)
(can_traverse rover1 waypoint1 waypoint4)
(visible waypoint0 waypoint5)
(on_board camera2 rover0)
(equipped_for_soil_analysis rover2)
(supports camera3 colour)
(visible_from objective0 waypoint0)
(visible waypoint3 waypoint4)
(can_traverse rover1 waypoint2 waypoint0)
(can_traverse rover0 waypoint6 waypoint5)
(visible_from objective2 waypoint4)
(at rover3 waypoint2)
(at_rock_sample waypoint6)
(visible waypoint2 waypoint5)
(visible_from objective1 waypoint0)
(can_traverse rover1 waypoint5 waypoint2)
(can_traverse rover2 waypoint2 waypoint1)
(can_traverse rover2 waypoint0 waypoint1)
(visible waypoint2 waypoint1)
(on_board camera0 rover3)
(visible_from objective1 waypoint5)
(equipped_for_imaging rover3)
(can_traverse rover0 waypoint5 waypoint6)
(visible waypoint0 waypoint1)
(at_soil_sample waypoint1)
(visible_from objective2 waypoint6)
(visible waypoint3 waypoint0)
(empty rover1store)
(equipped_for_rock_analysis rover1)
(visible waypoint4 waypoint6)
(store_of rover2store rover2)
(available rover2)
(supports camera3 high_res)
(visible waypoint6 waypoint1)
(can_traverse rover3 waypoint2 waypoint1)
(can_traverse rover0 waypoint1 waypoint3)
(visible waypoint3 waypoint1)
(supports camera4 low_res)
(visible waypoint6 waypoint2)
(visible waypoint2 waypoint6)
(can_traverse rover1 waypoint2 waypoint1)
(can_traverse rover0 waypoint5 waypoint1)
(at_rock_sample waypoint0)
(on_board camera4 rover1)
(calibration_target camera3 objective0)
(visible_from objective0 waypoint2)
(at_soil_sample waypoint4)
(visible waypoint6 waypoint3)
(can_traverse rover2 waypoint1 waypoint5)
(channel_free general)
(visible waypoint0 waypoint3)
(supports camera0 colour)
(can_traverse rover2 waypoint0 waypoint6)
(at_soil_sample waypoint0)
(can_traverse rover1 waypoint2 waypoint6)
)
(:goal (and
	  (communicated_soil_data waypoint6)
	  (communicated_soil_data waypoint4)
	  (communicated_soil_data waypoint0)
	  (communicated_rock_data waypoint6)
	  (communicated_rock_data waypoint0)
	  (communicated_rock_data waypoint3)
	  (communicated_image_data objective2 low_res)
	  (communicated_image_data objective2 colour))
)
)
