(define (problem roverprob8271)
(:domain rover)
(:objects
general  - lander
colour high_res low_res  - mode
objective0 objective1 objective2 objective3  - objective
camera0 camera1 camera2 camera3 camera4 camera5  - camera
rover0store rover1store rover2store rover3store  - store
rover0 rover1 rover2 rover3  - rover
waypoint0 waypoint1 waypoint2 waypoint3 waypoint4 waypoint5 waypoint6  - waypoint
)
(:init (at rover0 waypoint4)
(on_board camera5 rover3)
(can_traverse rover1 waypoint2 waypoint0)
(visible_from objective1 waypoint1)
(visible_from objective3 waypoint0)
(empty rover1store)
(equipped_for_soil_analysis rover3)
(can_traverse rover3 waypoint0 waypoint1)
(store_of rover1store rover1)
(can_traverse rover3 waypoint0 waypoint2)
(visible_from objective2 waypoint2)
(supports camera5 high_res)
(can_traverse rover3 waypoint3 waypoint4)
(visible waypoint5 waypoint3)
(at_rock_sample waypoint1)
(can_traverse rover3 waypoint0 waypoint4)
(visible_from objective3 waypoint3)
(visible waypoint3 waypoint4)
(can_traverse rover1 waypoint6 waypoint0)
(can_traverse rover3 waypoint0 waypoint6)
(calibration_target camera3 objective2)
(visible_from objective2 waypoint0)
(can_traverse rover3 waypoint2 waypoint0)
(store_of rover0store rover0)
(calibration_target camera0 objective2)
(visible_from objective3 waypoint4)
(can_traverse rover0 waypoint1 waypoint5)
(calibration_target camera2 objective1)
(can_traverse rover1 waypoint1 waypoint0)
(visible waypoint5 waypoint6)
(available rover1)
(can_traverse rover2 waypoint4 waypoint2)
(can_traverse rover2 waypoint4 waypoint1)
(visible waypoint6 waypoint0)
(equipped_for_soil_analysis rover0)
(at_rock_sample waypoint4)
(visible waypoint2 waypoint6)
(empty rover3store)
(visible waypoint6 waypoint5)
(visible waypoint0 waypoint6)
(visible waypoint3 waypoint5)
(can_traverse rover2 waypoint1 waypoint4)
(store_of rover3store rover3)
(supports camera5 colour)
(available rover2)
(visible waypoint4 waypoint6)
(on_board camera4 rover2)
(supports camera3 low_res)
(equipped_for_rock_analysis rover3)
(available rover0)
(can_traverse rover0 waypoint4 waypoint0)
(can_traverse rover3 waypoint5 waypoint6)
(equipped_for_rock_analysis rover0)
(available rover3)
(can_traverse rover1 waypoint0 waypoint2)
(can_traverse rover0 waypoint4 waypoint2)
(can_traverse rover0 waypoint3 waypoint4)
(visible waypoint4 waypoint1)
(can_traverse rover0 waypoint4 waypoint3)
(on_board camera1 rover1)
(visible waypoint1 waypoint2)
(visible_from objective3 waypoint1)
(at rover3 waypoint1)
(can_traverse rover2 waypoint3 waypoint5)
(at_soil_sample waypoint4)
(can_traverse rover0 waypoint6 waypoint4)
(supports camera4 colour)
(empty rover2store)
(can_traverse rover0 waypoint1 waypoint4)
(visible_from objective1 waypoint3)
(can_traverse rover3 waypoint4 waypoint3)
(can_traverse rover3 waypoint6 waypoint0)
(visible waypoint6 waypoint4)
(empty rover0store)
(calibration_target camera1 objective3)
(store_of rover2store rover2)
(on_board camera2 rover1)
(visible waypoint4 waypoint2)
(at rover1 waypoint0)
(visible waypoint5 waypoint0)
(visible waypoint4 waypoint3)
(visible_from objective0 waypoint0)
(visible_from objective1 waypoint2)
(visible waypoint1 waypoint4)
(can_traverse rover3 waypoint4 waypoint0)
(at_soil_sample waypoint0)
(can_traverse rover2 waypoint3 waypoint4)
(at rover2 waypoint3)
(can_traverse rover3 waypoint6 waypoint5)
(equipped_for_soil_analysis rover1)
(can_traverse rover2 waypoint0 waypoint4)
(can_traverse rover3 waypoint1 waypoint0)
(can_traverse rover1 waypoint0 waypoint1)
(visible waypoint5 waypoint1)
(supports camera0 low_res)
(visible waypoint0 waypoint1)
(equipped_for_imaging rover2)
(can_traverse rover2 waypoint4 waypoint0)
(equipped_for_imaging rover3)
(can_traverse rover2 waypoint4 waypoint3)
(at_soil_sample waypoint3)
(visible waypoint6 waypoint2)
(visible_from objective3 waypoint5)
(at_soil_sample waypoint6)
(visible waypoint2 waypoint4)
(visible waypoint2 waypoint1)
(can_traverse rover1 waypoint0 waypoint6)
(supports camera1 colour)
(visible waypoint4 waypoint0)
(can_traverse rover0 waypoint5 waypoint1)
(visible waypoint1 waypoint0)
(calibration_target camera5 objective0)
(at_rock_sample waypoint0)
(supports camera3 high_res)
(at_rock_sample waypoint3)
(calibration_target camera4 objective0)
(at_lander general waypoint1)
(supports camera2 low_res)
(equipped_for_imaging rover1)
(visible_from objective1 waypoint0)
(supports camera5 low_res)
(equipped_for_rock_analysis rover2)
(on_board camera3 rover1)
(visible_from objective2 waypoint1)
(can_traverse rover0 waypoint0 waypoint4)
(supports camera2 colour)
(can_traverse rover0 waypoint4 waypoint6)
(on_board camera0 rover1)
(at_rock_sample waypoint6)
(can_traverse rover0 waypoint2 waypoint4)
(channel_free general)
(visible waypoint2 waypoint0)
(visible waypoint0 waypoint5)
(visible_from objective3 waypoint2)
(visible waypoint0 waypoint4)
(visible waypoint0 waypoint2)
(can_traverse rover2 waypoint5 waypoint3)
(can_traverse rover2 waypoint2 waypoint4)
(can_traverse rover0 waypoint4 waypoint1)
(visible waypoint1 waypoint5)
(visible_from objective2 waypoint3)
)
(:goal (and
	  (communicated_soil_data waypoint6)
	  (communicated_soil_data waypoint0)
	  (communicated_soil_data waypoint3)
	  (communicated_soil_data waypoint4)
	  (communicated_rock_data waypoint4)
	  (communicated_rock_data waypoint3)
	  (communicated_rock_data waypoint0)
	  (communicated_rock_data waypoint1)
	  (communicated_image_data objective3 colour)
	  (communicated_image_data objective2 colour)
	  (communicated_image_data objective3 low_res))
)
)
