(define (problem roverprob7126)
(:domain rover)
(:objects
colour high_res low_res  - mode
camera0 camera1 camera2 camera3  - camera
waypoint0 waypoint1 waypoint2 waypoint3 waypoint4 waypoint5 waypoint6 waypoint7  - waypoint
objective0 objective1 objective2  - objective
rover0 rover1 rover2 rover3  - rover
rover0store rover1store rover2store rover3store  - store
general  - lander
)
(:init (can_traverse rover0 waypoint1 waypoint0)
(supports camera1 high_res)
(can_traverse rover3 waypoint0 waypoint7)
(at_lander general waypoint1)
(visible waypoint7 waypoint2)
(available rover2)
(visible waypoint2 waypoint6)
(can_traverse rover0 waypoint5 waypoint1)
(at_soil_sample waypoint1)
(empty rover2store)
(can_traverse rover3 waypoint7 waypoint3)
(store_of rover1store rover1)
(visible_from objective2 waypoint2)
(can_traverse rover1 waypoint6 waypoint4)
(visible waypoint5 waypoint6)
(can_traverse rover1 waypoint7 waypoint3)
(visible_from objective1 waypoint1)
(visible_from objective2 waypoint6)
(visible waypoint4 waypoint6)
(can_traverse rover2 waypoint0 waypoint3)
(empty rover3store)
(visible waypoint0 waypoint1)
(visible waypoint3 waypoint6)
(can_traverse rover1 waypoint1 waypoint7)
(can_traverse rover3 waypoint7 waypoint0)
(visible waypoint2 waypoint1)
(available rover3)
(supports camera0 low_res)
(can_traverse rover3 waypoint4 waypoint0)
(empty rover1store)
(visible waypoint0 waypoint7)
(visible waypoint1 waypoint7)
(at_soil_sample waypoint0)
(can_traverse rover1 waypoint0 waypoint6)
(can_traverse rover0 waypoint3 waypoint1)
(visible waypoint6 waypoint3)
(empty rover0store)
(can_traverse rover3 waypoint7 waypoint5)
(visible_from objective0 waypoint2)
(available rover0)
(channel_free general)
(visible waypoint5 waypoint4)
(equipped_for_soil_analysis rover1)
(at_soil_sample waypoint3)
(at_rock_sample waypoint4)
(equipped_for_soil_analysis rover3)
(visible waypoint1 waypoint0)
(visible waypoint6 waypoint5)
(can_traverse rover0 waypoint6 waypoint0)
(can_traverse rover3 waypoint3 waypoint7)
(at_rock_sample waypoint0)
(visible waypoint3 waypoint2)
(visible waypoint5 waypoint1)
(available rover1)
(can_traverse rover1 waypoint4 waypoint6)
(visible_from objective2 waypoint1)
(can_traverse rover0 waypoint4 waypoint1)
(visible waypoint0 waypoint6)
(visible waypoint3 waypoint1)
(equipped_for_soil_analysis rover0)
(at_rock_sample waypoint6)
(visible waypoint2 waypoint7)
(can_traverse rover2 waypoint7 waypoint3)
(equipped_for_rock_analysis rover1)
(visible_from objective2 waypoint0)
(at_rock_sample waypoint1)
(visible waypoint5 waypoint7)
(can_traverse rover2 waypoint1 waypoint3)
(visible waypoint5 waypoint2)
(at_rock_sample waypoint2)
(can_traverse rover3 waypoint7 waypoint1)
(can_traverse rover0 waypoint0 waypoint6)
(can_traverse rover1 waypoint7 waypoint1)
(can_traverse rover0 waypoint7 waypoint0)
(calibration_target camera0 objective1)
(on_board camera0 rover1)
(on_board camera1 rover2)
(can_traverse rover2 waypoint3 waypoint7)
(visible waypoint0 waypoint3)
(can_traverse rover2 waypoint5 waypoint3)
(can_traverse rover3 waypoint1 waypoint2)
(can_traverse rover2 waypoint3 waypoint0)
(visible_from objective2 waypoint5)
(visible waypoint4 waypoint0)
(at rover3 waypoint7)
(visible waypoint3 waypoint7)
(visible waypoint1 waypoint4)
(visible waypoint7 waypoint5)
(equipped_for_soil_analysis rover2)
(can_traverse rover2 waypoint3 waypoint5)
(visible waypoint7 waypoint0)
(can_traverse rover0 waypoint0 waypoint7)
(calibration_target camera3 objective1)
(can_traverse rover2 waypoint2 waypoint3)
(at rover0 waypoint1)
(can_traverse rover3 waypoint2 waypoint1)
(visible waypoint5 waypoint3)
(can_traverse rover2 waypoint3 waypoint6)
(visible waypoint0 waypoint4)
(supports camera2 high_res)
(can_traverse rover3 waypoint0 waypoint4)
(visible_from objective0 waypoint4)
(supports camera0 high_res)
(can_traverse rover1 waypoint2 waypoint7)
(can_traverse rover0 waypoint1 waypoint4)
(supports camera1 colour)
(visible_from objective0 waypoint0)
(visible waypoint7 waypoint1)
(can_traverse rover0 waypoint0 waypoint1)
(at_soil_sample waypoint6)
(can_traverse rover3 waypoint1 waypoint7)
(can_traverse rover2 waypoint6 waypoint3)
(visible waypoint1 waypoint5)
(visible waypoint6 waypoint0)
(store_of rover3store rover3)
(at rover2 waypoint3)
(equipped_for_imaging rover0)
(visible_from objective0 waypoint3)
(on_board camera2 rover3)
(equipped_for_imaging rover1)
(visible_from objective2 waypoint4)
(visible waypoint1 waypoint3)
(supports camera3 colour)
(visible waypoint4 waypoint5)
(visible waypoint2 waypoint3)
(visible_from objective1 waypoint2)
(visible waypoint6 waypoint4)
(visible_from objective0 waypoint5)
(can_traverse rover2 waypoint4 waypoint0)
(can_traverse rover1 waypoint3 waypoint7)
(can_traverse rover1 waypoint6 waypoint0)
(store_of rover2store rover2)
(visible_from objective2 waypoint3)
(can_traverse rover1 waypoint3 waypoint0)
(can_traverse rover2 waypoint3 waypoint1)
(visible_from objective1 waypoint0)
(calibration_target camera1 objective0)
(can_traverse rover0 waypoint1 waypoint5)
(equipped_for_imaging rover3)
(visible_from objective0 waypoint1)
(can_traverse rover2 waypoint3 waypoint2)
(can_traverse rover2 waypoint0 waypoint4)
(can_traverse rover0 waypoint1 waypoint3)
(visible waypoint2 waypoint5)
(can_traverse rover1 waypoint0 waypoint3)
(can_traverse rover0 waypoint3 waypoint2)
(can_traverse rover3 waypoint6 waypoint3)
(store_of rover0store rover0)
(equipped_for_imaging rover2)
(visible waypoint7 waypoint3)
(calibration_target camera2 objective0)
(at rover1 waypoint3)
(can_traverse rover3 waypoint5 waypoint7)
(visible waypoint6 waypoint2)
(can_traverse rover0 waypoint2 waypoint3)
(can_traverse rover3 waypoint3 waypoint6)
(visible waypoint3 waypoint5)
(visible waypoint1 waypoint2)
(visible waypoint4 waypoint1)
(on_board camera3 rover0)
(can_traverse rover1 waypoint6 waypoint5)
(visible waypoint3 waypoint0)
(can_traverse rover1 waypoint5 waypoint6)
(at_rock_sample waypoint7)
(can_traverse rover1 waypoint7 waypoint2)
)
(:goal (and
	  (communicated_soil_data waypoint6)
	  (communicated_soil_data waypoint0)
	  (communicated_soil_data waypoint1)
	  (communicated_soil_data waypoint3)
	  (communicated_rock_data waypoint6)
	  (communicated_rock_data waypoint0)
	  (communicated_rock_data waypoint4)
	  (communicated_rock_data waypoint7)
	  (communicated_image_data objective1 high_res))
)
)
