(define (problem roverprob5146)
(:domain rover)
(:objects
objective0 objective1 objective2 objective3  - objective
rover0store rover1store rover2store rover3store  - store
rover0 rover1 rover2 rover3  - rover
colour high_res low_res  - mode
general  - lander
camera0 camera1 camera2 camera3  - camera
waypoint0 waypoint1 waypoint2 waypoint3 waypoint4 waypoint5 waypoint6 waypoint7  - waypoint
)
(:init (can_traverse rover2 waypoint7 waypoint5)
(empty rover3store)
(can_traverse rover2 waypoint7 waypoint2)
(visible_from objective3 waypoint4)
(at rover3 waypoint7)
(visible waypoint4 waypoint6)
(visible_from objective2 waypoint2)
(visible waypoint3 waypoint2)
(equipped_for_rock_analysis rover1)
(at_rock_sample waypoint7)
(at_soil_sample waypoint0)
(at_rock_sample waypoint3)
(visible_from objective1 waypoint0)
(available rover1)
(visible_from objective1 waypoint1)
(visible_from objective2 waypoint3)
(can_traverse rover1 waypoint4 waypoint5)
(visible waypoint6 waypoint4)
(supports camera3 colour)
(store_of rover1store rover1)
(calibration_target camera0 objective2)
(can_traverse rover0 waypoint4 waypoint5)
(can_traverse rover0 waypoint2 waypoint7)
(available rover0)
(visible waypoint5 waypoint2)
(visible waypoint6 waypoint0)
(calibration_target camera3 objective3)
(can_traverse rover1 waypoint2 waypoint3)
(visible waypoint1 waypoint7)
(can_traverse rover3 waypoint1 waypoint7)
(empty rover1store)
(visible waypoint5 waypoint4)
(available rover3)
(can_traverse rover2 waypoint3 waypoint7)
(visible waypoint0 waypoint1)
(can_traverse rover1 waypoint0 waypoint2)
(can_traverse rover3 waypoint2 waypoint7)
(equipped_for_rock_analysis rover3)
(supports camera3 low_res)
(can_traverse rover1 waypoint4 waypoint6)
(visible waypoint7 waypoint3)
(on_board camera2 rover0)
(at rover2 waypoint7)
(can_traverse rover0 waypoint2 waypoint4)
(can_traverse rover3 waypoint0 waypoint7)
(visible waypoint2 waypoint4)
(can_traverse rover1 waypoint2 waypoint4)
(can_traverse rover2 waypoint2 waypoint7)
(at_rock_sample waypoint6)
(can_traverse rover0 waypoint0 waypoint5)
(visible waypoint0 waypoint3)
(visible waypoint0 waypoint7)
(visible waypoint5 waypoint6)
(visible waypoint2 waypoint0)
(visible waypoint4 waypoint7)
(on_board camera3 rover3)
(visible waypoint7 waypoint0)
(can_traverse rover3 waypoint3 waypoint7)
(visible waypoint2 waypoint5)
(visible_from objective3 waypoint5)
(can_traverse rover1 waypoint2 waypoint7)
(visible waypoint1 waypoint0)
(visible waypoint0 waypoint5)
(store_of rover2store rover2)
(visible waypoint5 waypoint0)
(channel_free general)
(visible waypoint0 waypoint2)
(empty rover2store)
(can_traverse rover1 waypoint5 waypoint4)
(can_traverse rover2 waypoint6 waypoint7)
(visible_from objective0 waypoint0)
(visible waypoint5 waypoint1)
(at_lander general waypoint2)
(can_traverse rover3 waypoint0 waypoint6)
(visible waypoint2 waypoint3)
(can_traverse rover1 waypoint5 waypoint1)
(store_of rover3store rover3)
(can_traverse rover2 waypoint1 waypoint7)
(available rover2)
(equipped_for_imaging rover3)
(can_traverse rover2 waypoint7 waypoint3)
(calibration_target camera2 objective0)
(can_traverse rover0 waypoint5 waypoint1)
(can_traverse rover3 waypoint4 waypoint7)
(visible waypoint3 waypoint0)
(can_traverse rover2 waypoint7 waypoint6)
(can_traverse rover1 waypoint3 waypoint2)
(visible_from objective1 waypoint3)
(visible_from objective2 waypoint0)
(visible waypoint5 waypoint3)
(can_traverse rover0 waypoint7 waypoint2)
(visible waypoint0 waypoint6)
(visible waypoint5 waypoint7)
(can_traverse rover0 waypoint6 waypoint5)
(visible waypoint3 waypoint5)
(can_traverse rover0 waypoint5 waypoint0)
(equipped_for_soil_analysis rover3)
(can_traverse rover2 waypoint5 waypoint7)
(at_rock_sample waypoint5)
(equipped_for_soil_analysis rover1)
(empty rover0store)
(visible waypoint7 waypoint5)
(supports camera3 high_res)
(supports camera1 high_res)
(can_traverse rover3 waypoint7 waypoint2)
(can_traverse rover3 waypoint7 waypoint0)
(visible waypoint2 waypoint7)
(at_rock_sample waypoint0)
(at rover1 waypoint4)
(can_traverse rover1 waypoint6 waypoint4)
(visible_from objective2 waypoint1)
(can_traverse rover0 waypoint5 waypoint4)
(can_traverse rover3 waypoint7 waypoint3)
(equipped_for_imaging rover0)
(visible waypoint1 waypoint5)
(visible_from objective3 waypoint2)
(can_traverse rover3 waypoint7 waypoint1)
(can_traverse rover1 waypoint4 waypoint2)
(visible_from objective0 waypoint2)
(can_traverse rover1 waypoint1 waypoint5)
(store_of rover0store rover0)
(visible waypoint6 waypoint5)
(visible waypoint7 waypoint6)
(can_traverse rover3 waypoint6 waypoint0)
(calibration_target camera1 objective1)
(can_traverse rover3 waypoint7 waypoint4)
(on_board camera0 rover3)
(visible_from objective3 waypoint0)
(can_traverse rover2 waypoint7 waypoint0)
(can_traverse rover3 waypoint7 waypoint5)
(on_board camera1 rover2)
(visible_from objective0 waypoint1)
(can_traverse rover2 waypoint7 waypoint1)
(visible waypoint4 waypoint2)
(can_traverse rover0 waypoint1 waypoint5)
(can_traverse rover0 waypoint5 waypoint6)
(visible_from objective2 waypoint4)
(can_traverse rover0 waypoint2 waypoint3)
(visible waypoint6 waypoint7)
(can_traverse rover2 waypoint0 waypoint7)
(can_traverse rover1 waypoint2 waypoint0)
(visible_from objective3 waypoint1)
(visible_from objective3 waypoint3)
(visible waypoint4 waypoint5)
(visible_from objective1 waypoint2)
(equipped_for_imaging rover2)
(supports camera2 low_res)
(equipped_for_soil_analysis rover2)
(visible waypoint3 waypoint7)
(can_traverse rover1 waypoint7 waypoint2)
(visible waypoint7 waypoint4)
(can_traverse rover3 waypoint5 waypoint7)
(supports camera0 high_res)
(at_rock_sample waypoint2)
(at rover0 waypoint4)
(visible waypoint7 waypoint1)
(visible waypoint7 waypoint2)
(can_traverse rover0 waypoint4 waypoint2)
(can_traverse rover0 waypoint3 waypoint2)
)
(:goal (and
	  (communicated_soil_data waypoint0)
	  (communicated_rock_data waypoint3)
	  (communicated_rock_data waypoint6)
	  (communicated_image_data objective2 low_res)
	  (communicated_image_data objective1 high_res)
	  (communicated_image_data objective3 low_res))
)
)
