(define (problem schedule-11-1)
(:domain schedule)
(:objects
polished rough smooth  - surface
back front  - anorient
two three one  - width
cold hot  - temperature-type
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
blue yellow red black  - colour
k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
cylindrical circular oblong  - ashape
)
(:init (painted d0 black)
(shape k0 oblong)
(shape b0 cylindrical)
(shape h0 cylindrical)
(can-orient punch front)
(can-orient drill-press back)
(has-bit drill-press three)
(has-bit punch one)
(surface-condition b0 rough)
(has-paint immersion-painter blue)
(has-paint immersion-painter black)
(shape f0 circular)
(has-hole a0 two front)
(has-hole g0 three front)
(shape i0 oblong)
(has-paint spray-painter yellow)
(temperature j0 cold)
(surface-condition f0 polished)
(temperature h0 cold)
(painted c0 blue)
(painted e0 black)
(has-paint immersion-painter yellow)
(has-bit punch three)
(can-orient drill-press front)
(has-hole e0 one front)
(painted h0 yellow)
(has-hole k0 one back)
(temperature k0 cold)
(has-bit punch two)
(surface-condition e0 polished)
(surface-condition j0 polished)
(has-hole i0 one back)
(has-paint immersion-painter red)
(shape j0 circular)
(has-hole h0 one front)
(shape c0 oblong)
(surface-condition i0 rough)
(temperature i0 cold)
(has-bit drill-press two)
(has-hole d0 three back)
(surface-condition c0 smooth)
(surface-condition g0 smooth)
(has-hole b0 one front)
(has-hole j0 one back)
(painted k0 black)
(surface-condition k0 polished)
(has-paint spray-painter black)
(painted a0 black)
(temperature b0 cold)
(has-paint spray-painter blue)
(temperature d0 cold)
(has-hole c0 three back)
(shape a0 cylindrical)
(painted g0 black)
(painted b0 red)
(shape e0 cylindrical)
(painted f0 yellow)
(shape d0 cylindrical)
(shape g0 circular)
(painted i0 yellow)
(can-orient punch back)
(has-hole f0 three front)
(has-paint spray-painter red)
(painted j0 black)
(temperature c0 cold)
(surface-condition h0 polished)
(has-bit drill-press one)
(temperature g0 cold)
(surface-condition d0 polished)
(surface-condition a0 smooth)
(temperature a0 cold)
(temperature e0 cold)
(temperature f0 cold)
)
(:goal (and
	  (shape g0 cylindrical)
	  (painted k0 blue)
	  (surface-condition j0 smooth)
	  (surface-condition c0 rough)
	  (surface-condition i0 polished)
	  (shape j0 cylindrical)
	  (painted i0 red)
	  (surface-condition f0 smooth)
	  (surface-condition b0 polished)
	  (surface-condition d0 rough)
	  (painted d0 blue))
)
)
