(define (problem schedule-14-1)
(:domain schedule)
(:objects
cylindrical circular oblong  - ashape
back front  - anorient
cold hot  - temperature-type
blue yellow red black  - colour
polished rough smooth  - surface
two three one  - width
n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
)
(:init (temperature b0 cold)
(temperature h0 cold)
(surface-condition l0 smooth)
(temperature d0 cold)
(has-hole b0 three front)
(has-hole k0 one back)
(surface-condition k0 polished)
(has-hole c0 one front)
(has-paint immersion-painter yellow)
(shape g0 cylindrical)
(shape c0 circular)
(has-hole a0 two back)
(has-hole m0 one back)
(painted e0 black)
(surface-condition g0 smooth)
(has-hole i0 two front)
(has-bit punch one)
(has-bit drill-press two)
(temperature g0 cold)
(painted k0 black)
(painted j0 black)
(has-paint immersion-painter blue)
(painted i0 yellow)
(surface-condition j0 smooth)
(temperature i0 cold)
(surface-condition c0 polished)
(temperature j0 cold)
(has-paint spray-painter black)
(painted g0 black)
(surface-condition h0 rough)
(has-hole e0 one back)
(surface-condition b0 smooth)
(has-hole f0 two back)
(has-paint spray-painter blue)
(can-orient punch front)
(has-paint spray-painter red)
(temperature m0 cold)
(can-orient drill-press front)
(has-paint immersion-painter red)
(temperature a0 cold)
(has-hole n0 three back)
(shape b0 circular)
(temperature l0 cold)
(has-bit punch three)
(painted c0 black)
(surface-condition n0 smooth)
(shape d0 circular)
(shape h0 circular)
(surface-condition i0 smooth)
(shape i0 oblong)
(painted b0 black)
(has-paint immersion-painter black)
(surface-condition d0 rough)
(painted n0 red)
(painted m0 blue)
(shape n0 circular)
(painted d0 blue)
(shape f0 circular)
(has-hole h0 one back)
(shape e0 circular)
(painted f0 black)
(has-hole l0 two front)
(painted l0 blue)
(shape a0 circular)
(can-orient punch back)
(has-bit punch two)
(has-hole j0 two back)
(temperature c0 cold)
(has-bit drill-press one)
(has-hole g0 three back)
(surface-condition e0 rough)
(surface-condition a0 polished)
(temperature k0 cold)
(has-paint spray-painter yellow)
(temperature f0 cold)
(has-bit drill-press three)
(painted h0 black)
(shape k0 cylindrical)
(can-orient drill-press back)
(temperature e0 cold)
(has-hole d0 two front)
(temperature n0 cold)
(painted a0 red)
(shape j0 circular)
(shape m0 cylindrical)
(surface-condition m0 smooth)
(surface-condition f0 smooth)
(shape l0 circular)
)
(:goal (and
	  (painted b0 yellow)
	  (surface-condition d0 smooth)
	  (surface-condition n0 rough)
	  (shape a0 cylindrical)
	  (surface-condition e0 smooth)
	  (surface-condition h0 polished)
	  (shape h0 cylindrical)
	  (painted c0 red)
	  (surface-condition g0 rough)
	  (shape i0 cylindrical)
	  (painted g0 blue)
	  (shape c0 cylindrical)
	  (shape f0 cylindrical)
	  (painted a0 yellow))
)
)
