(define (problem schedule-16-0)
(:domain schedule)
(:objects
polished rough smooth  - surface
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
back front  - anorient
blue yellow red black  - colour
cold hot  - temperature-type
cylindrical circular oblong  - ashape
two three one  - width
q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
)
(:init (has-paint immersion-painter red)
(shape k0 cylindrical)
(has-hole h0 one back)
(painted j0 yellow)
(has-hole k0 three front)
(painted o0 blue)
(shape q0 circular)
(shape m0 circular)
(can-orient drill-press back)
(surface-condition c0 smooth)
(temperature d0 cold)
(has-hole o0 two back)
(has-paint immersion-painter black)
(temperature k0 cold)
(shape b0 circular)
(shape e0 circular)
(has-paint spray-painter blue)
(surface-condition a0 rough)
(has-hole q0 one back)
(temperature a0 cold)
(painted b0 blue)
(painted a0 yellow)
(painted n0 red)
(has-hole i0 three back)
(has-hole l0 three front)
(has-bit drill-press two)
(has-paint immersion-painter blue)
(can-orient punch back)
(temperature i0 cold)
(surface-condition b0 polished)
(temperature j0 cold)
(shape f0 oblong)
(surface-condition n0 smooth)
(shape j0 circular)
(surface-condition q0 polished)
(has-paint spray-painter yellow)
(painted k0 red)
(surface-condition i0 polished)
(shape d0 oblong)
(shape a0 circular)
(painted d0 black)
(temperature h0 cold)
(painted g0 black)
(surface-condition h0 polished)
(temperature b0 cold)
(temperature e0 cold)
(can-orient punch front)
(shape o0 cylindrical)
(shape h0 cylindrical)
(surface-condition e0 rough)
(painted c0 blue)
(has-hole m0 one front)
(has-paint spray-painter red)
(has-bit punch one)
(painted l0 black)
(surface-condition g0 rough)
(has-hole b0 three back)
(shape g0 cylindrical)
(has-hole j0 one back)
(shape l0 circular)
(temperature m0 cold)
(has-hole d0 one back)
(temperature g0 cold)
(painted i0 blue)
(has-bit drill-press three)
(shape i0 oblong)
(surface-condition j0 smooth)
(has-hole f0 three front)
(surface-condition m0 polished)
(has-hole a0 two back)
(surface-condition l0 rough)
(painted f0 yellow)
(painted e0 yellow)
(temperature o0 cold)
(painted h0 yellow)
(temperature l0 cold)
(surface-condition o0 rough)
(has-bit punch three)
(has-hole e0 one front)
(temperature q0 cold)
(has-hole g0 one back)
(painted q0 red)
(has-paint spray-painter black)
(has-bit punch two)
(surface-condition d0 smooth)
(has-hole c0 two front)
(shape n0 cylindrical)
(surface-condition f0 rough)
(has-bit drill-press one)
(can-orient drill-press front)
(painted m0 red)
(shape c0 cylindrical)
(temperature c0 cold)
(surface-condition k0 smooth)
(temperature n0 cold)
(temperature f0 cold)
(has-hole n0 one back)
(has-paint immersion-painter yellow)
)
(:goal (and
	  (painted j0 red)
	  (shape m0 cylindrical)
	  (painted l0 yellow)
	  (painted a0 blue)
	  (surface-condition n0 rough)
	  (shape i0 cylindrical)
	  (painted e0 red)
	  (surface-condition j0 polished)
	  (surface-condition d0 polished)
	  (shape a0 cylindrical)
	  (surface-condition i0 smooth)
	  (shape f0 cylindrical)
	  (surface-condition h0 rough)
	  (surface-condition o0 smooth)
	  (shape l0 cylindrical)
	  (surface-condition f0 polished))
)
)
