(define (problem schedule-16-2)
(:domain schedule)
(:objects
polished rough smooth  - surface
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
two three one  - width
cold hot  - temperature-type
back front  - anorient
blue yellow red black  - colour
cylindrical circular oblong  - ashape
q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
)
(:init (shape n0 cylindrical)
(temperature d0 cold)
(shape j0 cylindrical)
(temperature n0 cold)
(surface-condition q0 smooth)
(shape m0 circular)
(painted b0 yellow)
(surface-condition o0 smooth)
(painted i0 yellow)
(shape l0 cylindrical)
(shape o0 circular)
(painted f0 red)
(can-orient punch back)
(has-hole i0 two back)
(has-hole a0 three back)
(has-bit drill-press three)
(surface-condition n0 smooth)
(can-orient drill-press front)
(painted c0 black)
(temperature o0 cold)
(temperature m0 cold)
(has-bit punch three)
(surface-condition h0 polished)
(has-hole o0 one front)
(has-hole n0 two front)
(temperature f0 cold)
(surface-condition e0 rough)
(shape f0 oblong)
(has-paint immersion-painter red)
(has-bit punch one)
(temperature l0 cold)
(surface-condition f0 polished)
(shape h0 oblong)
(painted h0 blue)
(surface-condition k0 polished)
(has-paint immersion-painter black)
(painted n0 blue)
(surface-condition c0 smooth)
(temperature g0 cold)
(has-paint spray-painter blue)
(has-bit drill-press one)
(shape b0 cylindrical)
(painted j0 red)
(painted m0 blue)
(surface-condition b0 smooth)
(temperature e0 cold)
(temperature a0 cold)
(shape d0 oblong)
(temperature i0 cold)
(painted o0 red)
(surface-condition i0 smooth)
(painted l0 yellow)
(shape g0 cylindrical)
(surface-condition g0 rough)
(painted a0 blue)
(shape e0 oblong)
(shape a0 cylindrical)
(surface-condition j0 smooth)
(painted q0 black)
(has-hole d0 one back)
(has-paint spray-painter black)
(has-hole q0 three back)
(can-orient punch front)
(surface-condition a0 smooth)
(has-hole b0 two front)
(has-hole e0 one back)
(can-orient drill-press back)
(temperature j0 cold)
(has-hole f0 two front)
(surface-condition l0 rough)
(has-hole g0 three back)
(temperature q0 cold)
(has-hole k0 one back)
(has-bit punch two)
(has-paint spray-painter yellow)
(painted e0 blue)
(has-bit drill-press two)
(temperature c0 cold)
(has-paint spray-painter red)
(shape k0 cylindrical)
(surface-condition d0 rough)
(surface-condition m0 smooth)
(painted k0 black)
(has-hole j0 one front)
(temperature b0 cold)
(shape c0 circular)
(has-hole h0 three back)
(has-hole m0 three front)
(has-paint immersion-painter blue)
(has-hole c0 two front)
(temperature h0 cold)
(has-paint immersion-painter yellow)
(shape q0 circular)
(has-hole l0 one back)
(painted d0 red)
(painted g0 blue)
(shape i0 circular)
(temperature k0 cold)
)
(:goal (and
	  (surface-condition o0 rough)
	  (painted g0 black)
	  (painted i0 blue)
	  (painted l0 red)
	  (surface-condition l0 smooth)
	  (painted b0 black)
	  (painted j0 yellow)
	  (painted h0 yellow)
	  (surface-condition i0 polished)
	  (surface-condition m0 rough)
	  (surface-condition h0 smooth)
	  (shape d0 cylindrical)
	  (surface-condition q0 rough)
	  (shape m0 cylindrical)
	  (painted n0 yellow)
	  (surface-condition j0 rough))
)
)
