(define (problem schedule-18-1)
(:domain schedule)
(:objects
polished rough smooth  - surface
cold hot  - temperature-type
r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
blue yellow red black  - colour
two three one  - width
back front  - anorient
cylindrical circular oblong  - ashape
)
(:init (surface-condition j0 polished)
(temperature m0 cold)
(has-bit punch two)
(has-hole d0 two back)
(temperature j0 cold)
(painted m0 yellow)
(painted p0 red)
(has-hole l0 one back)
(surface-condition m0 smooth)
(surface-condition b0 rough)
(has-paint spray-painter blue)
(has-bit drill-press three)
(shape d0 circular)
(surface-condition n0 polished)
(shape e0 circular)
(temperature q0 cold)
(surface-condition e0 smooth)
(has-hole g0 one front)
(surface-condition r0 smooth)
(painted k0 red)
(surface-condition c0 rough)
(has-paint spray-painter black)
(painted e0 black)
(shape i0 oblong)
(has-bit drill-press one)
(surface-condition k0 smooth)
(surface-condition d0 smooth)
(shape f0 circular)
(has-bit punch three)
(temperature p0 cold)
(painted d0 yellow)
(has-hole r0 one front)
(painted q0 yellow)
(painted b0 yellow)
(has-bit drill-press two)
(temperature h0 cold)
(temperature g0 cold)
(surface-condition p0 rough)
(shape m0 circular)
(has-hole o0 two back)
(can-orient drill-press back)
(has-hole n0 three front)
(painted o0 black)
(surface-condition q0 polished)
(has-hole b0 two front)
(temperature n0 cold)
(temperature o0 cold)
(shape c0 circular)
(painted h0 yellow)
(surface-condition o0 rough)
(can-orient punch back)
(temperature l0 cold)
(has-hole f0 three front)
(shape q0 cylindrical)
(surface-condition h0 rough)
(shape h0 circular)
(has-hole m0 two front)
(has-hole h0 one front)
(has-paint immersion-painter red)
(surface-condition f0 smooth)
(has-paint immersion-painter blue)
(shape l0 oblong)
(has-hole q0 one front)
(shape n0 oblong)
(temperature i0 cold)
(shape j0 circular)
(shape a0 circular)
(temperature d0 cold)
(painted n0 blue)
(temperature r0 cold)
(shape b0 circular)
(has-hole e0 two back)
(temperature c0 cold)
(has-paint spray-painter red)
(has-paint spray-painter yellow)
(has-hole a0 one back)
(has-hole i0 three front)
(shape o0 circular)
(surface-condition i0 polished)
(painted j0 yellow)
(painted c0 black)
(has-paint immersion-painter black)
(has-hole k0 one front)
(has-bit punch one)
(temperature a0 cold)
(painted f0 red)
(has-paint immersion-painter yellow)
(has-hole p0 two front)
(has-hole c0 three back)
(has-hole j0 two back)
(painted a0 blue)
(shape g0 circular)
(painted i0 blue)
(can-orient punch front)
(painted g0 red)
(temperature b0 cold)
(painted l0 blue)
(shape r0 circular)
(surface-condition g0 smooth)
(painted r0 black)
(temperature f0 cold)
(surface-condition l0 smooth)
(surface-condition a0 rough)
(temperature e0 cold)
(shape k0 oblong)
(shape p0 cylindrical)
(temperature k0 cold)
(can-orient drill-press front)
)
(:goal (and
	  (surface-condition o0 polished)
	  (painted a0 black)
	  (painted b0 black)
	  (painted m0 red)
	  (surface-condition a0 smooth)
	  (shape n0 cylindrical)
	  (shape c0 cylindrical)
	  (shape j0 cylindrical)
	  (shape h0 cylindrical)
	  (painted d0 black)
	  (painted g0 blue)
	  (surface-condition k0 polished)
	  (surface-condition b0 smooth)
	  (painted r0 blue)
	  (painted o0 blue)
	  (painted j0 black)
	  (surface-condition g0 polished)
	  (shape o0 cylindrical))
)
)
