(define (problem schedule-20-1)
(:domain schedule)
(:objects
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
cold hot  - temperature-type
u0 s0 r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
polished rough smooth  - surface
two three one  - width
cylindrical circular oblong  - ashape
blue yellow red black  - colour
back front  - anorient
)
(:init (surface-condition u0 rough)
(surface-condition m0 smooth)
(has-hole q0 three front)
(painted r0 black)
(temperature c0 cold)
(has-bit drill-press two)
(temperature a0 cold)
(temperature q0 cold)
(shape o0 oblong)
(has-hole b0 two front)
(shape f0 circular)
(temperature u0 cold)
(has-hole i0 two back)
(temperature h0 cold)
(shape r0 oblong)
(has-hole h0 two front)
(painted j0 yellow)
(surface-condition p0 polished)
(painted p0 blue)
(shape p0 circular)
(shape u0 oblong)
(has-hole s0 one back)
(has-hole c0 one back)
(painted f0 yellow)
(has-hole k0 three front)
(surface-condition s0 smooth)
(painted k0 blue)
(surface-condition f0 smooth)
(shape j0 cylindrical)
(has-paint immersion-painter yellow)
(surface-condition j0 rough)
(can-orient drill-press back)
(painted i0 black)
(surface-condition n0 rough)
(has-paint immersion-painter black)
(surface-condition q0 smooth)
(painted g0 blue)
(temperature f0 cold)
(has-hole u0 three back)
(shape h0 cylindrical)
(has-hole f0 two front)
(shape a0 oblong)
(has-bit punch one)
(shape n0 circular)
(temperature g0 cold)
(temperature b0 cold)
(painted a0 red)
(temperature i0 cold)
(temperature l0 cold)
(painted q0 yellow)
(has-hole e0 three back)
(temperature s0 cold)
(painted b0 red)
(has-hole l0 three front)
(surface-condition b0 smooth)
(painted c0 yellow)
(has-hole g0 one front)
(has-hole p0 two front)
(surface-condition c0 rough)
(has-paint immersion-painter red)
(temperature j0 cold)
(shape q0 cylindrical)
(has-hole o0 one back)
(can-orient punch front)
(has-bit drill-press one)
(shape g0 oblong)
(temperature o0 cold)
(painted m0 yellow)
(has-hole n0 three back)
(painted e0 yellow)
(painted s0 black)
(has-bit punch three)
(shape l0 oblong)
(has-paint spray-painter red)
(has-hole a0 three back)
(has-paint spray-painter black)
(temperature d0 cold)
(surface-condition h0 smooth)
(shape s0 oblong)
(has-paint spray-painter yellow)
(can-orient punch back)
(has-hole d0 two front)
(shape m0 cylindrical)
(surface-condition o0 rough)
(has-hole r0 one back)
(surface-condition l0 rough)
(has-hole j0 one front)
(painted d0 blue)
(surface-condition r0 smooth)
(has-bit punch two)
(temperature e0 cold)
(surface-condition a0 smooth)
(shape b0 oblong)
(painted u0 red)
(painted n0 blue)
(has-hole m0 two front)
(surface-condition e0 rough)
(has-paint spray-painter blue)
(temperature k0 cold)
(painted l0 black)
(painted h0 red)
(surface-condition d0 polished)
(has-paint immersion-painter blue)
(temperature n0 cold)
(surface-condition i0 smooth)
(painted o0 blue)
(surface-condition g0 polished)
(shape k0 cylindrical)
(temperature r0 cold)
(can-orient drill-press front)
(shape c0 circular)
(has-bit drill-press three)
(surface-condition k0 rough)
(shape d0 cylindrical)
(shape i0 circular)
(shape e0 oblong)
(temperature p0 cold)
(temperature m0 cold)
)
(:goal (and
	  (shape i0 cylindrical)
	  (surface-condition r0 polished)
	  (surface-condition o0 smooth)
	  (painted r0 yellow)
	  (painted e0 red)
	  (surface-condition m0 polished)
	  (surface-condition n0 polished)
	  (shape o0 cylindrical)
	  (painted g0 red)
	  (shape u0 cylindrical)
	  (shape l0 cylindrical)
	  (surface-condition e0 polished)
	  (surface-condition u0 polished)
	  (surface-condition h0 polished)
	  (painted h0 black)
	  (shape e0 cylindrical)
	  (painted a0 yellow)
	  (painted d0 red)
	  (painted p0 black)
	  (surface-condition j0 polished))
)
)
