(define (problem schedule-20-2)
(:domain schedule)
(:objects
cylindrical circular oblong  - ashape
cold hot  - temperature-type
two three one  - width
polished rough smooth  - surface
blue yellow red black  - colour
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
back front  - anorient
u0 s0 r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
)
(:init (has-hole n0 two front)
(shape s0 cylindrical)
(painted r0 black)
(painted o0 blue)
(shape i0 oblong)
(can-orient drill-press back)
(has-hole g0 three front)
(surface-condition g0 rough)
(temperature b0 cold)
(painted g0 blue)
(temperature h0 cold)
(surface-condition r0 smooth)
(shape c0 cylindrical)
(can-orient punch back)
(has-bit punch two)
(temperature q0 cold)
(has-paint immersion-painter yellow)
(has-paint immersion-painter black)
(has-hole i0 two front)
(surface-condition k0 rough)
(has-paint spray-painter red)
(surface-condition b0 polished)
(painted k0 red)
(surface-condition i0 smooth)
(has-hole c0 one back)
(shape j0 oblong)
(has-bit punch one)
(has-hole r0 one back)
(temperature f0 cold)
(surface-condition u0 smooth)
(has-bit punch three)
(surface-condition f0 rough)
(painted e0 red)
(surface-condition a0 rough)
(surface-condition h0 polished)
(temperature r0 cold)
(painted p0 blue)
(temperature m0 cold)
(painted f0 black)
(has-hole e0 one back)
(surface-condition m0 smooth)
(temperature s0 cold)
(has-hole f0 two front)
(shape d0 oblong)
(has-hole d0 two back)
(surface-condition p0 polished)
(has-paint immersion-painter red)
(shape e0 cylindrical)
(has-hole j0 three back)
(shape b0 oblong)
(has-paint spray-painter blue)
(painted h0 yellow)
(surface-condition e0 smooth)
(shape h0 cylindrical)
(has-bit drill-press three)
(temperature u0 cold)
(shape r0 oblong)
(painted n0 red)
(shape q0 oblong)
(painted c0 yellow)
(painted a0 blue)
(has-hole o0 two back)
(temperature i0 cold)
(shape o0 circular)
(painted d0 black)
(has-paint spray-painter yellow)
(has-paint spray-painter black)
(shape u0 circular)
(surface-condition d0 smooth)
(has-hole h0 three front)
(temperature o0 cold)
(painted j0 red)
(shape l0 cylindrical)
(temperature k0 cold)
(temperature a0 cold)
(has-hole k0 one back)
(has-hole q0 one back)
(shape m0 cylindrical)
(surface-condition c0 smooth)
(shape n0 cylindrical)
(painted i0 blue)
(has-hole a0 one back)
(temperature c0 cold)
(has-hole l0 one front)
(shape p0 cylindrical)
(has-hole b0 two front)
(temperature g0 cold)
(painted u0 yellow)
(surface-condition o0 rough)
(surface-condition n0 smooth)
(temperature e0 cold)
(temperature p0 cold)
(has-bit drill-press two)
(temperature l0 cold)
(temperature d0 cold)
(surface-condition s0 rough)
(temperature n0 cold)
(painted m0 yellow)
(surface-condition l0 smooth)
(painted s0 black)
(shape k0 circular)
(surface-condition j0 smooth)
(shape g0 oblong)
(painted b0 blue)
(has-bit drill-press one)
(has-hole m0 three front)
(has-paint immersion-painter blue)
(shape f0 cylindrical)
(surface-condition q0 smooth)
(can-orient punch front)
(painted q0 blue)
(has-hole u0 three front)
(painted l0 yellow)
(temperature j0 cold)
(has-hole p0 three front)
(shape a0 oblong)
(has-hole s0 one back)
(can-orient drill-press front)
)
(:goal (and
	  (surface-condition p0 smooth)
	  (surface-condition j0 rough)
	  (surface-condition k0 polished)
	  (surface-condition q0 rough)
	  (painted k0 yellow)
	  (painted a0 black)
	  (painted u0 black)
	  (surface-condition d0 polished)
	  (shape o0 cylindrical)
	  (painted s0 red)
	  (painted d0 red)
	  (surface-condition f0 polished)
	  (surface-condition u0 polished)
	  (painted j0 yellow)
	  (shape a0 cylindrical)
	  (painted r0 yellow)
	  (shape d0 cylindrical)
	  (painted c0 red)
	  (shape i0 cylindrical)
	  (surface-condition s0 polished))
)
)
