(define (problem schedule-26-0)
(:domain schedule)
(:objects
polished rough smooth  - surface
two three one  - width
cold hot  - temperature-type
c1 b1 a1 z0 w0 v0 u0 s0 r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
blue yellow red black  - colour
back front  - anorient
cylindrical circular oblong  - ashape
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
)
(:init (temperature j0 cold)
(surface-condition u0 smooth)
(surface-condition k0 smooth)
(painted q0 yellow)
(has-hole c1 one front)
(shape m0 cylindrical)
(shape j0 oblong)
(surface-condition o0 polished)
(has-hole d0 two back)
(shape n0 oblong)
(temperature q0 cold)
(has-hole m0 two front)
(temperature p0 cold)
(temperature d0 cold)
(temperature l0 cold)
(has-hole e0 two back)
(painted e0 blue)
(has-bit drill-press three)
(has-hole f0 two front)
(surface-condition v0 polished)
(has-hole h0 two front)
(has-hole p0 three front)
(has-paint spray-painter yellow)
(temperature s0 cold)
(temperature i0 cold)
(painted a0 blue)
(surface-condition b0 rough)
(can-orient drill-press front)
(has-paint immersion-painter red)
(painted b1 black)
(has-hole k0 two front)
(has-paint immersion-painter black)
(temperature b1 cold)
(has-bit drill-press one)
(surface-condition c1 rough)
(temperature n0 cold)
(surface-condition b1 rough)
(painted l0 red)
(painted n0 blue)
(surface-condition a0 rough)
(surface-condition z0 smooth)
(has-hole g0 two back)
(shape z0 oblong)
(surface-condition r0 smooth)
(has-hole q0 one back)
(surface-condition e0 smooth)
(can-orient punch front)
(surface-condition s0 rough)
(shape b1 oblong)
(painted w0 yellow)
(can-orient punch back)
(shape g0 cylindrical)
(temperature z0 cold)
(surface-condition j0 smooth)
(has-bit punch three)
(shape r0 oblong)
(shape a1 oblong)
(has-hole a1 one back)
(shape u0 circular)
(temperature f0 cold)
(temperature v0 cold)
(shape c0 circular)
(painted i0 black)
(painted c1 blue)
(has-hole n0 two front)
(shape k0 circular)
(has-paint immersion-painter yellow)
(painted p0 blue)
(temperature k0 cold)
(surface-condition m0 rough)
(shape d0 oblong)
(shape l0 oblong)
(temperature u0 cold)
(shape a0 cylindrical)
(surface-condition l0 smooth)
(painted a1 red)
(painted c0 blue)
(temperature b0 cold)
(has-hole u0 three back)
(has-hole c0 two back)
(has-hole v0 two back)
(has-hole b1 two back)
(has-paint spray-painter red)
(temperature m0 cold)
(surface-condition h0 rough)
(has-hole a0 two back)
(temperature a1 cold)
(temperature g0 cold)
(surface-condition w0 polished)
(shape c1 circular)
(surface-condition c0 smooth)
(painted d0 black)
(shape p0 cylindrical)
(surface-condition d0 polished)
(shape h0 circular)
(temperature w0 cold)
(has-hole w0 one back)
(painted j0 red)
(shape q0 circular)
(surface-condition g0 polished)
(painted f0 yellow)
(has-hole j0 three back)
(temperature e0 cold)
(shape e0 circular)
(temperature o0 cold)
(painted b0 black)
(painted z0 red)
(painted m0 blue)
(shape i0 oblong)
(has-bit punch one)
(shape b0 circular)
(has-paint spray-painter black)
(surface-condition a1 rough)
(painted r0 black)
(has-hole i0 one back)
(has-paint immersion-painter blue)
(temperature h0 cold)
(has-paint spray-painter blue)
(has-hole l0 two front)
(has-hole b0 two front)
(has-hole r0 three back)
(shape v0 circular)
(has-bit punch two)
(painted k0 red)
(has-hole s0 one front)
(shape o0 circular)
(can-orient drill-press back)
(surface-condition n0 rough)
(has-hole o0 two front)
(painted s0 black)
(painted h0 black)
(temperature c1 cold)
(painted u0 blue)
(shape s0 cylindrical)
(surface-condition f0 polished)
(temperature a0 cold)
(surface-condition q0 smooth)
(surface-condition p0 smooth)
(temperature c0 cold)
(surface-condition i0 polished)
(painted v0 blue)
(shape w0 cylindrical)
(painted g0 blue)
(has-bit drill-press two)
(shape f0 cylindrical)
(painted o0 red)
(has-hole z0 two front)
(temperature r0 cold)
)
(:goal (and
	  (shape c1 cylindrical)
	  (surface-condition u0 polished)
	  (surface-condition d0 rough)
	  (surface-condition g0 smooth)
	  (shape h0 cylindrical)
	  (painted d0 blue)
	  (surface-condition a0 polished)
	  (shape n0 cylindrical)
	  (painted g0 yellow)
	  (painted v0 black)
	  (painted c1 red)
	  (surface-condition v0 smooth)
	  (surface-condition f0 rough)
	  (surface-condition k0 rough)
	  (surface-condition a1 smooth)
	  (shape z0 cylindrical)
	  (surface-condition c0 rough)
	  (painted f0 red)
	  (surface-condition l0 rough)
	  (painted o0 yellow)
	  (painted r0 blue)
	  (shape l0 cylindrical)
	  (painted j0 yellow)
	  (painted p0 black)
	  (painted c0 yellow)
	  (shape r0 cylindrical))
)
)
