(define (problem schedule-26-1)
(:domain schedule)
(:objects
back front  - anorient
blue yellow red black  - colour
cold hot  - temperature-type
cylindrical circular oblong  - ashape
polished rough smooth  - surface
c1 b1 a1 z0 w0 v0 u0 s0 r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
two three one  - width
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
)
(:init (has-hole j0 one back)
(temperature m0 cold)
(temperature a0 cold)
(has-paint immersion-painter red)
(shape h0 cylindrical)
(surface-condition c0 polished)
(surface-condition m0 smooth)
(surface-condition k0 smooth)
(has-hole r0 one front)
(surface-condition f0 polished)
(surface-condition c1 rough)
(shape a1 circular)
(surface-condition w0 smooth)
(painted k0 yellow)
(shape m0 oblong)
(painted o0 blue)
(temperature r0 cold)
(has-hole m0 three front)
(has-hole s0 one back)
(shape e0 cylindrical)
(has-bit punch three)
(surface-condition b1 smooth)
(has-paint immersion-painter blue)
(shape i0 cylindrical)
(has-bit drill-press two)
(has-hole c0 two back)
(shape g0 oblong)
(has-bit punch one)
(has-hole i0 three back)
(has-paint spray-painter blue)
(temperature w0 cold)
(surface-condition l0 polished)
(temperature o0 cold)
(shape j0 cylindrical)
(has-hole h0 one back)
(painted l0 black)
(surface-condition p0 polished)
(temperature b1 cold)
(shape k0 oblong)
(temperature z0 cold)
(shape z0 circular)
(shape f0 circular)
(painted a0 blue)
(temperature s0 cold)
(painted n0 blue)
(temperature c1 cold)
(surface-condition g0 polished)
(has-hole k0 three front)
(shape b1 circular)
(has-hole u0 three back)
(has-paint spray-painter black)
(has-hole g0 two back)
(has-bit drill-press one)
(temperature p0 cold)
(painted v0 blue)
(surface-condition q0 polished)
(temperature f0 cold)
(has-bit punch two)
(temperature l0 cold)
(surface-condition d0 polished)
(shape n0 circular)
(surface-condition i0 rough)
(painted b1 black)
(painted b0 blue)
(shape d0 oblong)
(surface-condition a1 polished)
(painted g0 yellow)
(temperature b0 cold)
(has-hole c1 three front)
(temperature e0 cold)
(surface-condition b0 polished)
(has-hole l0 two back)
(can-orient punch front)
(painted i0 yellow)
(surface-condition s0 polished)
(painted z0 yellow)
(temperature g0 cold)
(has-hole a0 three back)
(has-paint immersion-painter yellow)
(temperature u0 cold)
(has-hole n0 two back)
(has-hole q0 three back)
(painted c1 red)
(painted p0 blue)
(surface-condition j0 polished)
(has-hole f0 three back)
(surface-condition u0 smooth)
(has-paint spray-painter red)
(has-hole z0 three back)
(shape r0 circular)
(temperature v0 cold)
(has-hole b1 one front)
(temperature q0 cold)
(has-hole o0 one front)
(surface-condition z0 smooth)
(surface-condition v0 smooth)
(temperature n0 cold)
(has-hole p0 two front)
(painted s0 black)
(shape w0 cylindrical)
(has-paint spray-painter yellow)
(temperature k0 cold)
(has-hole a1 one front)
(surface-condition o0 rough)
(has-bit drill-press three)
(temperature a1 cold)
(shape c0 oblong)
(painted c0 red)
(painted e0 red)
(can-orient drill-press front)
(shape o0 oblong)
(temperature c0 cold)
(has-hole e0 two back)
(painted q0 yellow)
(painted a1 blue)
(painted j0 blue)
(temperature h0 cold)
(shape u0 cylindrical)
(shape l0 circular)
(can-orient punch back)
(shape a0 cylindrical)
(shape p0 oblong)
(temperature d0 cold)
(shape q0 oblong)
(temperature j0 cold)
(surface-condition a0 rough)
(has-hole b0 one back)
(has-hole v0 one back)
(surface-condition h0 polished)
(surface-condition n0 polished)
(painted f0 red)
(shape b0 cylindrical)
(has-hole w0 three back)
(can-orient drill-press back)
(shape c1 cylindrical)
(shape s0 circular)
(temperature i0 cold)
(painted r0 red)
(painted w0 yellow)
(painted m0 red)
(painted u0 blue)
(painted h0 blue)
(has-paint immersion-painter black)
(has-hole d0 one back)
(shape v0 oblong)
(painted d0 black)
(surface-condition e0 smooth)
(surface-condition r0 smooth)
)
(:goal (and
	  (painted z0 red)
	  (painted u0 red)
	  (painted a1 black)
	  (surface-condition s0 rough)
	  (surface-condition c1 polished)
	  (painted b1 blue)
	  (painted n0 black)
	  (surface-condition k0 polished)
	  (shape c0 cylindrical)
	  (painted r0 yellow)
	  (painted s0 blue)
	  (shape z0 cylindrical)
	  (painted l0 red)
	  (painted c0 yellow)
	  (shape r0 cylindrical)
	  (surface-condition l0 smooth)
	  (surface-condition j0 rough)
	  (surface-condition v0 polished)
	  (shape v0 cylindrical)
	  (shape q0 cylindrical)
	  (surface-condition e0 rough)
	  (painted m0 blue)
	  (shape d0 cylindrical)
	  (painted w0 blue)
	  (surface-condition q0 smooth)
	  (surface-condition i0 smooth))
)
)
