(define (problem schedule-28-2)
(:domain schedule)
(:objects
polished rough smooth  - surface
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
back front  - anorient
two three one  - width
blue yellow red black  - colour
cold hot  - temperature-type
cylindrical circular oblong  - ashape
e1 d1 c1 b1 a1 z0 w0 v0 u0 s0 r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
)
(:init (temperature c1 cold)
(surface-condition q0 polished)
(shape c1 circular)
(has-paint spray-painter blue)
(painted h0 yellow)
(temperature a0 cold)
(temperature l0 cold)
(surface-condition a0 rough)
(painted b1 blue)
(has-hole c1 one front)
(has-bit punch three)
(has-hole n0 three front)
(has-hole l0 three front)
(painted b0 blue)
(has-paint immersion-painter red)
(shape s0 circular)
(surface-condition c1 rough)
(temperature g0 cold)
(has-hole z0 two back)
(surface-condition b0 smooth)
(painted c0 yellow)
(has-paint immersion-painter black)
(shape w0 cylindrical)
(surface-condition s0 polished)
(temperature e1 cold)
(temperature n0 cold)
(painted q0 blue)
(shape d0 oblong)
(shape b1 circular)
(surface-condition k0 polished)
(shape h0 oblong)
(surface-condition f0 polished)
(temperature f0 cold)
(temperature o0 cold)
(painted o0 blue)
(painted d0 red)
(has-hole f0 two back)
(shape e0 oblong)
(temperature d0 cold)
(painted j0 black)
(surface-condition r0 polished)
(has-hole i0 three back)
(temperature k0 cold)
(has-hole a0 three front)
(has-bit punch one)
(temperature b0 cold)
(temperature u0 cold)
(has-hole u0 three back)
(temperature c0 cold)
(shape c0 circular)
(painted d1 yellow)
(painted a0 blue)
(shape m0 oblong)
(has-hole r0 one back)
(painted e0 red)
(surface-condition a1 smooth)
(temperature m0 cold)
(surface-condition e1 polished)
(temperature j0 cold)
(has-hole b0 one front)
(shape p0 cylindrical)
(shape i0 circular)
(temperature h0 cold)
(temperature z0 cold)
(shape j0 oblong)
(temperature v0 cold)
(shape d1 oblong)
(surface-condition w0 polished)
(painted i0 black)
(painted p0 yellow)
(has-hole v0 one back)
(temperature w0 cold)
(has-hole k0 one front)
(has-bit punch two)
(temperature q0 cold)
(can-orient punch back)
(has-hole m0 two front)
(surface-condition o0 rough)
(surface-condition l0 polished)
(has-hole j0 two back)
(surface-condition h0 polished)
(surface-condition z0 polished)
(temperature d1 cold)
(shape b0 circular)
(has-hole w0 one front)
(has-bit drill-press one)
(painted r0 red)
(painted w0 yellow)
(has-hole q0 one back)
(has-hole d0 three back)
(shape o0 cylindrical)
(painted c1 red)
(can-orient drill-press front)
(surface-condition m0 polished)
(shape q0 oblong)
(surface-condition j0 polished)
(has-hole a1 three front)
(painted n0 blue)
(temperature b1 cold)
(shape a0 circular)
(surface-condition i0 rough)
(shape n0 circular)
(can-orient punch front)
(painted u0 blue)
(surface-condition d1 smooth)
(shape k0 oblong)
(shape a1 oblong)
(painted l0 blue)
(surface-condition c0 polished)
(surface-condition v0 rough)
(has-paint immersion-painter blue)
(has-paint spray-painter black)
(surface-condition e0 polished)
(temperature i0 cold)
(shape f0 oblong)
(surface-condition g0 smooth)
(shape l0 circular)
(temperature e0 cold)
(has-hole s0 one back)
(shape z0 circular)
(has-hole e1 two back)
(surface-condition d0 polished)
(painted m0 yellow)
(temperature a1 cold)
(shape u0 cylindrical)
(surface-condition b1 rough)
(can-orient drill-press back)
(has-bit drill-press three)
(temperature r0 cold)
(surface-condition p0 smooth)
(has-paint immersion-painter yellow)
(has-hole c0 three back)
(temperature p0 cold)
(has-hole o0 two front)
(painted e1 blue)
(painted a1 yellow)
(has-paint spray-painter red)
(has-bit drill-press two)
(painted f0 red)
(has-hole h0 two front)
(has-hole p0 three front)
(shape e1 circular)
(shape g0 circular)
(has-hole b1 one back)
(has-hole d1 two back)
(temperature s0 cold)
(surface-condition n0 smooth)
(painted g0 blue)
(has-paint spray-painter yellow)
(painted z0 blue)
(has-hole g0 three back)
(has-hole e0 three front)
(surface-condition u0 smooth)
(shape v0 oblong)
(painted k0 yellow)
(painted v0 blue)
(painted s0 yellow)
(shape r0 circular)
)
(:goal (and
	  (surface-condition r0 smooth)
	  (surface-condition s0 smooth)
	  (painted b0 black)
	  (shape e0 cylindrical)
	  (surface-condition z0 rough)
	  (surface-condition c1 polished)
	  (surface-condition v0 polished)
	  (painted s0 red)
	  (painted e0 black)
	  (surface-condition d0 smooth)
	  (shape b1 cylindrical)
	  (painted o0 red)
	  (shape f0 cylindrical)
	  (shape s0 cylindrical)
	  (shape r0 cylindrical)
	  (shape k0 cylindrical)
	  (painted d0 blue)
	  (shape a0 cylindrical)
	  (painted m0 black)
	  (shape i0 cylindrical)
	  (painted e1 black)
	  (shape h0 cylindrical)
	  (surface-condition u0 rough)
	  (painted n0 yellow)
	  (shape c0 cylindrical)
	  (painted i0 red)
	  (surface-condition j0 rough)
	  (shape d0 cylindrical))
)
)
