(define (problem schedule-29-0)
(:domain schedule)
(:objects
back front  - anorient
polished rough smooth  - surface
cylindrical circular oblong  - ashape
cold hot  - temperature-type
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
blue yellow red black  - colour
f1 e1 d1 c1 b1 a1 z0 w0 v0 u0 s0 r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
two three one  - width
)
(:init (temperature c1 cold)
(has-bit punch three)
(painted d0 black)
(painted c0 black)
(shape m0 cylindrical)
(surface-condition e1 rough)
(surface-condition l0 rough)
(surface-condition p0 rough)
(can-orient punch front)
(has-hole i0 three front)
(has-hole c0 two back)
(painted o0 red)
(has-bit punch one)
(painted m0 red)
(shape f0 circular)
(surface-condition a0 polished)
(has-hole f0 one back)
(surface-condition k0 polished)
(shape n0 oblong)
(temperature n0 cold)
(temperature u0 cold)
(temperature v0 cold)
(temperature a1 cold)
(has-hole c1 three front)
(shape j0 oblong)
(shape e0 cylindrical)
(has-hole u0 one back)
(painted k0 blue)
(has-hole a1 two front)
(shape d0 cylindrical)
(surface-condition c0 rough)
(has-hole r0 two front)
(has-paint spray-painter red)
(painted f0 blue)
(temperature m0 cold)
(temperature d0 cold)
(surface-condition b1 polished)
(shape c1 cylindrical)
(painted z0 black)
(has-bit drill-press one)
(has-bit drill-press two)
(has-hole d1 one front)
(temperature f1 cold)
(shape l0 cylindrical)
(surface-condition b0 rough)
(temperature g0 cold)
(temperature f0 cold)
(temperature b0 cold)
(shape i0 oblong)
(surface-condition i0 smooth)
(painted n0 yellow)
(painted l0 blue)
(shape z0 circular)
(surface-condition r0 smooth)
(shape u0 cylindrical)
(has-hole a0 two back)
(temperature r0 cold)
(has-hole q0 one front)
(surface-condition n0 rough)
(shape a1 oblong)
(has-hole s0 one front)
(has-paint immersion-painter yellow)
(painted q0 red)
(painted p0 black)
(temperature k0 cold)
(shape q0 cylindrical)
(painted u0 red)
(has-paint spray-painter yellow)
(has-hole b1 three back)
(has-hole e1 two front)
(painted v0 blue)
(shape w0 oblong)
(shape g0 circular)
(surface-condition u0 rough)
(surface-condition o0 rough)
(temperature z0 cold)
(has-paint spray-painter black)
(can-orient drill-press back)
(painted e0 blue)
(shape h0 cylindrical)
(has-hole f1 one back)
(temperature w0 cold)
(has-hole b0 three back)
(temperature q0 cold)
(shape p0 oblong)
(has-hole e0 three back)
(painted s0 black)
(painted e1 red)
(has-hole h0 three front)
(temperature h0 cold)
(temperature l0 cold)
(painted a1 black)
(temperature e0 cold)
(has-paint immersion-painter blue)
(has-hole p0 two back)
(shape r0 oblong)
(shape f1 cylindrical)
(can-orient drill-press front)
(temperature e1 cold)
(can-orient punch back)
(painted b0 black)
(has-hole m0 one front)
(temperature s0 cold)
(surface-condition f1 polished)
(has-hole o0 three front)
(surface-condition h0 polished)
(has-hole w0 two front)
(surface-condition w0 polished)
(shape s0 oblong)
(painted f1 yellow)
(surface-condition m0 smooth)
(shape a0 circular)
(has-hole k0 two front)
(temperature c0 cold)
(shape b0 cylindrical)
(shape o0 cylindrical)
(temperature j0 cold)
(has-hole d0 two front)
(temperature a0 cold)
(temperature p0 cold)
(has-hole z0 one front)
(shape k0 oblong)
(shape d1 cylindrical)
(painted g0 black)
(temperature b1 cold)
(surface-condition a1 smooth)
(has-paint spray-painter blue)
(has-paint immersion-painter black)
(temperature d1 cold)
(surface-condition q0 smooth)
(surface-condition f0 smooth)
(surface-condition g0 rough)
(surface-condition e0 smooth)
(surface-condition z0 polished)
(temperature o0 cold)
(painted b1 yellow)
(painted j0 black)
(temperature i0 cold)
(painted r0 red)
(shape c0 oblong)
(surface-condition s0 polished)
(has-bit punch two)
(painted w0 yellow)
(has-hole v0 one front)
(shape b1 cylindrical)
(shape v0 circular)
(has-bit drill-press three)
(surface-condition c1 smooth)
(painted c1 red)
(painted a0 red)
(surface-condition v0 smooth)
(has-paint immersion-painter red)
(has-hole l0 two back)
(painted h0 yellow)
(surface-condition j0 smooth)
(painted i0 red)
(has-hole j0 one front)
(painted d1 yellow)
(shape e1 oblong)
(surface-condition d1 polished)
(has-hole g0 three front)
(has-hole n0 two front)
(surface-condition d0 rough)
)
(:goal (and
	  (painted s0 blue)
	  (surface-condition n0 polished)
	  (painted m0 blue)
	  (painted j0 blue)
	  (surface-condition f1 smooth)
	  (painted i0 blue)
	  (surface-condition s0 rough)
	  (surface-condition w0 rough)
	  (surface-condition e0 rough)
	  (surface-condition m0 polished)
	  (painted b0 yellow)
	  (painted n0 red)
	  (painted o0 blue)
	  (shape i0 cylindrical)
	  (surface-condition f0 rough)
	  (shape s0 cylindrical)
	  (surface-condition e1 smooth)
	  (painted q0 blue)
	  (shape n0 cylindrical)
	  (painted d1 black)
	  (surface-condition j0 rough)
	  (surface-condition d1 rough)
	  (surface-condition u0 smooth)
	  (shape r0 cylindrical)
	  (surface-condition b0 smooth)
	  (surface-condition z0 rough)
	  (surface-condition h0 smooth)
	  (painted u0 blue)
	  (shape e1 cylindrical))
)
)
