(define (problem schedule-29-1)
(:domain schedule)
(:objects
blue yellow red black  - colour
cylindrical circular oblong  - ashape
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
two three one  - width
f1 e1 d1 c1 b1 a1 z0 w0 v0 u0 s0 r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
polished rough smooth  - surface
cold hot  - temperature-type
back front  - anorient
)
(:init (surface-condition g0 rough)
(has-bit punch two)
(shape i0 oblong)
(surface-condition e0 smooth)
(surface-condition n0 polished)
(painted p0 red)
(shape a0 circular)
(temperature u0 cold)
(has-hole u0 three back)
(shape f1 circular)
(shape g0 circular)
(has-hole e1 one front)
(surface-condition p0 polished)
(temperature e1 cold)
(painted s0 red)
(has-paint immersion-painter yellow)
(has-paint spray-painter black)
(has-bit drill-press three)
(surface-condition k0 smooth)
(has-hole k0 one front)
(can-orient drill-press front)
(surface-condition q0 polished)
(has-hole d0 two front)
(has-hole c1 two back)
(painted i0 blue)
(has-hole d1 three back)
(surface-condition f0 polished)
(temperature p0 cold)
(temperature a0 cold)
(shape s0 oblong)
(has-hole c0 two front)
(has-hole f1 two back)
(temperature m0 cold)
(surface-condition w0 polished)
(surface-condition i0 smooth)
(has-hole i0 three back)
(surface-condition d1 rough)
(shape q0 circular)
(temperature r0 cold)
(surface-condition v0 polished)
(temperature a1 cold)
(shape c1 circular)
(surface-condition b0 polished)
(painted l0 blue)
(painted n0 blue)
(has-hole s0 one back)
(surface-condition o0 rough)
(has-hole w0 three back)
(painted h0 red)
(temperature g0 cold)
(has-hole f0 three front)
(temperature b0 cold)
(temperature l0 cold)
(has-paint immersion-painter red)
(has-hole b0 two back)
(painted u0 black)
(has-hole q0 two front)
(shape j0 cylindrical)
(painted m0 black)
(shape p0 oblong)
(temperature w0 cold)
(surface-condition e1 rough)
(has-hole b1 one front)
(temperature k0 cold)
(has-bit punch three)
(temperature f1 cold)
(has-bit punch one)
(shape h0 oblong)
(shape e1 cylindrical)
(temperature o0 cold)
(has-hole z0 one back)
(has-paint immersion-painter black)
(shape d1 cylindrical)
(shape f0 oblong)
(painted j0 black)
(surface-condition a1 polished)
(temperature n0 cold)
(temperature s0 cold)
(shape w0 cylindrical)
(painted e1 red)
(has-hole a1 three front)
(has-hole v0 two front)
(painted z0 yellow)
(surface-condition r0 rough)
(painted f1 black)
(has-paint immersion-painter blue)
(temperature v0 cold)
(has-hole l0 one back)
(has-hole r0 one front)
(shape l0 oblong)
(has-paint spray-painter red)
(has-hole h0 one front)
(surface-condition s0 rough)
(surface-condition m0 smooth)
(painted b0 red)
(painted q0 yellow)
(surface-condition z0 polished)
(shape v0 circular)
(temperature b1 cold)
(has-hole o0 one front)
(painted r0 black)
(surface-condition f1 smooth)
(shape r0 circular)
(has-bit drill-press one)
(temperature d0 cold)
(surface-condition c1 rough)
(painted a0 black)
(surface-condition j0 smooth)
(painted e0 yellow)
(temperature z0 cold)
(shape c0 circular)
(shape e0 circular)
(surface-condition l0 rough)
(shape m0 cylindrical)
(shape b0 circular)
(shape a1 oblong)
(painted g0 blue)
(surface-condition u0 smooth)
(shape n0 cylindrical)
(temperature q0 cold)
(painted k0 red)
(painted v0 yellow)
(can-orient drill-press back)
(has-paint spray-painter blue)
(has-hole g0 three front)
(surface-condition h0 rough)
(temperature j0 cold)
(shape b1 cylindrical)
(temperature i0 cold)
(has-hole a0 two front)
(has-hole j0 three front)
(temperature c0 cold)
(can-orient punch front)
(shape d0 cylindrical)
(has-hole p0 two front)
(has-paint spray-painter yellow)
(temperature e0 cold)
(painted b1 blue)
(painted d0 blue)
(surface-condition a0 rough)
(painted f0 black)
(painted a1 blue)
(painted c1 black)
(painted o0 red)
(shape u0 cylindrical)
(temperature f0 cold)
(shape z0 circular)
(shape o0 circular)
(temperature c1 cold)
(has-hole n0 one front)
(has-hole e0 two back)
(temperature h0 cold)
(has-hole m0 two back)
(has-bit drill-press two)
(shape k0 cylindrical)
(painted w0 blue)
(painted d1 black)
(surface-condition c0 rough)
(can-orient punch back)
(surface-condition b1 polished)
(temperature d1 cold)
(surface-condition d0 smooth)
(painted c0 red)
)
(:goal (and
	  (shape z0 cylindrical)
	  (surface-condition m0 rough)
	  (shape r0 cylindrical)
	  (surface-condition z0 smooth)
	  (surface-condition e1 polished)
	  (surface-condition e0 rough)
	  (surface-condition s0 smooth)
	  (surface-condition o0 polished)
	  (painted e0 red)
	  (painted a0 blue)
	  (shape c0 cylindrical)
	  (painted q0 blue)
	  (painted u0 yellow)
	  (shape q0 cylindrical)
	  (shape a1 cylindrical)
	  (surface-condition b1 smooth)
	  (shape b0 cylindrical)
	  (painted b0 blue)
	  (surface-condition h0 smooth)
	  (surface-condition w0 smooth)
	  (surface-condition a1 smooth)
	  (painted f1 blue)
	  (painted l0 yellow)
	  (shape o0 cylindrical)
	  (painted b1 yellow)
	  (shape f1 cylindrical)
	  (painted n0 red)
	  (surface-condition q0 smooth)
	  (painted h0 yellow))
)
)
