(define (problem schedule-30-0)
(:domain schedule)
(:objects
blue yellow red black  - colour
two three one  - width
polished rough smooth  - surface
back front  - anorient
cold hot  - temperature-type
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
g1 f1 e1 d1 c1 b1 a1 z0 w0 v0 u0 s0 r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
cylindrical circular oblong  - ashape
)
(:init (painted g0 blue)
(surface-condition c1 polished)
(temperature w0 cold)
(temperature q0 cold)
(surface-condition g0 polished)
(has-hole b1 two front)
(shape l0 oblong)
(temperature g1 cold)
(has-hole b0 three back)
(can-orient drill-press front)
(has-paint spray-painter black)
(painted p0 red)
(painted w0 red)
(painted b0 black)
(has-hole g1 one back)
(shape g1 oblong)
(can-orient drill-press back)
(has-hole p0 two front)
(painted h0 yellow)
(shape e0 oblong)
(has-bit punch one)
(painted o0 blue)
(shape w0 oblong)
(temperature i0 cold)
(surface-condition a1 rough)
(surface-condition f0 polished)
(has-bit punch three)
(surface-condition f1 smooth)
(temperature r0 cold)
(shape f0 oblong)
(temperature b0 cold)
(temperature j0 cold)
(surface-condition h0 polished)
(painted a1 red)
(has-hole a0 one back)
(painted l0 black)
(painted n0 yellow)
(surface-condition b0 polished)
(surface-condition d1 smooth)
(shape c0 cylindrical)
(has-hole f1 three back)
(surface-condition i0 rough)
(shape o0 cylindrical)
(temperature h0 cold)
(has-hole c1 three back)
(shape z0 oblong)
(painted d1 red)
(painted f1 red)
(has-hole z0 two front)
(surface-condition m0 polished)
(surface-condition v0 rough)
(surface-condition e1 polished)
(surface-condition p0 rough)
(has-hole w0 two back)
(painted b1 red)
(surface-condition d0 polished)
(shape m0 cylindrical)
(shape q0 oblong)
(temperature f1 cold)
(shape s0 circular)
(surface-condition n0 smooth)
(painted e1 blue)
(has-hole u0 two back)
(temperature z0 cold)
(has-paint spray-painter yellow)
(has-bit drill-press one)
(surface-condition o0 smooth)
(surface-condition a0 smooth)
(has-hole i0 one front)
(has-hole n0 one back)
(shape u0 cylindrical)
(temperature a1 cold)
(temperature a0 cold)
(has-hole o0 one front)
(painted r0 blue)
(temperature g0 cold)
(painted c0 black)
(has-bit drill-press three)
(shape p0 circular)
(painted i0 red)
(shape b0 oblong)
(shape a0 cylindrical)
(shape i0 circular)
(temperature o0 cold)
(temperature c1 cold)
(surface-condition l0 rough)
(temperature l0 cold)
(has-paint immersion-painter blue)
(has-hole d0 two front)
(shape c1 cylindrical)
(surface-condition r0 smooth)
(painted u0 yellow)
(painted c1 red)
(surface-condition z0 smooth)
(has-hole s0 one back)
(temperature c0 cold)
(has-hole a1 three back)
(painted f0 yellow)
(painted d0 black)
(painted q0 black)
(has-paint immersion-painter black)
(has-hole c0 one front)
(surface-condition g1 polished)
(surface-condition k0 rough)
(painted k0 black)
(temperature f0 cold)
(temperature b1 cold)
(has-paint immersion-painter red)
(temperature u0 cold)
(has-hole q0 one back)
(shape e1 cylindrical)
(has-bit drill-press two)
(has-hole r0 two back)
(temperature s0 cold)
(has-hole m0 two back)
(painted v0 yellow)
(temperature v0 cold)
(shape j0 cylindrical)
(temperature d1 cold)
(painted e0 blue)
(has-hole j0 two back)
(has-hole v0 three back)
(has-hole e0 two front)
(shape g0 oblong)
(shape d0 circular)
(surface-condition c0 rough)
(painted m0 yellow)
(has-paint spray-painter blue)
(shape b1 oblong)
(has-bit punch two)
(surface-condition b1 polished)
(surface-condition e0 rough)
(can-orient punch back)
(has-hole k0 three front)
(shape d1 cylindrical)
(has-hole g0 one front)
(temperature e0 cold)
(temperature m0 cold)
(surface-condition j0 rough)
(shape h0 cylindrical)
(temperature d0 cold)
(shape f1 cylindrical)
(temperature n0 cold)
(temperature e1 cold)
(surface-condition q0 rough)
(surface-condition u0 smooth)
(painted a0 blue)
(has-hole e1 one front)
(shape r0 circular)
(surface-condition w0 polished)
(painted j0 black)
(has-hole f0 one back)
(shape k0 circular)
(painted s0 black)
(has-hole l0 one front)
(has-paint spray-painter red)
(temperature k0 cold)
(shape n0 cylindrical)
(has-hole d1 two front)
(has-paint immersion-painter yellow)
(painted z0 blue)
(shape a1 oblong)
(temperature p0 cold)
(has-hole h0 two front)
(can-orient punch front)
(shape v0 cylindrical)
(surface-condition s0 rough)
(painted g1 yellow)
)
(:goal (and
	  (shape q0 cylindrical)
	  (surface-condition a1 polished)
	  (shape e0 cylindrical)
	  (painted b0 yellow)
	  (surface-condition o0 rough)
	  (surface-condition j0 polished)
	  (surface-condition e1 smooth)
	  (surface-condition b1 smooth)
	  (surface-condition e0 polished)
	  (surface-condition l0 smooth)
	  (surface-condition p0 polished)
	  (surface-condition q0 smooth)
	  (painted p0 blue)
	  (painted l0 yellow)
	  (shape i0 cylindrical)
	  (surface-condition g0 rough)
	  (surface-condition s0 polished)
	  (painted z0 yellow)
	  (shape r0 cylindrical)
	  (painted g0 black)
	  (painted i0 blue)
	  (surface-condition z0 polished)
	  (shape z0 cylindrical)
	  (painted m0 blue)
	  (surface-condition i0 smooth)
	  (painted c1 yellow)
	  (painted d1 yellow)
	  (shape b1 cylindrical)
	  (painted u0 black)
	  (painted c0 yellow))
)
)
