(define (problem schedule-32-0)
(:domain schedule)
(:objects
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
i1 h1 g1 f1 e1 d1 c1 b1 a1 z0 w0 v0 u0 s0 r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
polished rough smooth  - surface
blue yellow red black  - colour
back front  - anorient
two three one  - width
cold hot  - temperature-type
cylindrical circular oblong  - ashape
)
(:init (shape l0 cylindrical)
(shape f1 circular)
(shape b1 circular)
(shape c1 circular)
(surface-condition h0 smooth)
(has-hole o0 one back)
(shape d1 cylindrical)
(surface-condition i1 polished)
(has-hole b0 three back)
(has-bit punch two)
(shape m0 oblong)
(painted e0 red)
(has-paint immersion-painter yellow)
(temperature i0 cold)
(temperature g0 cold)
(temperature l0 cold)
(has-hole a1 one front)
(surface-condition v0 smooth)
(shape f0 circular)
(temperature j0 cold)
(surface-condition h1 polished)
(temperature s0 cold)
(temperature w0 cold)
(temperature d1 cold)
(shape s0 circular)
(has-paint immersion-painter blue)
(shape a1 cylindrical)
(has-hole e0 one front)
(has-hole e1 three front)
(has-hole b1 one front)
(has-bit drill-press one)
(temperature a1 cold)
(painted u0 black)
(temperature n0 cold)
(has-hole p0 one front)
(temperature z0 cold)
(painted a0 yellow)
(surface-condition f0 rough)
(has-hole c0 three back)
(painted f0 blue)
(shape z0 oblong)
(has-hole l0 two front)
(surface-condition w0 rough)
(temperature f0 cold)
(painted c1 red)
(shape g0 circular)
(shape q0 cylindrical)
(shape k0 cylindrical)
(shape n0 oblong)
(can-orient drill-press front)
(surface-condition d1 polished)
(shape u0 cylindrical)
(temperature b1 cold)
(temperature e0 cold)
(has-hole v0 two front)
(surface-condition m0 rough)
(temperature p0 cold)
(temperature u0 cold)
(has-paint spray-painter yellow)
(temperature c0 cold)
(painted v0 black)
(shape v0 cylindrical)
(painted c0 blue)
(painted g0 blue)
(has-hole m0 two back)
(shape e1 oblong)
(painted m0 red)
(has-hole j0 three front)
(painted i1 yellow)
(painted a1 yellow)
(has-hole w0 two front)
(temperature h0 cold)
(painted d0 blue)
(shape e0 cylindrical)
(painted s0 black)
(shape j0 oblong)
(shape w0 cylindrical)
(shape c0 oblong)
(painted d1 red)
(has-hole h0 three front)
(surface-condition c1 rough)
(has-hole g1 two back)
(surface-condition u0 rough)
(has-hole a0 two front)
(temperature a0 cold)
(has-hole k0 one front)
(painted e1 red)
(painted g1 blue)
(has-hole f0 one front)
(surface-condition b1 polished)
(surface-condition z0 polished)
(has-paint spray-painter black)
(can-orient drill-press back)
(surface-condition g1 smooth)
(painted n0 black)
(painted k0 red)
(surface-condition c0 polished)
(surface-condition i0 smooth)
(has-hole i0 one front)
(can-orient punch back)
(has-paint spray-painter blue)
(has-hole q0 two front)
(has-hole i1 three front)
(painted b0 yellow)
(has-hole f1 one back)
(has-paint spray-painter red)
(can-orient punch front)
(shape i1 cylindrical)
(surface-condition e0 rough)
(surface-condition g0 rough)
(surface-condition d0 rough)
(painted r0 yellow)
(temperature f1 cold)
(surface-condition p0 rough)
(temperature m0 cold)
(painted q0 red)
(surface-condition k0 polished)
(temperature k0 cold)
(painted j0 blue)
(has-hole d1 three back)
(shape o0 cylindrical)
(painted f1 red)
(shape g1 oblong)
(has-bit punch one)
(has-hole s0 one front)
(temperature o0 cold)
(surface-condition n0 rough)
(surface-condition s0 smooth)
(temperature v0 cold)
(has-hole z0 one back)
(temperature i1 cold)
(has-bit drill-press three)
(surface-condition f1 smooth)
(has-paint immersion-painter black)
(has-hole h1 three back)
(has-hole g0 one front)
(painted h0 red)
(surface-condition o0 rough)
(has-hole d0 two back)
(painted z0 blue)
(surface-condition a1 polished)
(temperature h1 cold)
(surface-condition l0 smooth)
(temperature b0 cold)
(shape d0 circular)
(has-bit punch three)
(shape a0 oblong)
(temperature r0 cold)
(surface-condition r0 smooth)
(has-paint immersion-painter red)
(temperature g1 cold)
(surface-condition q0 polished)
(shape i0 oblong)
(surface-condition a0 polished)
(has-hole c1 one front)
(painted p0 yellow)
(shape r0 oblong)
(temperature d0 cold)
(painted h1 black)
(painted b1 red)
(surface-condition b0 polished)
(temperature e1 cold)
(has-bit drill-press two)
(surface-condition j0 smooth)
(surface-condition e1 smooth)
(temperature q0 cold)
(shape h1 circular)
(has-hole r0 three back)
(painted i0 blue)
(painted w0 red)
(has-hole n0 two back)
(shape p0 circular)
(has-hole u0 three back)
(shape b0 circular)
(painted o0 red)
(painted l0 yellow)
(shape h0 cylindrical)
(temperature c1 cold)
)
(:goal (and
	  (surface-condition r0 rough)
	  (painted g1 yellow)
	  (painted z0 black)
	  (surface-condition h0 rough)
	  (painted a1 black)
	  (shape f0 cylindrical)
	  (painted f0 black)
	  (painted h0 black)
	  (painted s0 yellow)
	  (shape a0 cylindrical)
	  (shape r0 cylindrical)
	  (surface-condition o0 polished)
	  (surface-condition e1 polished)
	  (shape f1 cylindrical)
	  (shape g1 cylindrical)
	  (shape s0 cylindrical)
	  (shape z0 cylindrical)
	  (surface-condition c1 smooth)
	  (shape i0 cylindrical)
	  (surface-condition f1 rough)
	  (painted v0 blue)
	  (painted d0 black)
	  (painted r0 blue)
	  (shape b1 cylindrical)
	  (painted q0 black)
	  (surface-condition e0 smooth)
	  (surface-condition d0 polished)
	  (shape c0 cylindrical)
	  (surface-condition i1 smooth)
	  (surface-condition z0 rough)
	  (surface-condition v0 rough)
	  (surface-condition j0 rough))
)
)
