(define (problem schedule-34-1)
(:domain schedule)
(:objects
blue yellow red black  - colour
cylindrical circular oblong  - ashape
two three one  - width
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
k1 j1 i1 h1 g1 f1 e1 d1 c1 b1 a1 z0 w0 v0 u0 s0 r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
polished rough smooth  - surface
back front  - anorient
cold hot  - temperature-type
)
(:init (surface-condition f1 polished)
(has-hole e1 one front)
(temperature p0 cold)
(surface-condition p0 smooth)
(temperature j0 cold)
(has-hole h1 three front)
(surface-condition j1 smooth)
(has-hole k0 three back)
(shape v0 cylindrical)
(painted i0 yellow)
(has-hole z0 one back)
(has-bit punch two)
(can-orient drill-press front)
(temperature a1 cold)
(painted f1 yellow)
(has-hole k1 two back)
(painted r0 red)
(shape i0 oblong)
(shape h1 circular)
(has-hole u0 one back)
(surface-condition b1 polished)
(has-hole c1 two front)
(shape j0 cylindrical)
(surface-condition e1 polished)
(surface-condition g1 rough)
(has-hole j1 two front)
(shape d0 oblong)
(painted k1 red)
(surface-condition w0 polished)
(shape f1 circular)
(surface-condition b0 rough)
(shape e0 cylindrical)
(temperature k0 cold)
(has-paint immersion-painter blue)
(shape h0 cylindrical)
(painted d0 blue)
(painted v0 red)
(surface-condition c1 rough)
(temperature b1 cold)
(has-hole a0 two front)
(shape d1 circular)
(surface-condition v0 polished)
(shape g1 cylindrical)
(painted k0 blue)
(has-hole e0 one front)
(has-hole b1 three back)
(surface-condition e0 rough)
(painted c0 black)
(painted s0 black)
(temperature c1 cold)
(temperature f0 cold)
(surface-condition l0 smooth)
(temperature v0 cold)
(shape p0 circular)
(has-hole j0 one back)
(has-hole v0 one front)
(temperature z0 cold)
(has-hole c0 two front)
(surface-condition c0 polished)
(painted o0 yellow)
(surface-condition r0 polished)
(has-bit drill-press one)
(shape k1 circular)
(surface-condition a1 polished)
(has-hole d1 two front)
(temperature o0 cold)
(has-paint spray-painter black)
(surface-condition m0 polished)
(temperature n0 cold)
(surface-condition k0 smooth)
(painted m0 red)
(painted z0 red)
(can-orient punch front)
(temperature f1 cold)
(has-hole f1 two front)
(surface-condition i1 polished)
(painted j1 yellow)
(surface-condition j0 rough)
(surface-condition a0 smooth)
(surface-condition d0 smooth)
(shape o0 circular)
(painted q0 blue)
(shape i1 oblong)
(shape c1 cylindrical)
(painted g0 yellow)
(has-hole s0 two back)
(temperature g1 cold)
(surface-condition f0 polished)
(has-paint immersion-painter red)
(has-hole n0 three front)
(shape b1 cylindrical)
(shape a1 oblong)
(has-hole r0 two front)
(has-hole g0 one front)
(can-orient drill-press back)
(painted h1 yellow)
(surface-condition n0 rough)
(painted e1 blue)
(shape e1 circular)
(has-paint spray-painter red)
(shape z0 cylindrical)
(temperature q0 cold)
(has-hole d0 two back)
(surface-condition h1 rough)
(has-bit punch three)
(shape b0 circular)
(has-hole l0 two back)
(has-hole b0 one back)
(shape m0 circular)
(has-hole m0 three front)
(has-hole o0 one front)
(temperature i0 cold)
(surface-condition g0 rough)
(surface-condition o0 smooth)
(surface-condition i0 rough)
(shape r0 oblong)
(painted l0 red)
(temperature i1 cold)
(has-bit drill-press two)
(painted b1 black)
(shape l0 circular)
(shape c0 circular)
(has-hole w0 three back)
(has-hole a1 three front)
(surface-condition d1 smooth)
(temperature h1 cold)
(painted i1 yellow)
(painted a1 black)
(shape k0 oblong)
(surface-condition h0 polished)
(has-hole f0 one front)
(surface-condition s0 rough)
(temperature w0 cold)
(temperature c0 cold)
(has-hole p0 one front)
(temperature s0 cold)
(painted d1 black)
(temperature d1 cold)
(has-paint immersion-painter yellow)
(has-hole g1 three front)
(shape j1 circular)
(painted e0 yellow)
(painted p0 blue)
(painted w0 red)
(painted j0 blue)
(temperature u0 cold)
(has-bit punch one)
(shape w0 cylindrical)
(has-paint immersion-painter black)
(painted c1 yellow)
(temperature b0 cold)
(shape n0 oblong)
(shape g0 oblong)
(painted u0 red)
(painted a0 yellow)
(surface-condition k1 smooth)
(shape a0 cylindrical)
(temperature a0 cold)
(temperature d0 cold)
(temperature r0 cold)
(has-paint spray-painter yellow)
(temperature h0 cold)
(painted n0 blue)
(painted g1 red)
(has-hole i0 one back)
(can-orient punch back)
(has-hole q0 two front)
(temperature k1 cold)
(painted b0 black)
(has-bit drill-press three)
(temperature e1 cold)
(painted f0 black)
(shape s0 oblong)
(surface-condition q0 smooth)
(painted h0 blue)
(surface-condition u0 polished)
(temperature m0 cold)
(surface-condition z0 polished)
(has-hole i1 one back)
(shape f0 cylindrical)
(temperature e0 cold)
(temperature g0 cold)
(has-hole h0 three back)
(shape u0 oblong)
(temperature j1 cold)
(has-paint spray-painter blue)
(temperature l0 cold)
(shape q0 circular)
)
(:goal (and
	  (painted s0 blue)
	  (surface-condition h0 smooth)
	  (surface-condition d0 rough)
	  (shape k0 cylindrical)
	  (painted o0 blue)
	  (painted k0 yellow)
	  (painted h1 blue)
	  (surface-condition s0 polished)
	  (painted g0 blue)
	  (painted r0 yellow)
	  (surface-condition z0 smooth)
	  (surface-condition g1 smooth)
	  (painted q0 black)
	  (painted n0 red)
	  (shape s0 cylindrical)
	  (shape d1 cylindrical)
	  (shape p0 cylindrical)
	  (painted f0 blue)
	  (painted a1 yellow)
	  (shape j1 cylindrical)
	  (painted j1 black)
	  (surface-condition b0 smooth)
	  (painted d1 blue)
	  (surface-condition b1 rough)
	  (surface-condition q0 polished)
	  (painted k1 black)
	  (painted z0 black)
	  (surface-condition k1 rough)
	  (painted m0 blue)
	  (shape n0 cylindrical)
	  (surface-condition h1 smooth)
	  (painted d0 black)
	  (painted a0 black)
	  (shape i1 cylindrical))
)
)
