(define (problem schedule-34-2)
(:domain schedule)
(:objects
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
cylindrical circular oblong  - ashape
cold hot  - temperature-type
k1 j1 i1 h1 g1 f1 e1 d1 c1 b1 a1 z0 w0 v0 u0 s0 r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
blue yellow red black  - colour
polished rough smooth  - surface
back front  - anorient
two three one  - width
)
(:init (surface-condition v0 polished)
(shape z0 oblong)
(surface-condition b0 polished)
(temperature o0 cold)
(surface-condition e0 polished)
(painted k0 red)
(has-hole c0 two front)
(painted s0 blue)
(painted q0 blue)
(shape c1 oblong)
(painted u0 black)
(painted j1 red)
(painted d0 red)
(painted g0 red)
(shape k0 circular)
(surface-condition p0 smooth)
(shape d0 oblong)
(has-hole u0 two back)
(painted c1 black)
(surface-condition g1 polished)
(temperature l0 cold)
(surface-condition f0 rough)
(shape b0 cylindrical)
(temperature m0 cold)
(shape u0 oblong)
(temperature q0 cold)
(surface-condition e1 smooth)
(shape a1 cylindrical)
(surface-condition a0 smooth)
(painted b0 yellow)
(surface-condition d0 polished)
(surface-condition g0 polished)
(has-hole g0 one front)
(shape q0 circular)
(temperature z0 cold)
(has-paint spray-painter red)
(painted i0 red)
(has-paint immersion-painter blue)
(surface-condition a1 polished)
(surface-condition k0 rough)
(temperature k0 cold)
(has-hole j0 three front)
(temperature r0 cold)
(temperature e1 cold)
(temperature j1 cold)
(surface-condition r0 polished)
(surface-condition m0 polished)
(has-hole p0 three front)
(has-hole h1 one back)
(painted a1 black)
(painted l0 blue)
(surface-condition j1 smooth)
(surface-condition z0 rough)
(shape e0 oblong)
(has-bit drill-press two)
(surface-condition c1 smooth)
(shape k1 cylindrical)
(temperature c0 cold)
(surface-condition n0 smooth)
(temperature g1 cold)
(has-bit punch one)
(temperature k1 cold)
(painted v0 yellow)
(temperature v0 cold)
(temperature b1 cold)
(temperature e0 cold)
(has-hole b1 two back)
(painted i1 blue)
(painted o0 blue)
(has-hole a0 three front)
(surface-condition f1 smooth)
(shape l0 oblong)
(shape c0 oblong)
(temperature d1 cold)
(has-bit punch two)
(has-hole d0 one back)
(has-bit punch three)
(surface-condition o0 smooth)
(shape e1 circular)
(has-hole l0 three front)
(has-hole w0 three front)
(surface-condition b1 rough)
(has-hole b0 three back)
(painted r0 red)
(temperature u0 cold)
(has-hole r0 one front)
(has-hole e1 one front)
(temperature h1 cold)
(shape w0 oblong)
(painted a0 red)
(painted w0 blue)
(has-hole k1 two front)
(temperature f0 cold)
(has-hole a1 three back)
(surface-condition w0 smooth)
(has-hole z0 two back)
(shape m0 cylindrical)
(temperature h0 cold)
(surface-condition l0 polished)
(surface-condition s0 smooth)
(shape f0 circular)
(has-hole s0 two back)
(has-hole g1 two front)
(temperature s0 cold)
(painted h1 black)
(surface-condition i1 polished)
(shape r0 oblong)
(has-bit drill-press three)
(has-hole k0 three front)
(temperature p0 cold)
(surface-condition q0 rough)
(shape o0 circular)
(temperature d0 cold)
(temperature g0 cold)
(has-hole j1 two back)
(temperature f1 cold)
(has-paint spray-painter yellow)
(temperature b0 cold)
(painted f1 red)
(has-paint spray-painter blue)
(surface-condition d1 rough)
(painted b1 red)
(has-paint immersion-painter red)
(painted z0 blue)
(has-hole i0 two back)
(can-orient punch back)
(temperature n0 cold)
(shape a0 cylindrical)
(shape h1 circular)
(temperature j0 cold)
(surface-condition u0 polished)
(has-hole m0 three back)
(has-paint immersion-painter black)
(temperature w0 cold)
(surface-condition i0 polished)
(shape g1 cylindrical)
(temperature i0 cold)
(painted h0 black)
(shape j1 oblong)
(has-paint immersion-painter yellow)
(has-hole h0 three back)
(surface-condition h0 rough)
(shape s0 circular)
(surface-condition j0 smooth)
(has-hole i1 one back)
(has-hole n0 three back)
(painted n0 red)
(shape v0 cylindrical)
(shape b1 cylindrical)
(has-hole f0 one front)
(has-hole d1 one front)
(shape n0 oblong)
(painted e0 red)
(has-hole q0 three back)
(painted k1 black)
(painted g1 blue)
(painted m0 red)
(has-hole v0 two front)
(can-orient punch front)
(shape d1 cylindrical)
(painted e1 black)
(surface-condition k1 smooth)
(temperature a1 cold)
(shape i0 oblong)
(has-hole o0 one back)
(has-paint spray-painter black)
(surface-condition h1 rough)
(shape i1 circular)
(temperature a0 cold)
(temperature c1 cold)
(shape j0 cylindrical)
(has-hole f1 one front)
(painted p0 yellow)
(painted c0 blue)
(shape g0 cylindrical)
(painted d1 black)
(can-orient drill-press back)
(can-orient drill-press front)
(has-hole c1 three front)
(shape f1 oblong)
(surface-condition c0 polished)
(has-bit drill-press one)
(has-hole e0 three back)
(painted f0 red)
(shape h0 oblong)
(temperature i1 cold)
(shape p0 cylindrical)
(painted j0 blue)
)
(:goal (and
	  (shape d0 cylindrical)
	  (shape c0 cylindrical)
	  (surface-condition u0 smooth)
	  (shape r0 cylindrical)
	  (surface-condition j1 rough)
	  (painted a0 black)
	  (painted z0 yellow)
	  (surface-condition e1 polished)
	  (surface-condition v0 rough)
	  (shape e1 cylindrical)
	  (surface-condition s0 rough)
	  (surface-condition j0 polished)
	  (painted s0 red)
	  (painted j0 red)
	  (surface-condition m0 rough)
	  (painted m0 black)
	  (surface-condition l0 smooth)
	  (surface-condition r0 smooth)
	  (painted d1 yellow)
	  (shape i1 cylindrical)
	  (painted i0 black)
	  (surface-condition i0 rough)
	  (painted g0 blue)
	  (shape s0 cylindrical)
	  (shape u0 cylindrical)
	  (painted k1 yellow)
	  (surface-condition w0 polished)
	  (painted f0 yellow)
	  (surface-condition o0 polished)
	  (painted w0 black)
	  (surface-condition g0 rough)
	  (painted c1 blue)
	  (shape o0 cylindrical)
	  (painted j1 black))
)
)
