(define (problem schedule-35-0)
(:domain schedule)
(:objects
cylindrical circular oblong  - ashape
two three one  - width
polished rough smooth  - surface
cold hot  - temperature-type
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
blue yellow red black  - colour
back front  - anorient
l1 k1 j1 i1 h1 g1 f1 e1 d1 c1 b1 a1 z0 w0 v0 u0 s0 r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
)
(:init (painted c0 black)
(surface-condition q0 polished)
(has-hole m0 three back)
(shape f1 circular)
(painted i0 yellow)
(has-paint spray-painter blue)
(painted j0 yellow)
(painted s0 red)
(temperature i0 cold)
(shape o0 oblong)
(shape i1 oblong)
(has-hole k1 three back)
(can-orient drill-press front)
(surface-condition f0 smooth)
(has-bit drill-press three)
(has-hole a1 three back)
(painted b0 black)
(has-bit drill-press two)
(temperature a0 cold)
(has-hole n0 three front)
(can-orient punch front)
(temperature r0 cold)
(shape k0 oblong)
(surface-condition s0 smooth)
(shape h1 oblong)
(temperature c0 cold)
(painted q0 red)
(surface-condition i1 rough)
(temperature b1 cold)
(has-hole d1 three front)
(temperature k0 cold)
(shape f0 circular)
(has-hole b0 two back)
(temperature v0 cold)
(temperature k1 cold)
(painted u0 red)
(shape e1 circular)
(painted j1 black)
(shape l0 cylindrical)
(surface-condition h0 polished)
(has-hole f1 three back)
(temperature j0 cold)
(temperature o0 cold)
(surface-condition d0 polished)
(has-bit punch two)
(shape a1 oblong)
(shape k1 oblong)
(temperature f0 cold)
(has-paint spray-painter black)
(has-hole a0 two back)
(surface-condition g1 smooth)
(has-bit punch one)
(surface-condition c0 rough)
(surface-condition h1 polished)
(painted h1 black)
(shape v0 cylindrical)
(surface-condition d1 polished)
(surface-condition o0 polished)
(surface-condition r0 polished)
(temperature l0 cold)
(shape u0 oblong)
(can-orient drill-press back)
(has-bit punch three)
(has-hole d0 two back)
(temperature b0 cold)
(shape h0 oblong)
(has-paint immersion-painter black)
(painted p0 blue)
(shape j0 circular)
(has-hole l1 two front)
(can-orient punch back)
(painted l1 blue)
(shape s0 circular)
(temperature e1 cold)
(shape j1 circular)
(shape b0 cylindrical)
(has-hole s0 three back)
(shape w0 oblong)
(painted k1 blue)
(has-hole c0 three back)
(painted v0 red)
(temperature g1 cold)
(temperature q0 cold)
(shape g0 circular)
(has-hole c1 two front)
(painted i1 yellow)
(surface-condition u0 rough)
(has-hole u0 two back)
(surface-condition z0 rough)
(surface-condition b1 smooth)
(surface-condition w0 rough)
(painted g1 blue)
(has-hole j1 one front)
(has-hole k0 three back)
(painted a0 blue)
(surface-condition p0 rough)
(shape r0 circular)
(shape i0 oblong)
(temperature s0 cold)
(temperature d1 cold)
(painted d1 black)
(has-hole p0 one back)
(has-paint immersion-painter red)
(shape c1 circular)
(surface-condition c1 smooth)
(surface-condition i0 rough)
(painted e0 blue)
(has-hole r0 three front)
(temperature d0 cold)
(surface-condition m0 smooth)
(shape d1 circular)
(has-paint immersion-painter yellow)
(shape a0 circular)
(painted d0 yellow)
(painted c1 red)
(surface-condition j0 polished)
(surface-condition f1 rough)
(temperature h0 cold)
(temperature j1 cold)
(has-paint immersion-painter blue)
(temperature c1 cold)
(has-hole b1 two front)
(shape q0 oblong)
(has-hole q0 three front)
(has-hole w0 one back)
(shape d0 cylindrical)
(shape c0 cylindrical)
(has-hole g0 three front)
(surface-condition a1 polished)
(has-hole e0 two back)
(shape b1 oblong)
(has-hole h0 two back)
(temperature h1 cold)
(has-hole i1 three back)
(shape e0 oblong)
(temperature g0 cold)
(surface-condition e1 rough)
(has-hole f0 two front)
(painted w0 yellow)
(has-hole g1 one front)
(painted z0 yellow)
(has-hole e1 one front)
(temperature p0 cold)
(temperature u0 cold)
(has-hole z0 three back)
(has-hole v0 two back)
(painted a1 yellow)
(surface-condition g0 polished)
(painted f0 blue)
(temperature z0 cold)
(temperature n0 cold)
(has-hole j0 three front)
(temperature w0 cold)
(surface-condition v0 polished)
(surface-condition k0 rough)
(painted b1 blue)
(temperature a1 cold)
(painted m0 red)
(painted r0 blue)
(painted f1 yellow)
(painted l0 red)
(painted h0 black)
(shape m0 oblong)
(surface-condition j1 polished)
(painted g0 blue)
(has-hole i0 one back)
(has-hole h1 one back)
(temperature m0 cold)
(shape g1 cylindrical)
(shape p0 cylindrical)
(has-bit drill-press one)
(surface-condition k1 polished)
(painted e1 red)
(surface-condition a0 smooth)
(surface-condition e0 smooth)
(surface-condition b0 polished)
(shape z0 cylindrical)
(temperature l1 cold)
(temperature i1 cold)
(shape n0 oblong)
(shape l1 cylindrical)
(painted o0 yellow)
(has-hole l0 two back)
(has-hole o0 one front)
(surface-condition n0 rough)
(has-paint spray-painter yellow)
(has-paint spray-painter red)
(painted n0 blue)
(temperature e0 cold)
(temperature f1 cold)
(painted k0 black)
(surface-condition l0 rough)
(surface-condition l1 smooth)
)
(:goal (and
	  (painted o0 red)
	  (painted h1 blue)
	  (shape n0 cylindrical)
	  (painted v0 yellow)
	  (shape i1 cylindrical)
	  (painted a1 black)
	  (surface-condition o0 smooth)
	  (shape a0 cylindrical)
	  (surface-condition g1 rough)
	  (shape c1 cylindrical)
	  (painted b1 yellow)
	  (surface-condition r0 smooth)
	  (painted f1 black)
	  (surface-condition b1 rough)
	  (painted q0 black)
	  (shape i0 cylindrical)
	  (shape j1 cylindrical)
	  (painted j1 blue)
	  (painted c0 blue)
	  (shape k1 cylindrical)
	  (painted k0 yellow)
	  (shape f1 cylindrical)
	  (shape j0 cylindrical)
	  (painted i0 red)
	  (surface-condition b0 rough)
	  (surface-condition m0 polished)
	  (surface-condition h1 smooth)
	  (shape h1 cylindrical)
	  (shape o0 cylindrical)
	  (surface-condition f1 polished)
	  (painted u0 black)
	  (surface-condition w0 polished)
	  (shape u0 cylindrical)
	  (shape e1 cylindrical)
	  (shape d1 cylindrical))
)
)
