(define (problem schedule-35-1)
(:domain schedule)
(:objects
cold hot  - temperature-type
cylindrical circular oblong  - ashape
l1 k1 j1 i1 h1 g1 f1 e1 d1 c1 b1 a1 z0 w0 v0 u0 s0 r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
back front  - anorient
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
two three one  - width
polished rough smooth  - surface
blue yellow red black  - colour
)
(:init (surface-condition h0 rough)
(surface-condition c0 rough)
(has-bit punch two)
(temperature i0 cold)
(surface-condition q0 polished)
(shape s0 cylindrical)
(surface-condition k0 smooth)
(shape k1 circular)
(shape c0 circular)
(temperature u0 cold)
(painted l1 yellow)
(has-bit drill-press one)
(has-hole h1 two back)
(painted k0 black)
(has-hole e0 two back)
(shape e1 oblong)
(has-hole h0 two front)
(surface-condition u0 rough)
(shape v0 cylindrical)
(shape q0 oblong)
(shape h1 oblong)
(surface-condition a1 polished)
(has-hole c1 two back)
(surface-condition l1 smooth)
(has-hole w0 two back)
(has-hole a1 one back)
(has-paint spray-painter blue)
(shape f0 oblong)
(painted f0 black)
(painted j1 yellow)
(has-hole u0 two back)
(surface-condition l0 polished)
(has-paint immersion-painter red)
(surface-condition o0 smooth)
(shape f1 circular)
(shape d0 cylindrical)
(surface-condition b0 smooth)
(has-bit punch one)
(temperature d1 cold)
(temperature e1 cold)
(painted z0 blue)
(painted i0 black)
(surface-condition v0 rough)
(shape c1 cylindrical)
(surface-condition k1 rough)
(can-orient punch front)
(shape h0 oblong)
(has-paint immersion-painter black)
(has-hole k0 three back)
(surface-condition i0 smooth)
(temperature k0 cold)
(painted o0 yellow)
(has-hole k1 two back)
(painted v0 black)
(surface-condition b1 rough)
(temperature a0 cold)
(has-hole i1 one front)
(temperature w0 cold)
(painted d1 yellow)
(surface-condition w0 rough)
(has-hole j1 one front)
(has-paint spray-painter red)
(temperature e0 cold)
(has-hole f0 one back)
(painted j0 yellow)
(has-hole e1 three front)
(can-orient punch back)
(surface-condition e0 rough)
(shape m0 circular)
(can-orient drill-press front)
(temperature b1 cold)
(painted l0 black)
(shape n0 oblong)
(shape a1 oblong)
(painted n0 yellow)
(has-hole q0 one front)
(shape z0 cylindrical)
(temperature d0 cold)
(painted c1 red)
(shape i1 cylindrical)
(has-hole g0 one back)
(surface-condition n0 rough)
(painted a1 blue)
(surface-condition m0 polished)
(temperature s0 cold)
(shape o0 oblong)
(surface-condition r0 smooth)
(has-paint immersion-painter blue)
(painted m0 red)
(surface-condition s0 smooth)
(has-bit punch three)
(surface-condition f1 polished)
(shape a0 circular)
(surface-condition c1 rough)
(painted h1 black)
(shape j1 circular)
(painted k1 red)
(surface-condition i1 rough)
(has-bit drill-press two)
(temperature l0 cold)
(has-hole n0 one front)
(surface-condition e1 smooth)
(temperature q0 cold)
(temperature r0 cold)
(temperature h1 cold)
(painted i1 blue)
(painted b0 red)
(painted u0 black)
(painted w0 blue)
(painted r0 black)
(surface-condition z0 rough)
(temperature g1 cold)
(painted s0 black)
(temperature z0 cold)
(shape i0 oblong)
(surface-condition d1 polished)
(temperature l1 cold)
(surface-condition f0 polished)
(has-hole a0 one front)
(has-hole s0 one front)
(has-paint spray-painter black)
(shape e0 oblong)
(surface-condition p0 smooth)
(surface-condition a0 polished)
(has-hole b1 one back)
(painted q0 blue)
(temperature h0 cold)
(painted f1 black)
(shape g1 cylindrical)
(has-hole d1 one back)
(surface-condition g1 rough)
(shape g0 circular)
(has-hole l1 three front)
(surface-condition h1 rough)
(has-hole m0 three front)
(temperature i1 cold)
(has-hole c0 three back)
(surface-condition d0 smooth)
(painted e1 black)
(has-paint spray-painter yellow)
(temperature v0 cold)
(temperature k1 cold)
(painted b1 blue)
(temperature o0 cold)
(shape l1 circular)
(shape b0 circular)
(painted e0 red)
(temperature b0 cold)
(surface-condition j0 smooth)
(temperature c1 cold)
(temperature j0 cold)
(shape w0 cylindrical)
(shape r0 cylindrical)
(has-hole g1 three front)
(shape u0 oblong)
(shape j0 oblong)
(has-hole i0 one front)
(temperature p0 cold)
(has-hole l0 two back)
(painted g1 blue)
(painted d0 red)
(shape b1 oblong)
(has-hole d0 three back)
(temperature j1 cold)
(temperature c0 cold)
(has-hole v0 two front)
(shape k0 circular)
(surface-condition g0 smooth)
(has-hole j0 two back)
(shape p0 circular)
(painted a0 yellow)
(has-hole r0 one front)
(has-paint immersion-painter yellow)
(temperature f1 cold)
(has-hole f1 three front)
(temperature f0 cold)
(painted p0 yellow)
(painted h0 yellow)
(temperature n0 cold)
(temperature a1 cold)
(surface-condition j1 smooth)
(temperature g0 cold)
(shape l0 oblong)
(has-hole p0 one front)
(can-orient drill-press back)
(painted c0 red)
(has-bit drill-press three)
(painted g0 yellow)
(has-hole z0 one front)
(has-hole b0 one back)
(temperature m0 cold)
(shape d1 circular)
(has-hole o0 two front)
)
(:goal (and
	  (shape k0 cylindrical)
	  (painted h1 yellow)
	  (shape d1 cylindrical)
	  (surface-condition n0 polished)
	  (shape n0 cylindrical)
	  (painted o0 black)
	  (surface-condition l0 smooth)
	  (shape m0 cylindrical)
	  (surface-condition d1 rough)
	  (surface-condition k1 polished)
	  (painted u0 red)
	  (painted i1 yellow)
	  (shape b1 cylindrical)
	  (painted r0 blue)
	  (surface-condition d0 rough)
	  (painted k1 yellow)
	  (shape a0 cylindrical)
	  (surface-condition b0 rough)
	  (shape g0 cylindrical)
	  (surface-condition h1 polished)
	  (painted g0 black)
	  (painted a0 blue)
	  (shape i0 cylindrical)
	  (surface-condition v0 smooth)
	  (surface-condition i1 smooth)
	  (surface-condition b1 polished)
	  (painted a1 red)
	  (surface-condition c0 smooth)
	  (surface-condition o0 rough)
	  (surface-condition j0 polished)
	  (shape f0 cylindrical)
	  (surface-condition k0 polished)
	  (shape q0 cylindrical)
	  (painted q0 black)
	  (painted l1 blue))
)
)
