(define (problem schedule-39-2)
(:domain schedule)
(:objects
cold hot  - temperature-type
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
two three one  - width
cylindrical circular oblong  - ashape
back front  - anorient
blue yellow red black  - colour
q1 o1 n1 m1 l1 k1 j1 i1 h1 g1 f1 e1 d1 c1 b1 a1 z0 w0 v0 u0 s0 r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
polished rough smooth  - surface
)
(:init (temperature j0 cold)
(shape h0 oblong)
(temperature u0 cold)
(has-hole b1 one back)
(shape k1 circular)
(painted m1 blue)
(surface-condition c0 rough)
(surface-condition r0 smooth)
(can-orient punch back)
(has-hole a1 one back)
(has-hole n1 two front)
(shape m0 circular)
(shape l1 circular)
(shape w0 circular)
(surface-condition a0 polished)
(painted f0 red)
(shape r0 circular)
(painted v0 yellow)
(has-paint immersion-painter red)
(painted d1 black)
(surface-condition k0 polished)
(painted u0 black)
(shape l0 oblong)
(shape j1 circular)
(shape b1 circular)
(has-bit punch two)
(surface-condition n1 polished)
(has-bit drill-press one)
(has-hole d0 two front)
(shape g0 cylindrical)
(has-hole d1 two front)
(temperature n1 cold)
(has-paint spray-painter red)
(has-hole u0 one back)
(surface-condition a1 rough)
(has-paint spray-painter yellow)
(painted m0 black)
(surface-condition b1 polished)
(painted a0 yellow)
(has-hole e0 three front)
(temperature s0 cold)
(has-hole g1 one front)
(has-bit punch one)
(has-hole j1 one back)
(has-hole l0 three back)
(surface-condition d0 polished)
(painted e0 red)
(painted b0 blue)
(shape p0 circular)
(painted i0 black)
(temperature g0 cold)
(has-hole f1 one back)
(surface-condition h0 rough)
(has-hole a0 one back)
(has-paint spray-painter blue)
(has-hole r0 two front)
(temperature k0 cold)
(painted d0 yellow)
(shape i0 circular)
(painted r0 black)
(surface-condition n0 rough)
(surface-condition o1 rough)
(temperature c0 cold)
(surface-condition m0 polished)
(shape f0 oblong)
(painted k1 black)
(temperature w0 cold)
(has-hole b0 one front)
(surface-condition p0 polished)
(has-bit drill-press two)
(shape d0 cylindrical)
(painted q1 yellow)
(painted c0 black)
(temperature m0 cold)
(surface-condition e0 rough)
(has-hole m1 one back)
(painted i1 black)
(shape g1 cylindrical)
(temperature p0 cold)
(painted h0 red)
(surface-condition l1 polished)
(temperature g1 cold)
(can-orient punch front)
(shape f1 oblong)
(surface-condition w0 smooth)
(surface-condition q1 polished)
(shape b0 cylindrical)
(temperature b1 cold)
(can-orient drill-press back)
(shape a0 cylindrical)
(temperature e0 cold)
(shape n0 cylindrical)
(shape o1 cylindrical)
(temperature b0 cold)
(temperature q1 cold)
(has-hole h0 one back)
(shape e0 cylindrical)
(temperature d0 cold)
(painted n0 yellow)
(has-hole j0 three front)
(temperature n0 cold)
(temperature d1 cold)
(has-hole k1 one back)
(shape n1 cylindrical)
(temperature o1 cold)
(shape k0 oblong)
(shape q1 oblong)
(temperature j1 cold)
(temperature f0 cold)
(painted f1 red)
(painted p0 yellow)
(surface-condition z0 smooth)
(painted c1 yellow)
(has-hole e1 three front)
(shape z0 oblong)
(temperature a0 cold)
(painted h1 red)
(shape c0 oblong)
(surface-condition g0 smooth)
(painted s0 blue)
(surface-condition m1 polished)
(temperature f1 cold)
(temperature m1 cold)
(surface-condition h1 rough)
(temperature i1 cold)
(has-hole p0 two back)
(has-paint immersion-painter black)
(shape h1 circular)
(has-hole g0 one front)
(temperature h1 cold)
(shape e1 circular)
(painted a1 red)
(has-hole l1 one back)
(surface-condition b0 smooth)
(temperature r0 cold)
(temperature e1 cold)
(temperature c1 cold)
(has-hole v0 three back)
(temperature a1 cold)
(has-hole m0 three front)
(shape c1 oblong)
(temperature h0 cold)
(shape j0 oblong)
(temperature o0 cold)
(shape u0 cylindrical)
(has-hole z0 two front)
(surface-condition f1 smooth)
(temperature k1 cold)
(can-orient drill-press front)
(shape s0 oblong)
(temperature q0 cold)
(shape m1 circular)
(painted l0 blue)
(shape v0 circular)
(temperature z0 cold)
(surface-condition u0 polished)
(painted k0 yellow)
(has-hole n0 two back)
(has-hole c0 three back)
(surface-condition l0 polished)
(has-hole i0 one front)
(painted n1 black)
(painted b1 red)
(painted l1 yellow)
(painted z0 black)
(surface-condition j1 polished)
(has-hole o1 one back)
(has-bit punch three)
(temperature l0 cold)
(has-hole i1 one front)
(has-paint spray-painter black)
(has-hole o0 three back)
(surface-condition d1 smooth)
(has-hole h1 two back)
(surface-condition s0 smooth)
(shape i1 oblong)
(surface-condition c1 smooth)
(has-hole f0 one front)
(surface-condition g1 smooth)
(has-hole k0 one back)
(temperature l1 cold)
(temperature v0 cold)
(has-bit drill-press three)
(painted j1 black)
(shape d1 circular)
(painted w0 yellow)
(shape a1 oblong)
(has-hole s0 one front)
(painted q0 yellow)
(surface-condition v0 rough)
(surface-condition o0 rough)
(has-hole q0 three back)
(painted e1 yellow)
(surface-condition j0 smooth)
(surface-condition k1 polished)
(surface-condition f0 rough)
(surface-condition i1 polished)
(painted g0 red)
(painted o1 blue)
(has-paint immersion-painter blue)
(has-hole w0 two front)
(has-paint immersion-painter yellow)
(surface-condition i0 polished)
(surface-condition e1 rough)
(has-hole q1 three back)
(painted o0 black)
(temperature i0 cold)
(has-hole c1 one front)
(painted g1 blue)
(surface-condition q0 polished)
(shape q0 circular)
(shape o0 circular)
(painted j0 yellow)
)
(:goal (and
	  (painted m1 black)
	  (shape f1 cylindrical)
	  (surface-condition c0 smooth)
	  (painted z0 yellow)
	  (painted m0 blue)
	  (surface-condition w0 rough)
	  (painted a0 black)
	  (painted o0 yellow)
	  (shape p0 cylindrical)
	  (painted g0 black)
	  (surface-condition a0 rough)
	  (surface-condition j1 smooth)
	  (shape s0 cylindrical)
	  (painted e0 yellow)
	  (painted h1 black)
	  (surface-condition g0 polished)
	  (surface-condition l0 rough)
	  (shape h0 cylindrical)
	  (shape l1 cylindrical)
	  (painted e1 red)
	  (painted l0 yellow)
	  (painted c0 yellow)
	  (shape k1 cylindrical)
	  (surface-condition f1 rough)
	  (shape e1 cylindrical)
	  (painted b0 red)
	  (painted p0 red)
	  (painted q0 red)
	  (painted h0 yellow)
	  (painted b1 blue)
	  (surface-condition l1 rough)
	  (shape q0 cylindrical)
	  (painted f0 blue)
	  (shape r0 cylindrical)
	  (surface-condition e1 smooth)
	  (shape l0 cylindrical)
	  (painted j1 blue)
	  (painted k1 yellow)
	  (shape b1 cylindrical))
)
)
