(define (problem schedule-4-2)
(:domain schedule)
(:objects
polished rough smooth  - surface
cylindrical circular oblong  - ashape
back front  - anorient
two three one  - width
blue yellow red black  - colour
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
cold hot  - temperature-type
d0 c0 b0 a0  - part
)
(:init (has-hole d0 three front)
(has-bit drill-press one)
(shape d0 cylindrical)
(shape b0 circular)
(surface-condition c0 polished)
(can-orient punch front)
(has-paint immersion-painter blue)
(has-bit punch one)
(has-bit drill-press three)
(has-hole b0 one back)
(has-paint immersion-painter black)
(has-paint spray-painter yellow)
(painted d0 blue)
(temperature d0 cold)
(shape c0 oblong)
(has-hole a0 one front)
(surface-condition a0 polished)
(has-paint spray-painter red)
(has-hole c0 three front)
(can-orient drill-press back)
(surface-condition d0 rough)
(has-paint spray-painter blue)
(painted b0 yellow)
(has-bit punch two)
(temperature c0 cold)
(painted c0 red)
(shape a0 cylindrical)
(has-bit punch three)
(temperature a0 cold)
(has-paint spray-painter black)
(painted a0 black)
(temperature b0 cold)
(has-bit drill-press two)
(can-orient drill-press front)
(can-orient punch back)
(surface-condition b0 rough)
(has-paint immersion-painter yellow)
(has-paint immersion-painter red)
)
(:goal (and
	  (painted b0 red)
	  (surface-condition d0 smooth)
	  (shape b0 cylindrical)
	  (shape c0 cylindrical))
)
)
