(define (problem schedule-42-2)
(:domain schedule)
(:objects
cylindrical circular oblong  - ashape
cold hot  - temperature-type
back front  - anorient
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
two three one  - width
blue yellow red black  - colour
polished rough smooth  - surface
s1 r1 p1 q1 o1 n1 m1 l1 k1 j1 i1 h1 g1 f1 e1 d1 c1 b1 a1 z0 w0 v0 u0 s0 r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
)
(:init (shape c0 circular)
(has-paint immersion-painter black)
(temperature s1 cold)
(surface-condition q0 smooth)
(shape h0 cylindrical)
(shape l1 oblong)
(shape o1 oblong)
(has-paint immersion-painter yellow)
(painted i1 red)
(has-hole k0 two front)
(has-hole q1 two back)
(painted f0 blue)
(painted d0 blue)
(temperature k1 cold)
(can-orient punch front)
(has-bit punch two)
(has-hole h0 two back)
(has-bit punch three)
(painted n1 yellow)
(shape m1 oblong)
(has-hole p0 three back)
(surface-condition s0 rough)
(painted c1 yellow)
(painted k1 red)
(has-hole a0 two back)
(has-hole j0 three front)
(shape m0 circular)
(has-hole n1 one front)
(temperature i0 cold)
(shape j0 circular)
(temperature h0 cold)
(has-hole a1 three front)
(shape r0 cylindrical)
(temperature b0 cold)
(shape p1 cylindrical)
(has-hole r0 three front)
(temperature m0 cold)
(painted o0 black)
(surface-condition z0 rough)
(surface-condition a1 smooth)
(surface-condition b0 smooth)
(surface-condition v0 smooth)
(temperature r0 cold)
(painted p0 black)
(temperature g1 cold)
(painted j0 blue)
(temperature o0 cold)
(has-hole i0 three front)
(shape j1 circular)
(shape u0 oblong)
(surface-condition l1 rough)
(surface-condition o1 rough)
(temperature q1 cold)
(has-paint spray-painter yellow)
(has-hole c1 one back)
(temperature r1 cold)
(surface-condition m1 rough)
(painted e0 black)
(surface-condition j1 rough)
(shape q1 cylindrical)
(has-hole z0 one front)
(painted b0 red)
(temperature l1 cold)
(surface-condition m0 rough)
(has-paint spray-painter red)
(painted c0 yellow)
(painted r0 red)
(painted h1 black)
(painted l1 black)
(shape f1 oblong)
(temperature n0 cold)
(has-bit drill-press one)
(painted q1 blue)
(temperature o1 cold)
(shape h1 oblong)
(can-orient drill-press front)
(surface-condition o0 smooth)
(temperature d0 cold)
(temperature v0 cold)
(surface-condition i1 smooth)
(has-hole d0 three front)
(painted i0 yellow)
(shape i1 circular)
(painted m1 red)
(has-hole o0 two back)
(painted n0 yellow)
(surface-condition r1 rough)
(surface-condition u0 smooth)
(has-hole s1 one back)
(has-hole q0 one front)
(temperature j1 cold)
(shape a1 cylindrical)
(painted q0 red)
(surface-condition e1 polished)
(temperature w0 cold)
(temperature a0 cold)
(has-hole f1 one front)
(has-hole l1 one front)
(shape v0 oblong)
(has-hole o1 one front)
(painted r1 yellow)
(has-hole d1 three front)
(has-hole l0 two back)
(has-hole i1 two front)
(temperature i1 cold)
(painted d1 yellow)
(painted e1 yellow)
(painted u0 red)
(shape s1 oblong)
(has-paint immersion-painter blue)
(has-bit drill-press three)
(temperature f0 cold)
(shape f0 cylindrical)
(surface-condition k0 polished)
(has-hole s0 three back)
(temperature f1 cold)
(shape k1 cylindrical)
(shape s0 oblong)
(shape c1 oblong)
(temperature e0 cold)
(surface-condition i0 smooth)
(surface-condition s1 rough)
(has-hole r1 two front)
(has-hole g1 three back)
(surface-condition k1 polished)
(shape l0 circular)
(surface-condition b1 rough)
(has-hole g0 two back)
(has-hole k1 one back)
(surface-condition h0 polished)
(temperature p0 cold)
(shape g0 oblong)
(surface-condition e0 rough)
(temperature z0 cold)
(has-paint spray-painter black)
(can-orient punch back)
(has-hole b0 one back)
(painted j1 black)
(shape r1 oblong)
(surface-condition d1 smooth)
(surface-condition r0 smooth)
(painted k0 red)
(shape q0 circular)
(painted b1 blue)
(surface-condition g0 polished)
(shape i0 cylindrical)
(shape o0 oblong)
(surface-condition h1 rough)
(painted o1 yellow)
(temperature l0 cold)
(temperature p1 cold)
(shape z0 circular)
(painted h0 blue)
(surface-condition q1 rough)
(painted a0 blue)
(temperature q0 cold)
(painted s1 black)
(temperature u0 cold)
(painted v0 red)
(has-hole m0 two front)
(has-hole v0 two back)
(surface-condition l0 rough)
(can-orient drill-press back)
(surface-condition n0 smooth)
(has-hole b1 three front)
(shape n0 cylindrical)
(shape g1 oblong)
(surface-condition d0 smooth)
(surface-condition p1 rough)
(painted g0 yellow)
(temperature d1 cold)
(surface-condition j0 smooth)
(has-hole u0 three back)
(temperature e1 cold)
(has-hole n0 two back)
(has-hole j1 two back)
(has-hole f0 three back)
(has-bit drill-press two)
(temperature g0 cold)
(temperature m1 cold)
(has-bit punch one)
(shape k0 oblong)
(surface-condition p0 smooth)
(temperature n1 cold)
(temperature k0 cold)
(painted f1 red)
(temperature a1 cold)
(painted g1 blue)
(shape b1 oblong)
(surface-condition n1 rough)
(shape b0 circular)
(painted z0 blue)
(shape d1 circular)
(shape e1 circular)
(painted s0 black)
(temperature c0 cold)
(surface-condition w0 smooth)
(temperature j0 cold)
(has-paint immersion-painter red)
(temperature c1 cold)
(surface-condition g1 smooth)
(surface-condition f0 smooth)
(has-hole p1 three front)
(surface-condition c0 rough)
(painted a1 red)
(has-hole e0 one front)
(surface-condition f1 polished)
(has-paint spray-painter blue)
(has-hole e1 two front)
(shape n1 circular)
(painted m0 red)
(has-hole w0 two front)
(painted p1 yellow)
(temperature s0 cold)
(shape d0 circular)
(painted l0 yellow)
(surface-condition a0 polished)
(has-hole h1 two back)
(painted w0 black)
(temperature h1 cold)
(shape w0 circular)
(has-hole m1 three front)
(has-hole c0 three back)
(shape e0 oblong)
(shape a0 cylindrical)
(surface-condition c1 rough)
(shape p0 cylindrical)
(temperature b1 cold)
)
(:goal (and
	  (painted k0 yellow)
	  (surface-condition v0 rough)
	  (surface-condition p0 rough)
	  (painted h0 yellow)
	  (painted l0 blue)
	  (surface-condition o1 polished)
	  (surface-condition j1 smooth)
	  (shape i1 cylindrical)
	  (painted q0 black)
	  (surface-condition e1 rough)
	  (surface-condition p1 smooth)
	  (painted i0 blue)
	  (painted j1 yellow)
	  (surface-condition h1 smooth)
	  (shape d0 cylindrical)
	  (surface-condition b0 rough)
	  (surface-condition s0 polished)
	  (painted u0 black)
	  (surface-condition q1 smooth)
	  (painted w0 yellow)
	  (shape l1 cylindrical)
	  (surface-condition n0 polished)
	  (surface-condition i0 rough)
	  (painted j0 red)
	  (shape b1 cylindrical)
	  (surface-condition n1 polished)
	  (shape b0 cylindrical)
	  (painted o0 blue)
	  (painted r0 black)
	  (painted k1 blue)
	  (shape q0 cylindrical)
	  (surface-condition o0 polished)
	  (shape w0 cylindrical)
	  (shape o1 cylindrical)
	  (surface-condition u0 rough)
	  (painted f0 black)
	  (surface-condition a1 rough)
	  (painted n0 red)
	  (shape h1 cylindrical)
	  (shape d1 cylindrical)
	  (surface-condition c0 smooth)
	  (surface-condition q0 rough))
)
)
