(define (problem schedule-45-0)
(:domain schedule)
(:objects
polished rough smooth  - surface
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
two three one  - width
blue yellow red black  - colour
cold hot  - temperature-type
cylindrical circular oblong  - ashape
back front  - anorient
w1 v1 u1 s1 r1 p1 q1 o1 n1 m1 l1 k1 j1 i1 h1 g1 f1 e1 d1 c1 b1 a1 z0 w0 v0 u0 s0 r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
)
(:init (surface-condition c1 smooth)
(has-hole k0 two front)
(painted j1 black)
(surface-condition r1 rough)
(painted m1 black)
(shape a1 circular)
(shape j1 circular)
(has-hole o0 two front)
(temperature p1 cold)
(temperature k0 cold)
(temperature n0 cold)
(painted c0 yellow)
(painted s0 blue)
(has-paint spray-painter black)
(shape b0 cylindrical)
(surface-condition k0 rough)
(temperature p0 cold)
(shape p1 oblong)
(has-hole h1 one front)
(shape v0 circular)
(painted k0 black)
(has-hole g0 one front)
(painted n0 black)
(surface-condition b1 smooth)
(surface-condition o1 polished)
(surface-condition j0 polished)
(has-hole f0 two back)
(painted l0 blue)
(has-hole d1 two front)
(temperature w0 cold)
(has-hole j1 one back)
(shape c0 oblong)
(has-hole e0 two back)
(has-hole a1 three back)
(shape l1 cylindrical)
(temperature n1 cold)
(can-orient punch back)
(painted u1 red)
(has-bit drill-press two)
(has-bit punch one)
(has-hole b1 one back)
(surface-condition p1 smooth)
(surface-condition a0 smooth)
(has-hole n1 three back)
(has-hole w1 three front)
(has-hole w0 one back)
(has-bit punch three)
(temperature e1 cold)
(shape r1 cylindrical)
(painted q0 yellow)
(temperature s0 cold)
(painted q1 black)
(temperature e0 cold)
(temperature u1 cold)
(temperature l1 cold)
(painted s1 red)
(shape j0 circular)
(shape h1 cylindrical)
(temperature g0 cold)
(painted r1 black)
(has-hole u1 three back)
(has-hole v0 one back)
(temperature b0 cold)
(surface-condition i0 smooth)
(painted j0 black)
(surface-condition j1 smooth)
(temperature a0 cold)
(temperature f0 cold)
(surface-condition g1 polished)
(surface-condition i1 smooth)
(has-hole a0 two front)
(has-hole q0 two front)
(shape o1 cylindrical)
(painted f0 blue)
(shape d0 cylindrical)
(painted v1 blue)
(surface-condition s0 rough)
(has-hole j0 one front)
(temperature b1 cold)
(shape n1 cylindrical)
(shape q0 circular)
(painted u0 blue)
(surface-condition k1 smooth)
(has-hole h0 three front)
(surface-condition m0 rough)
(surface-condition q1 smooth)
(shape v1 cylindrical)
(temperature w1 cold)
(has-hole c1 three front)
(shape f0 circular)
(surface-condition e0 polished)
(temperature d0 cold)
(temperature m1 cold)
(shape s0 circular)
(temperature h0 cold)
(has-hole c0 one front)
(surface-condition f0 polished)
(temperature g1 cold)
(painted i0 blue)
(painted o0 yellow)
(painted g1 blue)
(painted a0 black)
(surface-condition d0 rough)
(shape w1 oblong)
(painted h0 black)
(has-paint immersion-painter red)
(surface-condition o0 rough)
(surface-condition v1 smooth)
(temperature l0 cold)
(has-paint immersion-painter yellow)
(painted w0 red)
(shape w0 oblong)
(painted p0 red)
(temperature d1 cold)
(surface-condition u1 smooth)
(has-hole k1 three back)
(has-hole l1 three front)
(temperature q0 cold)
(surface-condition l1 rough)
(has-bit drill-press three)
(shape z0 cylindrical)
(temperature a1 cold)
(shape c1 oblong)
(painted i1 yellow)
(can-orient punch front)
(temperature o0 cold)
(shape d1 oblong)
(surface-condition n0 polished)
(has-hole v1 two back)
(painted m0 black)
(surface-condition h0 smooth)
(temperature h1 cold)
(painted v0 blue)
(has-hole p1 three back)
(has-hole r1 three back)
(temperature z0 cold)
(surface-condition e1 polished)
(has-hole e1 two front)
(painted n1 yellow)
(has-hole b0 one front)
(temperature m0 cold)
(temperature j1 cold)
(temperature i0 cold)
(temperature q1 cold)
(shape k1 circular)
(has-paint spray-painter yellow)
(surface-condition w1 polished)
(has-paint spray-painter blue)
(painted w1 blue)
(surface-condition q0 rough)
(has-hole q1 three back)
(shape u0 cylindrical)
(painted e0 black)
(painted b0 blue)
(shape k0 cylindrical)
(shape n0 cylindrical)
(temperature c1 cold)
(surface-condition m1 polished)
(painted o1 red)
(painted a1 black)
(shape i0 oblong)
(has-paint spray-painter red)
(shape a0 cylindrical)
(shape e0 circular)
(shape e1 oblong)
(has-hole g1 two front)
(shape q1 cylindrical)
(shape r0 circular)
(surface-condition l0 rough)
(painted e1 yellow)
(painted d0 yellow)
(has-hole m0 one back)
(surface-condition d1 polished)
(painted f1 black)
(surface-condition s1 smooth)
(temperature u0 cold)
(shape l0 oblong)
(surface-condition p0 rough)
(has-hole r0 two front)
(has-hole u0 one back)
(shape b1 circular)
(temperature o1 cold)
(surface-condition f1 rough)
(has-hole o1 one back)
(can-orient drill-press back)
(surface-condition g0 rough)
(shape s1 oblong)
(surface-condition b0 smooth)
(has-hole n0 one back)
(shape m0 circular)
(surface-condition r0 polished)
(painted r0 red)
(has-hole m1 two back)
(temperature v1 cold)
(surface-condition w0 polished)
(painted c1 black)
(surface-condition n1 polished)
(temperature s1 cold)
(shape g1 cylindrical)
(shape p0 oblong)
(has-hole s0 one back)
(surface-condition h1 polished)
(has-hole d0 three front)
(painted g0 black)
(temperature k1 cold)
(shape u1 cylindrical)
(temperature i1 cold)
(surface-condition u0 smooth)
(surface-condition c0 smooth)
(has-hole f1 three back)
(surface-condition z0 polished)
(has-hole i0 one front)
(shape o0 oblong)
(painted k1 red)
(painted p1 red)
(can-orient drill-press front)
(has-hole s1 one back)
(has-hole i1 one front)
(temperature r0 cold)
(temperature j0 cold)
(surface-condition a1 smooth)
(temperature v0 cold)
(painted z0 yellow)
(painted b1 black)
(painted l1 black)
(has-bit punch two)
(has-bit drill-press one)
(temperature c0 cold)
(surface-condition v0 polished)
(painted h1 black)
(shape m1 circular)
(temperature r1 cold)
(shape g0 oblong)
(shape f1 circular)
(has-paint immersion-painter blue)
(temperature f1 cold)
(has-hole l0 one front)
(shape i1 oblong)
(has-paint immersion-painter black)
(painted d1 red)
(has-hole z0 two front)
(has-hole p0 three front)
(shape h0 cylindrical)
)
(:goal (and
	  (surface-condition q0 polished)
	  (surface-condition w0 smooth)
	  (painted u1 yellow)
	  (painted s0 black)
	  (shape j1 cylindrical)
	  (painted d1 yellow)
	  (painted m0 blue)
	  (painted u0 yellow)
	  (surface-condition i1 rough)
	  (painted w0 black)
	  (painted e0 blue)
	  (surface-condition l1 polished)
	  (painted h0 yellow)
	  (shape k1 cylindrical)
	  (surface-condition j0 rough)
	  (shape s0 cylindrical)
	  (shape i0 cylindrical)
	  (shape m1 cylindrical)
	  (painted s1 black)
	  (shape f1 cylindrical)
	  (surface-condition q1 rough)
	  (painted q0 black)
	  (shape v0 cylindrical)
	  (surface-condition m1 smooth)
	  (shape c1 cylindrical)
	  (surface-condition h1 rough)
	  (painted o1 black)
	  (surface-condition b0 rough)
	  (surface-condition u1 polished)
	  (shape e0 cylindrical)
	  (surface-condition g1 smooth)
	  (surface-condition c0 polished)
	  (surface-condition d0 smooth)
	  (surface-condition c1 polished)
	  (surface-condition k1 polished)
	  (surface-condition w1 smooth)
	  (surface-condition g0 polished)
	  (painted d0 blue)
	  (painted a1 red)
	  (surface-condition f1 polished)
	  (surface-condition n0 rough)
	  (shape a1 cylindrical)
	  (painted b1 red)
	  (painted l0 red)
	  (shape w0 cylindrical))
)
)
