(define (problem schedule-50-2)
(:domain schedule)
(:objects
polished rough smooth  - surface
cylindrical circular oblong  - ashape
cold hot  - temperature-type
two three one  - width
blue yellow red black  - colour
back front  - anorient
d2 c2 b2 a2 z1 w1 v1 u1 s1 r1 p1 q1 o1 n1 m1 l1 k1 j1 i1 h1 g1 f1 e1 d1 c1 b1 a1 z0 w0 v0 u0 s0 r0 p0 q0 o0 n0 m0 l0 k0 j0 i0 h0 g0 f0 e0 d0 c0 b0 a0  - part
polisher roller lathe grinder punch drill-press spray-painter immersion-painter  - machine
)
(:init (shape l1 oblong)
(painted k0 yellow)
(painted w1 red)
(has-bit punch one)
(has-hole n0 one back)
(shape k0 cylindrical)
(temperature d1 cold)
(surface-condition a2 smooth)
(temperature w0 cold)
(surface-condition k0 polished)
(surface-condition j1 rough)
(has-hole u1 two front)
(has-hole j1 two back)
(shape f1 oblong)
(surface-condition p1 polished)
(shape c2 cylindrical)
(shape i0 circular)
(temperature w1 cold)
(has-hole c0 one front)
(shape e0 oblong)
(temperature u1 cold)
(has-hole w1 three back)
(surface-condition d2 rough)
(has-hole a1 one back)
(surface-condition c0 polished)
(has-paint spray-painter black)
(shape u0 cylindrical)
(temperature v1 cold)
(surface-condition d0 rough)
(surface-condition a0 rough)
(painted g1 yellow)
(surface-condition h1 polished)
(shape a2 circular)
(surface-condition s1 polished)
(painted j1 yellow)
(shape b0 oblong)
(temperature o0 cold)
(shape m0 oblong)
(shape q0 oblong)
(surface-condition n1 rough)
(painted n1 red)
(shape b1 cylindrical)
(painted f1 yellow)
(painted i1 red)
(painted r1 blue)
(surface-condition f1 polished)
(has-hole p0 two back)
(surface-condition p0 rough)
(has-hole e0 three back)
(shape f0 cylindrical)
(painted b2 yellow)
(painted n0 blue)
(has-hole h1 three front)
(temperature f0 cold)
(has-bit drill-press two)
(has-hole k0 one back)
(shape c0 circular)
(temperature e1 cold)
(temperature v0 cold)
(surface-condition f0 polished)
(has-paint spray-painter yellow)
(shape d1 oblong)
(surface-condition q1 rough)
(painted v1 blue)
(has-hole r0 one front)
(temperature z0 cold)
(painted e1 red)
(painted e0 yellow)
(painted m0 red)
(temperature l1 cold)
(shape o1 circular)
(painted f0 red)
(surface-condition z0 smooth)
(has-hole q0 two back)
(temperature d0 cold)
(temperature g0 cold)
(has-hole i1 one front)
(surface-condition d1 rough)
(has-hole k1 one front)
(temperature a1 cold)
(painted c2 red)
(temperature c1 cold)
(surface-condition k1 polished)
(surface-condition r0 smooth)
(painted k1 black)
(has-paint immersion-painter blue)
(painted r0 yellow)
(has-hole z0 two front)
(shape s0 oblong)
(temperature b1 cold)
(has-hole b0 two front)
(shape s1 cylindrical)
(has-hole a2 three front)
(temperature r0 cold)
(surface-condition r1 rough)
(has-hole e1 two back)
(shape v0 cylindrical)
(surface-condition s0 rough)
(has-hole f1 three front)
(shape m1 oblong)
(surface-condition u1 smooth)
(shape j1 oblong)
(surface-condition v0 polished)
(painted d0 yellow)
(has-hole c2 two front)
(has-hole a0 three front)
(painted b0 blue)
(surface-condition u0 polished)
(has-hole c1 two back)
(temperature d2 cold)
(surface-condition j0 smooth)
(surface-condition z1 polished)
(has-paint immersion-painter yellow)
(has-paint immersion-painter black)
(has-paint spray-painter red)
(has-bit drill-press three)
(has-hole o1 one back)
(temperature b0 cold)
(has-bit drill-press one)
(has-hole v1 one back)
(has-hole d2 three front)
(surface-condition w1 smooth)
(surface-condition c1 polished)
(has-hole h0 three back)
(temperature j0 cold)
(shape h0 cylindrical)
(painted a2 yellow)
(surface-condition b2 smooth)
(has-hole s0 one back)
(shape d0 oblong)
(shape g0 oblong)
(painted h1 yellow)
(surface-condition m1 rough)
(painted p1 black)
(painted s1 blue)
(has-hole l1 three front)
(temperature a2 cold)
(surface-condition e0 rough)
(surface-condition b1 polished)
(can-orient punch back)
(painted a0 yellow)
(shape j0 oblong)
(has-hole q1 one front)
(has-hole i0 one back)
(temperature m0 cold)
(temperature k1 cold)
(shape c1 oblong)
(temperature s0 cold)
(temperature p0 cold)
(shape r1 circular)
(painted c0 black)
(has-hole d0 one front)
(has-hole g0 one front)
(shape p1 cylindrical)
(has-hole s1 two front)
(surface-condition l1 smooth)
(shape l0 oblong)
(temperature m1 cold)
(shape n0 oblong)
(temperature i0 cold)
(painted p0 red)
(shape w1 cylindrical)
(painted u0 blue)
(can-orient drill-press back)
(has-hole g1 one front)
(painted o1 blue)
(temperature f1 cold)
(surface-condition g1 rough)
(has-hole u0 three back)
(painted d1 yellow)
(painted h0 black)
(shape q1 circular)
(has-hole p1 two back)
(shape i1 circular)
(temperature u0 cold)
(painted i0 yellow)
(painted z0 red)
(shape h1 circular)
(shape u1 cylindrical)
(surface-condition n0 rough)
(shape d2 oblong)
(painted l0 red)
(can-orient drill-press front)
(surface-condition m0 polished)
(temperature j1 cold)
(surface-condition g0 polished)
(shape a0 oblong)
(temperature i1 cold)
(surface-condition o1 polished)
(temperature a0 cold)
(temperature r1 cold)
(painted v0 blue)
(has-hole m1 two front)
(has-hole m0 three front)
(has-bit punch two)
(painted s0 red)
(has-hole z1 two back)
(shape b2 cylindrical)
(temperature h0 cold)
(temperature n0 cold)
(surface-condition i1 smooth)
(surface-condition c2 polished)
(temperature c2 cold)
(shape v1 oblong)
(has-hole w0 three front)
(surface-condition v1 polished)
(shape g1 cylindrical)
(surface-condition h0 smooth)
(can-orient punch front)
(shape a1 cylindrical)
(has-hole r1 one back)
(shape z0 circular)
(has-paint immersion-painter red)
(temperature c0 cold)
(temperature g1 cold)
(shape w0 circular)
(painted d2 yellow)
(painted l1 yellow)
(temperature e0 cold)
(surface-condition w0 smooth)
(temperature k0 cold)
(painted m1 red)
(temperature z1 cold)
(painted o0 black)
(surface-condition o0 polished)
(has-hole b1 one back)
(painted b1 yellow)
(temperature n1 cold)
(shape r0 cylindrical)
(painted g0 blue)
(temperature l0 cold)
(painted q0 yellow)
(shape p0 cylindrical)
(surface-condition a1 polished)
(painted a1 black)
(painted q1 black)
(temperature s1 cold)
(has-hole j0 one front)
(painted z1 yellow)
(temperature q1 cold)
(shape z1 oblong)
(has-hole d1 two back)
(temperature h1 cold)
(surface-condition q0 polished)
(has-hole o0 one back)
(has-hole f0 three front)
(painted w0 blue)
(painted u1 yellow)
(temperature o1 cold)
(temperature b2 cold)
(has-hole b2 two front)
(surface-condition b0 polished)
(has-hole v0 one back)
(shape o0 circular)
(shape k1 oblong)
(painted j0 red)
(surface-condition l0 rough)
(surface-condition e1 smooth)
(has-hole l0 two front)
(has-paint spray-painter blue)
(has-bit punch three)
(has-hole n1 three front)
(painted c1 black)
(shape e1 circular)
(temperature p1 cold)
(temperature q0 cold)
(shape n1 oblong)
(surface-condition i0 rough)
)
(:goal (and
	  (surface-condition a0 polished)
	  (shape c1 cylindrical)
	  (painted a0 black)
	  (painted h1 blue)
	  (surface-condition z1 rough)
	  (shape k1 cylindrical)
	  (shape w0 cylindrical)
	  (shape q1 cylindrical)
	  (painted w0 yellow)
	  (surface-condition u1 polished)
	  (surface-condition b1 smooth)
	  (painted z1 red)
	  (surface-condition k1 smooth)
	  (painted z0 yellow)
	  (surface-condition r1 smooth)
	  (surface-condition a1 rough)
	  (shape i0 cylindrical)
	  (surface-condition c0 rough)
	  (painted a2 blue)
	  (surface-condition w1 rough)
	  (surface-condition n0 smooth)
	  (painted g0 red)
	  (surface-condition h1 smooth)
	  (painted l1 blue)
	  (painted e1 blue)
	  (shape s0 cylindrical)
	  (painted d0 blue)
	  (painted m0 black)
	  (surface-condition q1 smooth)
	  (shape z1 cylindrical)
	  (surface-condition l0 polished)
	  (surface-condition v1 rough)
	  (shape f1 cylindrical)
	  (shape b0 cylindrical)
	  (shape i1 cylindrical)
	  (shape l0 cylindrical)
	  (surface-condition a2 rough)
	  (painted n0 yellow)
	  (painted b2 black)
	  (surface-condition v0 smooth)
	  (shape j0 cylindrical)
	  (painted f1 red)
	  (surface-condition g1 polished)
	  (shape d1 cylindrical)
	  (surface-condition b0 smooth)
	  (surface-condition o0 smooth)
	  (painted a1 red)
	  (shape j1 cylindrical)
	  (painted j1 red)
	  (surface-condition z0 polished))
)
)
