(define (problem wood-prob)
(:domain woodworking)
(:objects
grinder0  - grinder
saw0  - saw
spray-varnisher0  - spray-varnisher
s0 s1 s2 s3 s4 s5  - aboardsize
b0 b1  - board
p0 p1 p2 p3 p4  - part
planer0  - planer
highspeed-saw0  - highspeed-saw
immersion-varnisher0  - immersion-varnisher
small medium large  - apartsize
natural green white red black  - acolour
verysmooth smooth rough  - surface
teak mahogany  - awood
varnished glazed untreated colourfragments  - treatmentstatus
glazer0  - glazer
)
(:init (= (total-cost ) 0)
(= (spray-varnish-cost p0) 10)
(= (glaze-cost p0) 15)
(= (grind-cost p0) 30)
(= (plane-cost p0) 20)
(= (spray-varnish-cost p1) 5)
(= (glaze-cost p1) 10)
(= (grind-cost p1) 15)
(= (plane-cost p1) 10)
(= (spray-varnish-cost p2) 5)
(= (glaze-cost p2) 10)
(= (grind-cost p2) 15)
(= (plane-cost p2) 10)
(= (spray-varnish-cost p3) 15)
(= (glaze-cost p3) 20)
(= (grind-cost p3) 45)
(= (plane-cost p3) 30)
(= (spray-varnish-cost p4) 10)
(= (glaze-cost p4) 15)
(= (grind-cost p4) 30)
(= (plane-cost p4) 20)
(boardsize-successor s2 s3)
(boardsize-successor s3 s4)
(available b1)
(available b0)
(goalsize p3 large)
(unused p3)
(boardsize-successor s1 s2)
(unused p0)
(grind-treatment-change colourfragments untreated)
(has-colour glazer0 green)
(surface-condition p2 rough)
(unused p4)
(surface-condition b0 rough)
(surface-condition b1 rough)
(unused p1)
(available p2)
(boardsize-successor s4 s5)
(goalsize p0 medium)
(has-colour spray-varnisher0 green)
(has-colour immersion-varnisher0 green)
(goalsize p2 small)
(goalsize p1 small)
(wood p2 mahogany)
(is-smooth verysmooth)
(wood b0 teak)
(grind-treatment-change glazed untreated)
(boardsize b0 s3)
(grind-treatment-change untreated untreated)
(treatment p2 colourfragments)
(goalsize p4 medium)
(colour p2 black)
(boardsize-successor s0 s1)
(empty highspeed-saw0)
(grind-treatment-change varnished colourfragments)
(boardsize b1 s5)
(is-smooth smooth)
(wood b1 mahogany)
)
(:goal (and
	  (available p0)
	  (surface-condition p0 smooth)
	  (treatment p0 varnished)
	  (available p1)
	  (wood p1 teak)
	  (surface-condition p1 smooth)
	  (treatment p1 varnished)
	  (available p2)
	  (colour p2 green)
	  (surface-condition p2 smooth)
	  (available p3)
	  (wood p3 mahogany)
	  (surface-condition p3 smooth)
	  (available p4)
	  (wood p4 teak)
	  (treatment p4 glazed))
)
(:metric minimize (total-cost))
)
