(define (problem wood-prob)
(:domain woodworking)
(:objects
small medium large  - apartsize
p0 p1 p2 p3  - part
immersion-varnisher0  - immersion-varnisher
saw0  - saw
varnished glazed untreated colourfragments  - treatmentstatus
highspeed-saw0  - highspeed-saw
glazer0  - glazer
planer0  - planer
natural blue mauve white  - acolour
pine oak  - awood
grinder0  - grinder
s0 s1 s2 s3 s4 s5 s6 s7 s8 s9 s10  - aboardsize
verysmooth smooth rough  - surface
b0 b1  - board
spray-varnisher0  - spray-varnisher
)
(:init (= (total-cost ) 0)
(= (spray-varnish-cost p0) 10)
(= (glaze-cost p0) 15)
(= (grind-cost p0) 30)
(= (plane-cost p0) 20)
(= (spray-varnish-cost p1) 15)
(= (glaze-cost p1) 20)
(= (grind-cost p1) 45)
(= (plane-cost p1) 30)
(= (spray-varnish-cost p2) 15)
(= (glaze-cost p2) 20)
(= (grind-cost p2) 45)
(= (plane-cost p2) 30)
(= (spray-varnish-cost p3) 10)
(= (glaze-cost p3) 15)
(= (grind-cost p3) 30)
(= (plane-cost p3) 20)
(has-colour spray-varnisher0 mauve)
(wood b1 pine)
(wood b0 oak)
(boardsize-successor s0 s1)
(boardsize b1 s3)
(boardsize-successor s6 s7)
(has-colour immersion-varnisher0 mauve)
(is-smooth smooth)
(boardsize-successor s7 s8)
(unused p3)
(goalsize p2 large)
(has-colour glazer0 mauve)
(goalsize p3 medium)
(is-smooth verysmooth)
(has-colour spray-varnisher0 blue)
(unused p0)
(unused p1)
(has-colour glazer0 white)
(has-colour immersion-varnisher0 blue)
(surface-condition b0 rough)
(boardsize-successor s4 s5)
(surface-condition b1 rough)
(grind-treatment-change untreated untreated)
(boardsize-successor s9 s10)
(boardsize b0 s10)
(available b0)
(goalsize p0 medium)
(available b1)
(boardsize-successor s1 s2)
(grind-treatment-change colourfragments untreated)
(boardsize-successor s3 s4)
(unused p2)
(goalsize p1 large)
(has-colour glazer0 blue)
(boardsize-successor s2 s3)
(empty highspeed-saw0)
(grind-treatment-change glazed untreated)
(boardsize-successor s8 s9)
(boardsize-successor s5 s6)
(grind-treatment-change varnished colourfragments)
)
(:goal (and
	  (available p0)
	  (colour p0 mauve)
	  (surface-condition p0 smooth)
	  (available p1)
	  (colour p1 blue)
	  (surface-condition p1 smooth)
	  (available p2)
	  (colour p2 white)
	  (wood p2 oak)
	  (surface-condition p2 smooth)
	  (treatment p2 glazed)
	  (available p3)
	  (colour p3 mauve)
	  (wood p3 pine)
	  (treatment p3 glazed))
)
(:metric minimize (total-cost))
)
