(define (problem wood-prob)
(:domain woodworking)
(:objects
glazer0  - glazer
small medium large  - apartsize
pine oak  - awood
immersion-varnisher0  - immersion-varnisher
grinder0  - grinder
p0 p1 p2 p3 p4  - part
highspeed-saw0  - highspeed-saw
planer0  - planer
spray-varnisher0  - spray-varnisher
saw0  - saw
s0 s1 s2 s3 s4 s5 s6  - aboardsize
b0 b1  - board
verysmooth smooth rough  - surface
varnished glazed untreated colourfragments  - treatmentstatus
natural mauve white black blue  - acolour
)
(:init (= (total-cost ) 0)
(= (spray-varnish-cost p0) 10)
(= (glaze-cost p0) 15)
(= (grind-cost p0) 30)
(= (plane-cost p0) 20)
(= (spray-varnish-cost p1) 5)
(= (glaze-cost p1) 10)
(= (grind-cost p1) 15)
(= (plane-cost p1) 10)
(= (spray-varnish-cost p2) 15)
(= (glaze-cost p2) 20)
(= (grind-cost p2) 45)
(= (plane-cost p2) 30)
(= (spray-varnish-cost p3) 5)
(= (glaze-cost p3) 10)
(= (grind-cost p3) 15)
(= (plane-cost p3) 10)
(= (spray-varnish-cost p4) 5)
(= (glaze-cost p4) 10)
(= (grind-cost p4) 15)
(= (plane-cost p4) 10)
(boardsize-successor s0 s1)
(unused p1)
(wood p0 pine)
(goalsize p0 medium)
(boardsize b1 s3)
(has-colour glazer0 black)
(empty highspeed-saw0)
(is-smooth smooth)
(surface-condition b0 rough)
(is-smooth verysmooth)
(grind-treatment-change glazed untreated)
(goalsize p3 small)
(unused p3)
(grind-treatment-change colourfragments untreated)
(goalsize p2 large)
(available b1)
(has-colour glazer0 blue)
(wood b0 oak)
(boardsize-successor s5 s6)
(goalsize p4 small)
(has-colour spray-varnisher0 black)
(boardsize-successor s3 s4)
(treatment p0 glazed)
(available b0)
(goalsize p1 small)
(surface-condition b1 rough)
(unused p4)
(wood b1 pine)
(available p0)
(surface-condition p0 verysmooth)
(unused p2)
(has-colour glazer0 white)
(colour p0 blue)
(boardsize-successor s2 s3)
(grind-treatment-change untreated untreated)
(has-colour immersion-varnisher0 black)
(boardsize-successor s1 s2)
(grind-treatment-change varnished colourfragments)
(boardsize b0 s6)
(boardsize-successor s4 s5)
)
(:goal (and
	  (available p0)
	  (colour p0 white)
	  (treatment p0 glazed)
	  (available p1)
	  (wood p1 pine)
	  (treatment p1 varnished)
	  (available p2)
	  (colour p2 blue)
	  (surface-condition p2 verysmooth)
	  (treatment p2 glazed)
	  (available p3)
	  (colour p3 black)
	  (surface-condition p3 verysmooth)
	  (available p4)
	  (surface-condition p4 verysmooth)
	  (treatment p4 varnished))
)
(:metric minimize (total-cost))
)
