(define (problem wood-prob)
(:domain woodworking)
(:objects
natural mauve red blue black  - acolour
small medium large  - apartsize
glazer0  - glazer
b0 b1  - board
planer0  - planer
p0 p1 p2 p3 p4 p5  - part
spray-varnisher0  - spray-varnisher
immersion-varnisher0  - immersion-varnisher
highspeed-saw0  - highspeed-saw
grinder0  - grinder
varnished glazed untreated colourfragments  - treatmentstatus
walnut pine  - awood
saw0  - saw
verysmooth smooth rough  - surface
s0 s1 s2 s3 s4 s5  - aboardsize
)
(:init (= (total-cost ) 0)
(= (spray-varnish-cost p0) 10)
(= (glaze-cost p0) 15)
(= (grind-cost p0) 30)
(= (plane-cost p0) 20)
(= (spray-varnish-cost p1) 10)
(= (glaze-cost p1) 15)
(= (grind-cost p1) 30)
(= (plane-cost p1) 20)
(= (spray-varnish-cost p2) 10)
(= (glaze-cost p2) 15)
(= (grind-cost p2) 30)
(= (plane-cost p2) 20)
(= (spray-varnish-cost p3) 5)
(= (glaze-cost p3) 10)
(= (grind-cost p3) 15)
(= (plane-cost p3) 10)
(= (spray-varnish-cost p4) 5)
(= (glaze-cost p4) 10)
(= (grind-cost p4) 15)
(= (plane-cost p4) 10)
(= (spray-varnish-cost p5) 10)
(= (glaze-cost p5) 15)
(= (grind-cost p5) 30)
(= (plane-cost p5) 20)
(unused p2)
(boardsize-successor s4 s5)
(unused p5)
(has-colour spray-varnisher0 red)
(surface-condition b1 rough)
(goalsize p1 medium)
(goalsize p5 medium)
(available b1)
(has-colour immersion-varnisher0 red)
(surface-condition p4 smooth)
(is-smooth smooth)
(has-colour glazer0 black)
(available b0)
(wood b1 walnut)
(wood p1 pine)
(has-colour immersion-varnisher0 blue)
(goalsize p2 medium)
(goalsize p3 small)
(colour p1 mauve)
(grind-treatment-change glazed untreated)
(wood b0 pine)
(treatment p1 varnished)
(has-colour glazer0 red)
(surface-condition p1 rough)
(treatment p4 colourfragments)
(grind-treatment-change varnished colourfragments)
(boardsize b1 s2)
(grind-treatment-change untreated untreated)
(available p4)
(has-colour spray-varnisher0 blue)
(empty highspeed-saw0)
(boardsize-successor s1 s2)
(boardsize-successor s2 s3)
(unused p0)
(surface-condition b0 smooth)
(boardsize-successor s0 s1)
(is-smooth verysmooth)
(grind-treatment-change colourfragments untreated)
(goalsize p0 medium)
(has-colour glazer0 blue)
(boardsize-successor s3 s4)
(colour p4 mauve)
(wood p4 walnut)
(goalsize p4 small)
(boardsize b0 s5)
(unused p3)
(available p1)
)
(:goal (and
	  (available p0)
	  (colour p0 red)
	  (wood p0 walnut)
	  (surface-condition p0 smooth)
	  (treatment p0 varnished)
	  (available p1)
	  (wood p1 pine)
	  (surface-condition p1 verysmooth)
	  (available p2)
	  (colour p2 red)
	  (wood p2 pine)
	  (available p3)
	  (wood p3 pine)
	  (surface-condition p3 smooth)
	  (treatment p3 varnished)
	  (available p4)
	  (colour p4 blue)
	  (wood p4 walnut)
	  (available p5)
	  (colour p5 black)
	  (wood p5 pine)
	  (surface-condition p5 verysmooth)
	  (treatment p5 glazed))
)
(:metric minimize (total-cost))
)
