(define (problem wood-prob)
(:domain woodworking)
(:objects
grinder0  - grinder
highspeed-saw0  - highspeed-saw
planer0  - planer
saw0  - saw
varnished glazed untreated colourfragments  - treatmentstatus
spray-varnisher0  - spray-varnisher
p0 p1 p2 p3 p4 p5  - part
verysmooth smooth rough  - surface
beech teak  - awood
glazer0  - glazer
small medium large  - apartsize
immersion-varnisher0  - immersion-varnisher
s0 s1 s2 s3 s4 s5 s6 s7 s8  - aboardsize
b0 b1 b2  - board
natural blue red mauve white  - acolour
)
(:init (= (total-cost ) 0)
(= (spray-varnish-cost p0) 10)
(= (glaze-cost p0) 15)
(= (grind-cost p0) 30)
(= (plane-cost p0) 20)
(= (spray-varnish-cost p1) 10)
(= (glaze-cost p1) 15)
(= (grind-cost p1) 30)
(= (plane-cost p1) 20)
(= (spray-varnish-cost p2) 10)
(= (glaze-cost p2) 15)
(= (grind-cost p2) 30)
(= (plane-cost p2) 20)
(= (spray-varnish-cost p3) 15)
(= (glaze-cost p3) 20)
(= (grind-cost p3) 45)
(= (plane-cost p3) 30)
(= (spray-varnish-cost p4) 5)
(= (glaze-cost p4) 10)
(= (grind-cost p4) 15)
(= (plane-cost p4) 10)
(= (spray-varnish-cost p5) 10)
(= (glaze-cost p5) 15)
(= (grind-cost p5) 30)
(= (plane-cost p5) 20)
(is-smooth smooth)
(boardsize-successor s4 s5)
(boardsize-successor s5 s6)
(treatment p3 varnished)
(has-colour immersion-varnisher0 white)
(goalsize p5 medium)
(available b0)
(boardsize b2 s2)
(available b2)
(goalsize p1 medium)
(unused p1)
(surface-condition p3 verysmooth)
(boardsize b0 s8)
(wood b2 teak)
(boardsize-successor s7 s8)
(grind-treatment-change varnished colourfragments)
(goalsize p2 medium)
(grind-treatment-change colourfragments untreated)
(boardsize-successor s0 s1)
(wood b1 beech)
(colour p3 blue)
(boardsize-successor s2 s3)
(surface-condition b0 smooth)
(has-colour glazer0 white)
(goalsize p3 large)
(grind-treatment-change glazed untreated)
(has-colour immersion-varnisher0 red)
(has-colour spray-varnisher0 white)
(goalsize p0 medium)
(unused p2)
(boardsize-successor s1 s2)
(boardsize-successor s3 s4)
(empty highspeed-saw0)
(available p3)
(unused p5)
(has-colour immersion-varnisher0 blue)
(grind-treatment-change untreated untreated)
(goalsize p4 small)
(surface-condition b2 rough)
(surface-condition b1 rough)
(has-colour spray-varnisher0 blue)
(wood p3 teak)
(unused p4)
(boardsize b1 s4)
(boardsize-successor s6 s7)
(unused p0)
(is-smooth verysmooth)
(has-colour spray-varnisher0 red)
(wood b0 beech)
(available b1)
(has-colour glazer0 blue)
)
(:goal (and
	  (available p0)
	  (colour p0 white)
	  (wood p0 beech)
	  (available p1)
	  (wood p1 beech)
	  (treatment p1 glazed)
	  (available p2)
	  (colour p2 blue)
	  (wood p2 beech)
	  (surface-condition p2 verysmooth)
	  (available p3)
	  (colour p3 red)
	  (wood p3 teak)
	  (surface-condition p3 verysmooth)
	  (treatment p3 varnished)
	  (available p4)
	  (wood p4 teak)
	  (surface-condition p4 smooth)
	  (treatment p4 glazed)
	  (available p5)
	  (wood p5 beech)
	  (treatment p5 varnished))
)
(:metric minimize (total-cost))
)
