(define (problem wood-prob)
(:domain woodworking)
(:objects
grinder0  - grinder
verysmooth smooth rough  - surface
b0 b1 b2  - board
p0 p1 p2 p3 p4 p5 p6  - part
natural blue mauve green red black  - acolour
immersion-varnisher0  - immersion-varnisher
spray-varnisher0  - spray-varnisher
glazer0  - glazer
saw0  - saw
highspeed-saw0  - highspeed-saw
planer0  - planer
s0 s1 s2 s3 s4 s5 s6 s7 s8 s9 s10  - aboardsize
small medium large  - apartsize
varnished glazed untreated colourfragments  - treatmentstatus
beech mahogany  - awood
)
(:init (= (total-cost ) 0)
(= (spray-varnish-cost p0) 10)
(= (glaze-cost p0) 15)
(= (grind-cost p0) 30)
(= (plane-cost p0) 20)
(= (spray-varnish-cost p1) 5)
(= (glaze-cost p1) 10)
(= (grind-cost p1) 15)
(= (plane-cost p1) 10)
(= (spray-varnish-cost p2) 15)
(= (glaze-cost p2) 20)
(= (grind-cost p2) 45)
(= (plane-cost p2) 30)
(= (spray-varnish-cost p3) 5)
(= (glaze-cost p3) 10)
(= (grind-cost p3) 15)
(= (plane-cost p3) 10)
(= (spray-varnish-cost p4) 15)
(= (glaze-cost p4) 20)
(= (grind-cost p4) 45)
(= (plane-cost p4) 30)
(= (spray-varnish-cost p5) 5)
(= (glaze-cost p5) 10)
(= (grind-cost p5) 15)
(= (plane-cost p5) 10)
(= (spray-varnish-cost p6) 15)
(= (glaze-cost p6) 20)
(= (grind-cost p6) 45)
(= (plane-cost p6) 30)
(unused p6)
(boardsize b0 s10)
(has-colour glazer0 red)
(boardsize-successor s8 s9)
(unused p0)
(goalsize p5 small)
(surface-condition b0 rough)
(available b2)
(surface-condition b2 rough)
(has-colour immersion-varnisher0 natural)
(boardsize-successor s1 s2)
(goalsize p4 large)
(unused p2)
(wood b0 beech)
(boardsize-successor s6 s7)
(is-smooth smooth)
(has-colour spray-varnisher0 blue)
(unused p4)
(has-colour immersion-varnisher0 black)
(has-colour spray-varnisher0 black)
(grind-treatment-change untreated untreated)
(unused p5)
(goalsize p1 small)
(goalsize p6 large)
(goalsize p2 large)
(unused p1)
(boardsize-successor s9 s10)
(wood b2 mahogany)
(goalsize p0 medium)
(boardsize-successor s2 s3)
(boardsize-successor s0 s1)
(available b1)
(boardsize-successor s5 s6)
(has-colour glazer0 black)
(empty highspeed-saw0)
(goalsize p3 small)
(boardsize-successor s3 s4)
(has-colour spray-varnisher0 natural)
(grind-treatment-change glazed untreated)
(has-colour spray-varnisher0 red)
(wood b1 beech)
(boardsize b2 s2)
(grind-treatment-change colourfragments untreated)
(has-colour immersion-varnisher0 blue)
(is-smooth verysmooth)
(has-colour immersion-varnisher0 red)
(boardsize b1 s2)
(grind-treatment-change varnished colourfragments)
(boardsize-successor s7 s8)
(unused p3)
(surface-condition b1 rough)
(has-colour glazer0 blue)
(available b0)
(boardsize-successor s4 s5)
)
(:goal (and
	  (available p0)
	  (colour p0 blue)
	  (surface-condition p0 verysmooth)
	  (available p1)
	  (colour p1 natural)
	  (treatment p1 varnished)
	  (available p2)
	  (colour p2 black)
	  (wood p2 beech)
	  (treatment p2 glazed)
	  (available p3)
	  (surface-condition p3 verysmooth)
	  (treatment p3 varnished)
	  (available p4)
	  (colour p4 black)
	  (wood p4 beech)
	  (treatment p4 varnished)
	  (available p5)
	  (surface-condition p5 verysmooth)
	  (treatment p5 varnished)
	  (available p6)
	  (colour p6 red)
	  (surface-condition p6 verysmooth))
)
(:metric minimize (total-cost))
)
