(define (problem wood-prob)
(:domain woodworking)
(:objects
verysmooth smooth rough  - surface
s0 s1 s2 s3 s4 s5 s6 s7 s8  - aboardsize
saw0  - saw
natural green blue mauve red black white  - acolour
planer0  - planer
grinder0  - grinder
p0 p1 p2 p3 p4 p5 p6 p7 p8  - part
mahogany pine  - awood
spray-varnisher0  - spray-varnisher
immersion-varnisher0  - immersion-varnisher
b0 b1 b2 b3  - board
varnished glazed untreated colourfragments  - treatmentstatus
small medium large  - apartsize
highspeed-saw0  - highspeed-saw
glazer0  - glazer
)
(:init (= (total-cost ) 0)
(= (spray-varnish-cost p0) 15)
(= (glaze-cost p0) 20)
(= (grind-cost p0) 45)
(= (plane-cost p0) 30)
(= (spray-varnish-cost p1) 5)
(= (glaze-cost p1) 10)
(= (grind-cost p1) 15)
(= (plane-cost p1) 10)
(= (spray-varnish-cost p2) 5)
(= (glaze-cost p2) 10)
(= (grind-cost p2) 15)
(= (plane-cost p2) 10)
(= (spray-varnish-cost p3) 5)
(= (glaze-cost p3) 10)
(= (grind-cost p3) 15)
(= (plane-cost p3) 10)
(= (spray-varnish-cost p4) 5)
(= (glaze-cost p4) 10)
(= (grind-cost p4) 15)
(= (plane-cost p4) 10)
(= (spray-varnish-cost p5) 10)
(= (glaze-cost p5) 15)
(= (grind-cost p5) 30)
(= (plane-cost p5) 20)
(= (spray-varnish-cost p6) 5)
(= (glaze-cost p6) 10)
(= (grind-cost p6) 15)
(= (plane-cost p6) 10)
(= (spray-varnish-cost p7) 10)
(= (glaze-cost p7) 15)
(= (grind-cost p7) 30)
(= (plane-cost p7) 20)
(= (spray-varnish-cost p8) 15)
(= (glaze-cost p8) 20)
(= (grind-cost p8) 45)
(= (plane-cost p8) 30)
(boardsize-successor s1 s2)
(wood p6 pine)
(goalsize p1 small)
(wood b0 mahogany)
(surface-condition b3 smooth)
(boardsize-successor s0 s1)
(unused p7)
(wood b3 pine)
(is-smooth verysmooth)
(has-colour spray-varnisher0 white)
(boardsize b3 s2)
(unused p3)
(has-colour glazer0 green)
(unused p1)
(surface-condition p6 rough)
(grind-treatment-change glazed untreated)
(boardsize-successor s5 s6)
(treatment p6 glazed)
(boardsize b1 s2)
(goalsize p3 small)
(available p6)
(unused p4)
(has-colour immersion-varnisher0 green)
(boardsize b0 s6)
(unused p8)
(available b3)
(colour p6 white)
(has-colour spray-varnisher0 mauve)
(available b2)
(goalsize p4 small)
(wood b1 mahogany)
(boardsize b2 s8)
(goalsize p7 medium)
(goalsize p8 large)
(grind-treatment-change colourfragments untreated)
(wood b2 pine)
(boardsize-successor s3 s4)
(goalsize p0 large)
(boardsize-successor s7 s8)
(has-colour immersion-varnisher0 mauve)
(boardsize-successor s4 s5)
(boardsize-successor s6 s7)
(goalsize p5 medium)
(surface-condition b1 smooth)
(unused p0)
(surface-condition b0 rough)
(has-colour glazer0 mauve)
(unused p2)
(unused p5)
(has-colour spray-varnisher0 black)
(empty highspeed-saw0)
(grind-treatment-change untreated untreated)
(boardsize-successor s2 s3)
(has-colour immersion-varnisher0 white)
(is-smooth smooth)
(has-colour immersion-varnisher0 black)
(grind-treatment-change varnished colourfragments)
(goalsize p2 small)
(available b1)
(goalsize p6 small)
(has-colour spray-varnisher0 green)
(has-colour glazer0 black)
(surface-condition b2 smooth)
(available b0)
(has-colour glazer0 white)
)
(:goal (and
	  (available p0)
	  (colour p0 black)
	  (wood p0 pine)
	  (available p1)
	  (colour p1 green)
	  (surface-condition p1 smooth)
	  (available p2)
	  (colour p2 mauve)
	  (wood p2 mahogany)
	  (surface-condition p2 verysmooth)
	  (treatment p2 varnished)
	  (available p3)
	  (surface-condition p3 verysmooth)
	  (treatment p3 varnished)
	  (available p4)
	  (colour p4 white)
	  (wood p4 pine)
	  (available p5)
	  (surface-condition p5 verysmooth)
	  (treatment p5 varnished)
	  (available p6)
	  (surface-condition p6 smooth)
	  (treatment p6 varnished)
	  (available p7)
	  (colour p7 mauve)
	  (wood p7 mahogany)
	  (surface-condition p7 smooth)
	  (treatment p7 glazed)
	  (available p8)
	  (wood p8 pine)
	  (treatment p8 varnished))
)
(:metric minimize (total-cost))
)
