(define (problem wood-prob)
(:domain woodworking)
(:objects
walnut beech teak  - awood
grinder0  - grinder
immersion-varnisher0  - immersion-varnisher
glazer0  - glazer
spray-varnisher0  - spray-varnisher
saw0  - saw
verysmooth smooth rough  - surface
planer0  - planer
small medium large  - apartsize
s0 s1 s2 s3 s4 s5 s6 s7 s8  - aboardsize
varnished glazed untreated colourfragments  - treatmentstatus
highspeed-saw0  - highspeed-saw
p0 p1 p2 p3 p4 p5 p6 p7 p8 p9  - part
b0 b1 b2  - board
natural black white red green mauve blue  - acolour
)
(:init (= (total-cost ) 0)
(= (spray-varnish-cost p0) 15)
(= (glaze-cost p0) 20)
(= (grind-cost p0) 45)
(= (plane-cost p0) 30)
(= (spray-varnish-cost p1) 5)
(= (glaze-cost p1) 10)
(= (grind-cost p1) 15)
(= (plane-cost p1) 10)
(= (spray-varnish-cost p2) 10)
(= (glaze-cost p2) 15)
(= (grind-cost p2) 30)
(= (plane-cost p2) 20)
(= (spray-varnish-cost p3) 10)
(= (glaze-cost p3) 15)
(= (grind-cost p3) 30)
(= (plane-cost p3) 20)
(= (spray-varnish-cost p4) 5)
(= (glaze-cost p4) 10)
(= (grind-cost p4) 15)
(= (plane-cost p4) 10)
(= (spray-varnish-cost p5) 10)
(= (glaze-cost p5) 15)
(= (grind-cost p5) 30)
(= (plane-cost p5) 20)
(= (spray-varnish-cost p6) 10)
(= (glaze-cost p6) 15)
(= (grind-cost p6) 30)
(= (plane-cost p6) 20)
(= (spray-varnish-cost p7) 5)
(= (glaze-cost p7) 10)
(= (grind-cost p7) 15)
(= (plane-cost p7) 10)
(= (spray-varnish-cost p8) 15)
(= (glaze-cost p8) 20)
(= (grind-cost p8) 45)
(= (plane-cost p8) 30)
(= (spray-varnish-cost p9) 5)
(= (glaze-cost p9) 10)
(= (grind-cost p9) 15)
(= (plane-cost p9) 10)
(grind-treatment-change varnished colourfragments)
(goalsize p1 small)
(boardsize-successor s5 s6)
(boardsize-successor s7 s8)
(available b1)
(goalsize p2 medium)
(wood p8 walnut)
(boardsize-successor s6 s7)
(unused p1)
(goalsize p7 small)
(surface-condition b1 rough)
(unused p0)
(available p8)
(wood b0 beech)
(boardsize-successor s1 s2)
(wood b1 teak)
(goalsize p6 medium)
(colour p8 white)
(is-smooth smooth)
(has-colour glazer0 red)
(boardsize b0 s8)
(has-colour immersion-varnisher0 red)
(surface-condition p8 rough)
(available b0)
(boardsize b2 s5)
(wood b2 walnut)
(grind-treatment-change untreated untreated)
(surface-condition b2 smooth)
(empty highspeed-saw0)
(treatment p8 colourfragments)
(goalsize p4 small)
(goalsize p8 large)
(available b2)
(has-colour spray-varnisher0 red)
(boardsize-successor s2 s3)
(unused p3)
(boardsize-successor s4 s5)
(has-colour spray-varnisher0 mauve)
(goalsize p3 medium)
(boardsize-successor s0 s1)
(goalsize p5 medium)
(unused p7)
(goalsize p0 large)
(grind-treatment-change colourfragments untreated)
(is-smooth verysmooth)
(has-colour immersion-varnisher0 mauve)
(grind-treatment-change glazed untreated)
(has-colour glazer0 mauve)
(surface-condition b0 rough)
(unused p2)
(unused p6)
(boardsize-successor s3 s4)
(unused p5)
(unused p9)
(unused p4)
(has-colour glazer0 white)
(has-colour glazer0 green)
(boardsize b1 s6)
(goalsize p9 small)
)
(:goal (and
	  (available p0)
	  (colour p0 mauve)
	  (surface-condition p0 smooth)
	  (available p1)
	  (surface-condition p1 verysmooth)
	  (treatment p1 glazed)
	  (available p2)
	  (wood p2 teak)
	  (treatment p2 glazed)
	  (available p3)
	  (wood p3 teak)
	  (surface-condition p3 smooth)
	  (treatment p3 glazed)
	  (available p4)
	  (wood p4 teak)
	  (surface-condition p4 verysmooth)
	  (available p5)
	  (colour p5 white)
	  (wood p5 walnut)
	  (surface-condition p5 verysmooth)
	  (treatment p5 glazed)
	  (available p6)
	  (colour p6 green)
	  (wood p6 beech)
	  (treatment p6 glazed)
	  (available p7)
	  (surface-condition p7 verysmooth)
	  (treatment p7 glazed)
	  (available p8)
	  (wood p8 walnut)
	  (surface-condition p8 verysmooth)
	  (available p9)
	  (colour p9 red)
	  (surface-condition p9 smooth))
)
(:metric minimize (total-cost))
)
