(define (problem wood-prob)
(:domain woodworking)
(:objects
verysmooth smooth rough  - surface
b0 b1 b2 b3 b4  - board
glazer0  - glazer
s0 s1 s2 s3 s4 s5 s6 s7 s8 s9 s10  - aboardsize
varnished glazed untreated colourfragments  - treatmentstatus
small medium large  - apartsize
p0 p1 p2 p3 p4 p5 p6 p7 p8 p9  - part
saw0  - saw
cherry oak mahogany  - awood
grinder0  - grinder
spray-varnisher0  - spray-varnisher
immersion-varnisher0  - immersion-varnisher
highspeed-saw0  - highspeed-saw
planer0  - planer
natural green mauve white black red blue  - acolour
)
(:init (= (total-cost ) 0)
(= (spray-varnish-cost p0) 5)
(= (glaze-cost p0) 10)
(= (grind-cost p0) 15)
(= (plane-cost p0) 10)
(= (spray-varnish-cost p1) 15)
(= (glaze-cost p1) 20)
(= (grind-cost p1) 45)
(= (plane-cost p1) 30)
(= (spray-varnish-cost p2) 5)
(= (glaze-cost p2) 10)
(= (grind-cost p2) 15)
(= (plane-cost p2) 10)
(= (spray-varnish-cost p3) 10)
(= (glaze-cost p3) 15)
(= (grind-cost p3) 30)
(= (plane-cost p3) 20)
(= (spray-varnish-cost p4) 15)
(= (glaze-cost p4) 20)
(= (grind-cost p4) 45)
(= (plane-cost p4) 30)
(= (spray-varnish-cost p5) 10)
(= (glaze-cost p5) 15)
(= (grind-cost p5) 30)
(= (plane-cost p5) 20)
(= (spray-varnish-cost p6) 15)
(= (glaze-cost p6) 20)
(= (grind-cost p6) 45)
(= (plane-cost p6) 30)
(= (spray-varnish-cost p7) 15)
(= (glaze-cost p7) 20)
(= (grind-cost p7) 45)
(= (plane-cost p7) 30)
(= (spray-varnish-cost p8) 5)
(= (glaze-cost p8) 10)
(= (grind-cost p8) 15)
(= (plane-cost p8) 10)
(= (spray-varnish-cost p9) 10)
(= (glaze-cost p9) 15)
(= (grind-cost p9) 30)
(= (plane-cost p9) 20)
(has-colour spray-varnisher0 black)
(boardsize b4 s2)
(grind-treatment-change colourfragments untreated)
(boardsize-successor s8 s9)
(surface-condition p3 verysmooth)
(boardsize b0 s9)
(treatment p3 glazed)
(surface-condition b2 smooth)
(has-colour immersion-varnisher0 black)
(wood b0 cherry)
(wood p3 mahogany)
(goalsize p5 medium)
(boardsize-successor s9 s10)
(unused p9)
(available b0)
(wood b3 mahogany)
(wood b2 mahogany)
(boardsize-successor s7 s8)
(is-smooth verysmooth)
(has-colour spray-varnisher0 red)
(wood b4 oak)
(goalsize p7 large)
(unused p4)
(grind-treatment-change untreated untreated)
(has-colour spray-varnisher0 white)
(grind-treatment-change glazed untreated)
(unused p1)
(goalsize p1 large)
(boardsize-successor s3 s4)
(has-colour immersion-varnisher0 white)
(colour p0 mauve)
(goalsize p9 medium)
(is-smooth smooth)
(available b1)
(available b4)
(goalsize p4 large)
(surface-condition b0 smooth)
(goalsize p0 small)
(goalsize p6 large)
(goalsize p3 medium)
(empty highspeed-saw0)
(wood p2 oak)
(colour p3 black)
(grind-treatment-change varnished colourfragments)
(has-colour glazer0 mauve)
(surface-condition b3 rough)
(treatment p2 colourfragments)
(available p3)
(unused p5)
(boardsize-successor s4 s5)
(has-colour glazer0 red)
(goalsize p2 small)
(boardsize b2 s10)
(available b2)
(surface-condition b4 rough)
(unused p8)
(has-colour immersion-varnisher0 red)
(wood b1 cherry)
(unused p7)
(has-colour glazer0 green)
(unused p6)
(available p0)
(colour p2 red)
(goalsize p8 small)
(available b3)
(boardsize-successor s1 s2)
(wood p0 cherry)
(treatment p0 colourfragments)
(surface-condition b1 rough)
(boardsize-successor s0 s1)
(boardsize b1 s3)
(boardsize-successor s2 s3)
(boardsize-successor s6 s7)
(surface-condition p2 rough)
(boardsize b3 s2)
(has-colour glazer0 black)
(boardsize-successor s5 s6)
(available p2)
(surface-condition p0 smooth)
)
(:goal (and
	  (available p0)
	  (surface-condition p0 verysmooth)
	  (treatment p0 glazed)
	  (available p1)
	  (wood p1 cherry)
	  (surface-condition p1 verysmooth)
	  (available p2)
	  (colour p2 black)
	  (wood p2 oak)
	  (surface-condition p2 smooth)
	  (treatment p2 varnished)
	  (available p3)
	  (colour p3 white)
	  (wood p3 mahogany)
	  (surface-condition p3 verysmooth)
	  (treatment p3 varnished)
	  (available p4)
	  (colour p4 black)
	  (treatment p4 glazed)
	  (available p5)
	  (wood p5 mahogany)
	  (surface-condition p5 verysmooth)
	  (available p6)
	  (surface-condition p6 smooth)
	  (treatment p6 glazed)
	  (available p7)
	  (colour p7 green)
	  (wood p7 mahogany)
	  (surface-condition p7 verysmooth)
	  (treatment p7 glazed)
	  (available p8)
	  (colour p8 red)
	  (wood p8 oak)
	  (surface-condition p8 smooth)
	  (available p9)
	  (colour p9 mauve)
	  (treatment p9 glazed))
)
(:metric minimize (total-cost))
)
